{"title":"自定义标签类型","meta":{"title":"自定义标签类型","description":"\n<p>默认情况下 Button 组件使用 <code>&lt;button&gt;</code> 标签来渲染按钮，通过 <code>component</code> 属性可以自定义 Button 的标签类型。\n可选值为 <code>button</code> 和 <code>a</code>。</p>\n","order":"7"},"codes":{"jsx":"import { Button } from '@alifd/next';\n\nconst props = {\n    component: 'a',\n    href: 'http://www.alibaba.com',\n    target: '_blank'\n};\n\nReactDOM.render(<div>\n    <Button {...props} type=\"primary\">alibaba.com</Button> &nbsp;&nbsp;\n    <Button {...props} type=\"secondary\">alibaba.com</Button> &nbsp;&nbsp;\n    <Button {...props} type=\"normal\">alibaba.com</Button>\n</div>, mountNode);\n"},"body":"\n\n````jsx\nimport { Button } from '@alifd/next';\n\nconst props = {\n    component: 'a',\n    href: 'http://www.alibaba.com',\n    target: '_blank'\n};\n\nReactDOM.render(<div>\n    <Button {...props} type=\"primary\">alibaba.com</Button> &nbsp;&nbsp;\n    <Button {...props} type=\"secondary\">alibaba.com</Button> &nbsp;&nbsp;\n    <Button {...props} type=\"normal\">alibaba.com</Button>\n</div>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _next = require('@alifd/next');\n\nvar props = {\n    component: 'a',\n    href: 'http://www.alibaba.com',\n    target: '_blank'\n};\n\nReactDOM.render(React.createElement(\n    'div',\n    null,\n    React.createElement(\n        _next.Button,\n        _extends({}, props, { type: 'primary' }),\n        'alibaba.com'\n    ),\n    ' \\xA0\\xA0',\n    React.createElement(\n        _next.Button,\n        _extends({}, props, { type: 'secondary' }),\n        'alibaba.com'\n    ),\n    ' \\xA0\\xA0',\n    React.createElement(\n        _next.Button,\n        _extends({}, props, { type: 'normal' }),\n        'alibaba.com'\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Button <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> props <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    component<span class=\"token operator\">:</span> <span class=\"token string\">'a'</span><span class=\"token punctuation\">,</span>\n    href<span class=\"token operator\">:</span> <span class=\"token string\">'http://www.alibaba.com'</span><span class=\"token punctuation\">,</span>\n    target<span class=\"token operator\">:</span> <span class=\"token string\">'_blank'</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">props</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">alibaba.com</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\"> &amp;nbsp;&amp;nbsp;\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">props</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>secondary<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">alibaba.com</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\"> &amp;nbsp;&amp;nbsp;\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">props</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>normal<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">alibaba.com</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}