{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><p>A container for displaying calendar data.</p>\n<h3 id=\"when-to-use\">When to Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>Calendar could be used to display dates, such as schedules, timetables, price calendar, lunar calendar, and so on.</p>\n<h3 id=\"values-with-locale\">Values with locale<a href=\"#values-with-locale\" class=\"anchor\">#</a></h3><p>Calendar use moment as a core part to manipulate and display time values. For real usage, it could be used with the latest <code>moment</code> package. Setting moment&apos;s locale by:</p>\n<div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> moment <span class=\"token keyword\">from</span> <span class=\"token string\">&apos;moment&apos;</span><span class=\"token punctuation\">;</span>\n\nmoment<span class=\"token punctuation\">.</span><span class=\"token function\">locale</span><span class=\"token punctuation\">(</span><span class=\"token string\">&apos;zh-cn&apos;</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"calendar\">Calendar<a href=\"#calendar\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>defaultValue</td>\n<td>Default value of calendar</td>\n<td>custom</td>\n<td>-</td>\n</tr>\n<tr>\n<td>shape</td>\n<td>Shape of calendar<br><br><strong>option</strong>:<br>&apos;card&apos;, &apos;fullscreen&apos;, &apos;panel&apos;</td>\n<td>Enum</td>\n<td>&apos;fullscreen&apos;</td>\n</tr>\n<tr>\n<td>value</td>\n<td>Value of calendar</td>\n<td>custom</td>\n<td>-</td>\n</tr>\n<tr>\n<td>mode</td>\n<td>Mode of panel <br><br><strong>option</strong>:<br>&apos;date&apos;, &apos;month&apos;, &apos;year&apos;</td>\n<td>Enum</td>\n<td>&apos;date&apos;</td>\n</tr>\n<tr>\n<td>showOtherMonth</td>\n<td>Show dates of other month in current date</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>defaultVisibleMonth</td>\n<td>Default visible month of panel<br><br><strong>signature</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onSelect</td>\n<td>Callback when select a date <br><br><strong>signature</strong>:<br>Function(value: Object) =&gt; void<br><strong>parameter</strong>:<br><em>value</em>: {Object} date object</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onModeChange</td>\n<td>Callback when change mode <br><br><strong>&#x7B7E;&#x540D;</strong>:<br>Function(mode: string) =&gt; void<br><strong>&#x53C2;&#x6570;</strong>:<br><em>mode</em>: {string} mode type: date month year</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>dateCellRender</td>\n<td>Render function for date cell<br><br><strong>signature</strong>:<br>Function(value: Object) =&gt; ReactNode<br><strong>parameter</strong>:<br><em>value</em>: {Object} date object<br><strong>return</strong>:<br>{ReactNode} null<br></td>\n<td>Function</td>\n<td>(value) =&gt; value.date()</td>\n</tr>\n<tr>\n<td>monthCellRender</td>\n<td>Render function for month cell<br><br><strong>signature</strong>:<br>Function(calendarDate: Object) =&gt; ReactNode<br><strong>parameter</strong>:<br><em>calendarDate</em>: {Object} current date object<br><strong>return</strong>:<br>{ReactNode} null<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>yearRange</td>\n<td>Year Range&#xFF0C;[START_YEAR, END_YEAR] (only shape in &#x2018;card&#x2019;, &apos;fullscreen&apos;)</td>\n<td>Array&lt;Number&gt;</td>\n<td>-</td>\n</tr>\n<tr>\n<td>disabledDate</td>\n<td>Function to disable dates <br><br><strong>signature</strong>:<br>Function(calendarDate: Object) =&gt; Boolean<br><strong>parameter</strong>:<br><em>calendarDate</em>: {Object} current date object<br><em>view</em>: {Enum} current view type: &apos;year&apos;, &apos;month&apos;, &apos;date&apos; <br><strong>return</strong>:<br>{Boolean} null<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n"}