{"title":"自定义样式","meta":{"title":"自定义样式","description":"\n<p>可以通过<code>listStyle</code>，<code>listClassName</code>来定制组件宽高。</p>\n","order":"5"},"codes":{"jsx":"import { Cascader } from '@alifd/next';\n\nconst dataSource = [{\n    value: '2973',\n    label: '陕西',\n    children: [{\n        value: '2974',\n        label: '西安',\n        children: [\n            { value: '2975', label: '西安市' },\n            { value: '2976', label: '高陵县' }\n        ]\n    }, {\n        value: '2980',\n        label: '铜川',\n        children: [\n            { value: '2981', label: '铜川市' },\n            { value: '2982', label: '宜君县' }\n        ]\n    }]\n}, {\n    value: '3371',\n    label: '新疆',\n    children: [{\n        value: '3430',\n        label: '巴音郭楞蒙古自治州',\n        children: [\n            { value: '3431', label: '库尔勒市' },\n            { value: '3432', label: '和静县' }\n        ]\n    }]\n}];\n\nReactDOM.render(<Cascader defaultValue=\"3439\" defaultExpandedValue={['3371', '3430']} listStyle={{ width: '200px', height: '256px' }} dataSource={dataSource} />, mountNode);\n"},"body":"\n\n````jsx\nimport { Cascader } from '@alifd/next';\n\nconst dataSource = [{\n    value: '2973',\n    label: '陕西',\n    children: [{\n        value: '2974',\n        label: '西安',\n        children: [\n            { value: '2975', label: '西安市' },\n            { value: '2976', label: '高陵县' }\n        ]\n    }, {\n        value: '2980',\n        label: '铜川',\n        children: [\n            { value: '2981', label: '铜川市' },\n            { value: '2982', label: '宜君县' }\n        ]\n    }]\n}, {\n    value: '3371',\n    label: '新疆',\n    children: [{\n        value: '3430',\n        label: '巴音郭楞蒙古自治州',\n        children: [\n            { value: '3431', label: '库尔勒市' },\n            { value: '3432', label: '和静县' }\n        ]\n    }]\n}];\n\nReactDOM.render(<Cascader defaultValue=\"3439\" defaultExpandedValue={['3371', '3430']} listStyle={{ width: '200px', height: '256px' }} dataSource={dataSource} />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar dataSource = [{\n    value: '2973',\n    label: '陕西',\n    children: [{\n        value: '2974',\n        label: '西安',\n        children: [{ value: '2975', label: '西安市' }, { value: '2976', label: '高陵县' }]\n    }, {\n        value: '2980',\n        label: '铜川',\n        children: [{ value: '2981', label: '铜川市' }, { value: '2982', label: '宜君县' }]\n    }]\n}, {\n    value: '3371',\n    label: '新疆',\n    children: [{\n        value: '3430',\n        label: '巴音郭楞蒙古自治州',\n        children: [{ value: '3431', label: '库尔勒市' }, { value: '3432', label: '和静县' }]\n    }]\n}];\n\nReactDOM.render(React.createElement(_next.Cascader, { defaultValue: '3439', defaultExpandedValue: ['3371', '3430'], listStyle: { width: '200px', height: '256px' }, dataSource: dataSource }), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Cascader <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n    value<span class=\"token operator\">:</span> <span class=\"token string\">'2973'</span><span class=\"token punctuation\">,</span>\n    label<span class=\"token operator\">:</span> <span class=\"token string\">'陕西'</span><span class=\"token punctuation\">,</span>\n    children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n        value<span class=\"token operator\">:</span> <span class=\"token string\">'2974'</span><span class=\"token punctuation\">,</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'西安'</span><span class=\"token punctuation\">,</span>\n        children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span>\n            <span class=\"token punctuation\">{</span> value<span class=\"token operator\">:</span> <span class=\"token string\">'2975'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'西安市'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n            <span class=\"token punctuation\">{</span> value<span class=\"token operator\">:</span> <span class=\"token string\">'2976'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'高陵县'</span> <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">]</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        value<span class=\"token operator\">:</span> <span class=\"token string\">'2980'</span><span class=\"token punctuation\">,</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'铜川'</span><span class=\"token punctuation\">,</span>\n        children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span>\n            <span class=\"token punctuation\">{</span> value<span class=\"token operator\">:</span> <span class=\"token string\">'2981'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'铜川市'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n            <span class=\"token punctuation\">{</span> value<span class=\"token operator\">:</span> <span class=\"token string\">'2982'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'宜君县'</span> <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">]</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n    value<span class=\"token operator\">:</span> <span class=\"token string\">'3371'</span><span class=\"token punctuation\">,</span>\n    label<span class=\"token operator\">:</span> <span class=\"token string\">'新疆'</span><span class=\"token punctuation\">,</span>\n    children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n        value<span class=\"token operator\">:</span> <span class=\"token string\">'3430'</span><span class=\"token punctuation\">,</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'巴音郭楞蒙古自治州'</span><span class=\"token punctuation\">,</span>\n        children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span>\n            <span class=\"token punctuation\">{</span> value<span class=\"token operator\">:</span> <span class=\"token string\">'3431'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'库尔勒市'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n            <span class=\"token punctuation\">{</span> value<span class=\"token operator\">:</span> <span class=\"token string\">'3432'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'和静县'</span> <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">]</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cascader</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>3439<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">defaultExpandedValue</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token string\">'3371'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'3430'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">listStyle</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> width<span class=\"token operator\">:</span> <span class=\"token string\">'200px'</span><span class=\"token punctuation\">,</span> height<span class=\"token operator\">:</span> <span class=\"token string\">'256px'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}