{"title":"异步加载数据","meta":{"title":"异步加载数据","description":"\n<p>展示动态获取数据的用法。</p>\n","order":"6"},"codes":{"jsx":"import { Cascader } from '@alifd/next';\n\nconst dataSource = [{\n    value: '2973',\n    label: '陕西'\n}];\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            dataSource\n        };\n\n        this.onLoadData = this.onLoadData.bind(this);\n    }\n\n    onLoadData(data) {\n        console.log(data);\n\n        return new Promise(resolve => {\n            setTimeout(() => {\n                this.setState({\n                    dataSource: [{\n                        value: '2973',\n                        label: '陕西',\n                        children: [{\n                            value: '2974',\n                            label: '西安',\n                            children: [\n                                { value: '2975', label: '西安市', isLeaf: true },\n                                { value: '2976', label: '高陵县', isLeaf: true }\n                            ]\n                        }, {\n                            value: '2980',\n                            label: '铜川',\n                            children: [\n                                { value: '2981', label: '铜川市', isLeaf: true },\n                                { value: '2982', label: '宜君县', isLeaf: true }\n                            ]\n                        }]\n                    }]\n                }, resolve);\n            }, 500);\n        });\n    }\n\n    render() {\n        return <Cascader canOnlySelectLeaf dataSource={this.state.dataSource} loadData={this.onLoadData} />;\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n","css":".cascader-value {\n    margin-bottom: 10px;\n    font-size: 14px;\n    color: #666;\n}\n"},"body":"\n\n````jsx\nimport { Cascader } from '@alifd/next';\n\nconst dataSource = [{\n    value: '2973',\n    label: '陕西'\n}];\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            dataSource\n        };\n\n        this.onLoadData = this.onLoadData.bind(this);\n    }\n\n    onLoadData(data) {\n        console.log(data);\n\n        return new Promise(resolve => {\n            setTimeout(() => {\n                this.setState({\n                    dataSource: [{\n                        value: '2973',\n                        label: '陕西',\n                        children: [{\n                            value: '2974',\n                            label: '西安',\n                            children: [\n                                { value: '2975', label: '西安市', isLeaf: true },\n                                { value: '2976', label: '高陵县', isLeaf: true }\n                            ]\n                        }, {\n                            value: '2980',\n                            label: '铜川',\n                            children: [\n                                { value: '2981', label: '铜川市', isLeaf: true },\n                                { value: '2982', label: '宜君县', isLeaf: true }\n                            ]\n                        }]\n                    }]\n                }, resolve);\n            }, 500);\n        });\n    }\n\n    render() {\n        return <Cascader canOnlySelectLeaf dataSource={this.state.dataSource} loadData={this.onLoadData} />;\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````\n\n```` css\n.cascader-value {\n    margin-bottom: 10px;\n    font-size: 14px;\n    color: #666;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar dataSource = [{\n    value: '2973',\n    label: '陕西'\n}];\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.state = {\n            dataSource: dataSource\n        };\n\n        _this.onLoadData = _this.onLoadData.bind(_this);\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'onLoadData',\n        value: function onLoadData(data) {\n            var _this2 = this;\n\n            console.log(data);\n\n            return new Promise(function (resolve) {\n                setTimeout(function () {\n                    _this2.setState({\n                        dataSource: [{\n                            value: '2973',\n                            label: '陕西',\n                            children: [{\n                                value: '2974',\n                                label: '西安',\n                                children: [{ value: '2975', label: '西安市', isLeaf: true }, { value: '2976', label: '高陵县', isLeaf: true }]\n                            }, {\n                                value: '2980',\n                                label: '铜川',\n                                children: [{ value: '2981', label: '铜川市', isLeaf: true }, { value: '2982', label: '宜君县', isLeaf: true }]\n                            }]\n                        }]\n                    }, resolve);\n                }, 500);\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            return React.createElement(_next.Cascader, { canOnlySelectLeaf: true, dataSource: this.state.dataSource, loadData: this.onLoadData });\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Cascader <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n    value<span class=\"token operator\">:</span> <span class=\"token string\">'2973'</span><span class=\"token punctuation\">,</span>\n    label<span class=\"token operator\">:</span> <span class=\"token string\">'陕西'</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            dataSource\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onLoadData <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onLoadData</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onLoadData</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">data</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>data<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Promise</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">resolve</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token function\">setTimeout</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                    dataSource<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n                        value<span class=\"token operator\">:</span> <span class=\"token string\">'2973'</span><span class=\"token punctuation\">,</span>\n                        label<span class=\"token operator\">:</span> <span class=\"token string\">'陕西'</span><span class=\"token punctuation\">,</span>\n                        children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n                            value<span class=\"token operator\">:</span> <span class=\"token string\">'2974'</span><span class=\"token punctuation\">,</span>\n                            label<span class=\"token operator\">:</span> <span class=\"token string\">'西安'</span><span class=\"token punctuation\">,</span>\n                            children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span>\n                                <span class=\"token punctuation\">{</span> value<span class=\"token operator\">:</span> <span class=\"token string\">'2975'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'西安市'</span><span class=\"token punctuation\">,</span> isLeaf<span class=\"token operator\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n                                <span class=\"token punctuation\">{</span> value<span class=\"token operator\">:</span> <span class=\"token string\">'2976'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'高陵县'</span><span class=\"token punctuation\">,</span> isLeaf<span class=\"token operator\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span>\n                            <span class=\"token punctuation\">]</span>\n                        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n                            value<span class=\"token operator\">:</span> <span class=\"token string\">'2980'</span><span class=\"token punctuation\">,</span>\n                            label<span class=\"token operator\">:</span> <span class=\"token string\">'铜川'</span><span class=\"token punctuation\">,</span>\n                            children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span>\n                                <span class=\"token punctuation\">{</span> value<span class=\"token operator\">:</span> <span class=\"token string\">'2981'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'铜川市'</span><span class=\"token punctuation\">,</span> isLeaf<span class=\"token operator\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n                                <span class=\"token punctuation\">{</span> value<span class=\"token operator\">:</span> <span class=\"token string\">'2982'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'宜君县'</span><span class=\"token punctuation\">,</span> isLeaf<span class=\"token operator\">:</span> <span class=\"token boolean\">true</span> <span class=\"token punctuation\">}</span>\n                            <span class=\"token punctuation\">]</span>\n                        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> resolve<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token number\">500</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cascader</span></span> <span class=\"token attr-name\">canOnlySelectLeaf</span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">loadData</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onLoadData<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.cascader-value {\n    margin-bottom: 10px;\n    font-size: 14px;\n    color: #666;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.cascader-value</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-bottom</span><span class=\"token punctuation\">:</span> 10px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 14px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #666<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}