{"title":"Accessibility","meta":{"title":"Accessibility","description":"\n<p>To Support accessibility, you shoud assign an id prop to Collapse and it will generate id for Panels. or you can assign an id prop to Panel to overwrite generated id.</p>\n","order":"5"},"codes":{"jsx":"import { Collapse } from '@alifd/next';\n\nconst Panel = Collapse.Panel;\n\nReactDOM.render(<Collapse id=\"collapse-accessibility\">\n    <Panel\n        id=\"panel-accessibility\"\n        title=\"There is a long title, you can set the multiTitle to multi line display, the associated configuration properties and a single height is not the same, the specific configuration platform configuration can be configured.\">\n        <ul>\n            <li>Promotions are marketing campaigns ran by Marketplace</li>\n            <li>Participate to sale your products during that promotion and make a profit</li>\n        </ul>\n    </Panel>\n    <Panel title=\"What are Promotion Products?\">\n        <ul>\n            <li>Promotion Products is a service that helps you to promote products you list on Marketplace during a\n                certain time range\n            </li>\n            <li>You can choose which products should be available for the promotion</li>\n            <li>Not all Products of you will be available, because Promotions will only attract certain Product areas\n            </li>\n        </ul>\n    </Panel>\n\n</Collapse>, mountNode);\n"},"body":"\n````jsx\nimport { Collapse } from '@alifd/next';\n\nconst Panel = Collapse.Panel;\n\nReactDOM.render(<Collapse id=\"collapse-accessibility\">\n    <Panel\n        id=\"panel-accessibility\"\n        title=\"There is a long title, you can set the multiTitle to multi line display, the associated configuration properties and a single height is not the same, the specific configuration platform configuration can be configured.\">\n        <ul>\n            <li>Promotions are marketing campaigns ran by Marketplace</li>\n            <li>Participate to sale your products during that promotion and make a profit</li>\n        </ul>\n    </Panel>\n    <Panel title=\"What are Promotion Products?\">\n        <ul>\n            <li>Promotion Products is a service that helps you to promote products you list on Marketplace during a\n                certain time range\n            </li>\n            <li>You can choose which products should be available for the promotion</li>\n            <li>Not all Products of you will be available, because Promotions will only attract certain Product areas\n            </li>\n        </ul>\n    </Panel>\n\n</Collapse>, mountNode);\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nvar Panel = _next.Collapse.Panel;\n\nReactDOM.render(React.createElement(\n    _next.Collapse,\n    { id: \"collapse-accessibility\" },\n    React.createElement(\n        Panel,\n        {\n            id: \"panel-accessibility\",\n            title: \"There is a long title, you can set the multiTitle to multi line display, the associated configuration properties and a single height is not the same, the specific configuration platform configuration can be configured.\" },\n        React.createElement(\n            \"ul\",\n            null,\n            React.createElement(\n                \"li\",\n                null,\n                \"Promotions are marketing campaigns ran by Marketplace\"\n            ),\n            React.createElement(\n                \"li\",\n                null,\n                \"Participate to sale your products during that promotion and make a profit\"\n            )\n        )\n    ),\n    React.createElement(\n        Panel,\n        { title: \"What are Promotion Products?\" },\n        React.createElement(\n            \"ul\",\n            null,\n            React.createElement(\n                \"li\",\n                null,\n                \"Promotion Products is a service that helps you to promote products you list on Marketplace during a certain time range\"\n            ),\n            React.createElement(\n                \"li\",\n                null,\n                \"You can choose which products should be available for the promotion\"\n            ),\n            React.createElement(\n                \"li\",\n                null,\n                \"Not all Products of you will be available, because Promotions will only attract certain Product areas\"\n            )\n        )\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Collapse <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> Panel <span class=\"token operator\">=</span> Collapse<span class=\"token punctuation\">.</span>Panel<span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Collapse</span></span> <span class=\"token attr-name\">id</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>collapse-accessibility<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Panel</span></span>\n        <span class=\"token attr-name\">id</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>panel-accessibility<span class=\"token punctuation\">\"</span></span>\n        <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>There is a long title, you can set the multiTitle to multi line display, the associated configuration properties and a single height is not the same, the specific configuration platform configuration can be configured.<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>ul</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Promotions are marketing campaigns ran by Marketplace</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Participate to sale your products during that promotion and make a profit</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>ul</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Panel</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Panel</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>What are Promotion Products?<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>ul</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Promotion Products is a service that helps you to promote products you list on Marketplace during a\n                certain time range\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">You can choose which products should be available for the promotion</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Not all Products of you will be available, because Promotions will only attract certain Product areas\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>ul</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Panel</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Collapse</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}