{"title":"Format","meta":{"title":"Format","description":"\n<p>Using attribute <code>format</code> to change the displayed dates, it will be also used to check user inputs.</p>\n","order":"7"},"codes":{"jsx":"import { DatePicker } from '@alifd/next';\n\nconst { RangePicker } = DatePicker;\nconst onChange = val => console.log(val);\n\nReactDOM.render(<div>\n    <DatePicker format=\"YYYY-M-D\" onChange={onChange} />\n    <br /><br />\n    <DatePicker format=\"YYYY-M-D\" onChange={onChange} showTime={{ format: 'HH:mm' }} />\n    <br /><br />\n    <RangePicker format=\"YYYY-M-D\" onChange={onChange} />\n    <br /><br />\n    <RangePicker format=\"YYYY-M-D\" onChange={onChange} showTime={{ format: 'HH:mm' }} />\n</div>, mountNode);\n"},"body":"\n````jsx\nimport { DatePicker } from '@alifd/next';\n\nconst { RangePicker } = DatePicker;\nconst onChange = val => console.log(val);\n\nReactDOM.render(<div>\n    <DatePicker format=\"YYYY-M-D\" onChange={onChange} />\n    <br /><br />\n    <DatePicker format=\"YYYY-M-D\" onChange={onChange} showTime={{ format: 'HH:mm' }} />\n    <br /><br />\n    <RangePicker format=\"YYYY-M-D\" onChange={onChange} />\n    <br /><br />\n    <RangePicker format=\"YYYY-M-D\" onChange={onChange} showTime={{ format: 'HH:mm' }} />\n</div>, mountNode);\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nvar RangePicker = _next.DatePicker.RangePicker;\n\nvar onChange = function onChange(val) {\n    return console.log(val);\n};\n\nReactDOM.render(React.createElement(\n    \"div\",\n    null,\n    React.createElement(_next.DatePicker, { format: \"YYYY-M-D\", onChange: onChange }),\n    React.createElement(\"br\", null),\n    React.createElement(\"br\", null),\n    React.createElement(_next.DatePicker, { format: \"YYYY-M-D\", onChange: onChange, showTime: { format: 'HH:mm' } }),\n    React.createElement(\"br\", null),\n    React.createElement(\"br\", null),\n    React.createElement(RangePicker, { format: \"YYYY-M-D\", onChange: onChange }),\n    React.createElement(\"br\", null),\n    React.createElement(\"br\", null),\n    React.createElement(RangePicker, { format: \"YYYY-M-D\", onChange: onChange, showTime: { format: 'HH:mm' } })\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> DatePicker <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> RangePicker <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> DatePicker<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">onChange</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">val</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>val<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span> <span class=\"token attr-name\">format</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>YYYY-M-D<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">DatePicker</span></span> <span class=\"token attr-name\">format</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>YYYY-M-D<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onChange<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">showTime</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> format<span class=\"token operator\">:</span> <span class=\"token string\">'HH:mm'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">RangePicker</span></span> <span class=\"token attr-name\">format</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>YYYY-M-D<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">RangePicker</span></span> <span class=\"token attr-name\">format</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>YYYY-M-D<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onChange<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">showTime</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> format<span class=\"token operator\">:</span> <span class=\"token string\">'HH:mm'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}