{"title":"关联控制","meta":{"title":"关联控制","description":"\n<p>组件之间的关联控制. <code>onChange</code> 统一管理。</p>\n","order":"1"},"codes":{"jsx":"import { Input, Select, Range, Field } from '@alifd/next';\n\n\n\nclass App extends React.Component {\n    field = new Field(this, {\n        onChange: (name, value) => {\n            console.log(this.field.getValues());\n\n            switch (name) {\n                case 'input':\n                    this.field.setValue('sync', `change to: ${value}`);\n                    break;\n                case 'select':\n                    this.field.setValue('sync', `${value} is coming`);\n                    break;\n                case 'range':\n                    this.field.setValue('sync', ` (${value.join(',')}) ready`);\n                    break;\n            }\n        }\n    });\n\n    render() {\n        const {init, getValue} = this.field;\n        const layout = {\n            marginBottom: 10,\n            width: 400\n        };\n\n        return (<div>\n            <Input placeholder=\"controlled by onChange\" {...init('input')} style={layout}/><br/>\n            <Input placeholder=\"under control\" {...init('input')} style={layout}/><br/>\n\n            <Select style={layout} {...init('select', {initValue: 'lucy'})}>\n                <Select.Option value=\"jack\">jack</Select.Option>\n                <Select.Option value=\"lucy\">lucy</Select.Option>\n                <Select.Option value=\"disabled\" disabled>disabled</Select.Option>\n                <Select.Option value=\"hugo\">hugo</Select.Option>\n            </Select><br/>\n\n            {\n                getValue('select') !== 'hugo' ?\n                    <Range\n                        style={{...layout, marginTop: 30}}\n                        slider={'double'} scales={10} marks={10}\n                        {...init('range', {initValue: [20, 40], trigger: 'onProcess'})}\n                    /> : null\n            }\n            <br/>\n\n            <hr style={{marginBottom: 10}}/>\n            <Input placeholder=\"everyone can control me\" {...init('sync')} style={layout}/><br/>\n        </div>);\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n"},"body":"\n\n\n````jsx\nimport { Input, Select, Range, Field } from '@alifd/next';\n\n\n\nclass App extends React.Component {\n    field = new Field(this, {\n        onChange: (name, value) => {\n            console.log(this.field.getValues());\n\n            switch (name) {\n                case 'input':\n                    this.field.setValue('sync', `change to: ${value}`);\n                    break;\n                case 'select':\n                    this.field.setValue('sync', `${value} is coming`);\n                    break;\n                case 'range':\n                    this.field.setValue('sync', ` (${value.join(',')}) ready`);\n                    break;\n            }\n        }\n    });\n\n    render() {\n        const {init, getValue} = this.field;\n        const layout = {\n            marginBottom: 10,\n            width: 400\n        };\n\n        return (<div>\n            <Input placeholder=\"controlled by onChange\" {...init('input')} style={layout}/><br/>\n            <Input placeholder=\"under control\" {...init('input')} style={layout}/><br/>\n\n            <Select style={layout} {...init('select', {initValue: 'lucy'})}>\n                <Select.Option value=\"jack\">jack</Select.Option>\n                <Select.Option value=\"lucy\">lucy</Select.Option>\n                <Select.Option value=\"disabled\" disabled>disabled</Select.Option>\n                <Select.Option value=\"hugo\">hugo</Select.Option>\n            </Select><br/>\n\n            {\n                getValue('select') !== 'hugo' ?\n                    <Range\n                        style={{...layout, marginTop: 30}}\n                        slider={'double'} scales={10} marks={10}\n                        {...init('range', {initValue: [20, 40], trigger: 'onProcess'})}\n                    /> : null\n            }\n            <br/>\n\n            <hr style={{marginBottom: 10}}/>\n            <Input placeholder=\"everyone can control me\" {...init('sync')} style={layout}/><br/>\n        </div>);\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar App = function (_React$Component) {\n    _inherits(App, _React$Component);\n\n    function App() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, App);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = App.__proto__ || Object.getPrototypeOf(App)).call.apply(_ref, [this].concat(args))), _this), _this.field = new _next.Field(_this, {\n            onChange: function onChange(name, value) {\n                console.log(_this.field.getValues());\n\n                switch (name) {\n                    case 'input':\n                        _this.field.setValue('sync', 'change to: ' + value);\n                        break;\n                    case 'select':\n                        _this.field.setValue('sync', value + ' is coming');\n                        break;\n                    case 'range':\n                        _this.field.setValue('sync', ' (' + value.join(',') + ') ready');\n                        break;\n                }\n            }\n        }), _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(App, [{\n        key: 'render',\n        value: function render() {\n            var _field = this.field,\n                init = _field.init,\n                getValue = _field.getValue;\n\n            var layout = {\n                marginBottom: 10,\n                width: 400\n            };\n\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(_next.Input, _extends({ placeholder: 'controlled by onChange' }, init('input'), { style: layout })),\n                React.createElement('br', null),\n                React.createElement(_next.Input, _extends({ placeholder: 'under control' }, init('input'), { style: layout })),\n                React.createElement('br', null),\n                React.createElement(\n                    _next.Select,\n                    _extends({ style: layout }, init('select', { initValue: 'lucy' })),\n                    React.createElement(\n                        _next.Select.Option,\n                        { value: 'jack' },\n                        'jack'\n                    ),\n                    React.createElement(\n                        _next.Select.Option,\n                        { value: 'lucy' },\n                        'lucy'\n                    ),\n                    React.createElement(\n                        _next.Select.Option,\n                        { value: 'disabled', disabled: true },\n                        'disabled'\n                    ),\n                    React.createElement(\n                        _next.Select.Option,\n                        { value: 'hugo' },\n                        'hugo'\n                    )\n                ),\n                React.createElement('br', null),\n                getValue('select') !== 'hugo' ? React.createElement(_next.Range, _extends({\n                    style: _extends({}, layout, { marginTop: 30 }),\n                    slider: 'double', scales: 10, marks: 10\n                }, init('range', { initValue: [20, 40], trigger: 'onProcess' }))) : null,\n                React.createElement('br', null),\n                React.createElement('hr', { style: { marginBottom: 10 } }),\n                React.createElement(_next.Input, _extends({ placeholder: 'everyone can control me' }, init('sync'), { style: layout })),\n                React.createElement('br', null)\n            );\n        }\n    }]);\n\n    return App;\n}(React.Component);\n\nReactDOM.render(React.createElement(App, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Input<span class=\"token punctuation\">,</span> Select<span class=\"token punctuation\">,</span> Range<span class=\"token punctuation\">,</span> Field <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">App</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    field <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Field</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token function-variable function\">onChange</span><span class=\"token operator\">:</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">name<span class=\"token punctuation\">,</span> value</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span><span class=\"token function\">getValues</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n            <span class=\"token keyword\">switch</span> <span class=\"token punctuation\">(</span>name<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                <span class=\"token keyword\">case</span> <span class=\"token string\">'input'</span><span class=\"token operator\">:</span>\n                    <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span><span class=\"token function\">setValue</span><span class=\"token punctuation\">(</span><span class=\"token string\">'sync'</span><span class=\"token punctuation\">,</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">change to: </span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>value<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token keyword\">break</span><span class=\"token punctuation\">;</span>\n                <span class=\"token keyword\">case</span> <span class=\"token string\">'select'</span><span class=\"token operator\">:</span>\n                    <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span><span class=\"token function\">setValue</span><span class=\"token punctuation\">(</span><span class=\"token string\">'sync'</span><span class=\"token punctuation\">,</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>value<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\"> is coming</span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token keyword\">break</span><span class=\"token punctuation\">;</span>\n                <span class=\"token keyword\">case</span> <span class=\"token string\">'range'</span><span class=\"token operator\">:</span>\n                    <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span><span class=\"token function\">setValue</span><span class=\"token punctuation\">(</span><span class=\"token string\">'sync'</span><span class=\"token punctuation\">,</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\"> (</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>value<span class=\"token punctuation\">.</span><span class=\"token function\">join</span><span class=\"token punctuation\">(</span><span class=\"token string\">','</span><span class=\"token punctuation\">)</span><span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\">) ready</span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token keyword\">break</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>init<span class=\"token punctuation\">,</span> getValue<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> layout <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            marginBottom<span class=\"token operator\">:</span> <span class=\"token number\">10</span><span class=\"token punctuation\">,</span>\n            width<span class=\"token operator\">:</span> <span class=\"token number\">400</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            &lt;Input placeholder=\"controlled by onChange\" </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'input'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\"> style=</span><span class=\"token punctuation\">{</span>layout<span class=\"token punctuation\">}</span><span class=\"token plain-text\">/></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            &lt;Input placeholder=\"under control\" </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'input'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\"> style=</span><span class=\"token punctuation\">{</span>layout<span class=\"token punctuation\">}</span><span class=\"token plain-text\">/></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n            &lt;Select style=</span><span class=\"token punctuation\">{</span>layout<span class=\"token punctuation\">}</span><span class=\"token plain-text\"> </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'select'</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>initValue<span class=\"token operator\">:</span> <span class=\"token string\">'lucy'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">>\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select.Option</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>jack<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">jack</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Select.Option</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select.Option</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>lucy<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">lucy</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Select.Option</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select.Option</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>disabled<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">disabled</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">disabled</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Select.Option</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select.Option</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>hugo<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">hugo</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Select.Option</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Select</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n            </span><span class=\"token punctuation\">{</span>\n                <span class=\"token function\">getValue</span><span class=\"token punctuation\">(</span><span class=\"token string\">'select'</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">!==</span> <span class=\"token string\">'hugo'</span> <span class=\"token operator\">?</span>\n                    <span class=\"token operator\">&lt;</span>Range\n                        style<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span>layout<span class=\"token punctuation\">,</span> marginTop<span class=\"token operator\">:</span> <span class=\"token number\">30</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span>\n                        slider<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'double'</span><span class=\"token punctuation\">}</span> scales<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">10</span><span class=\"token punctuation\">}</span> marks<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">10</span><span class=\"token punctuation\">}</span>\n                        <span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'range'</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>initValue<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token number\">20</span><span class=\"token punctuation\">,</span> <span class=\"token number\">40</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span> trigger<span class=\"token operator\">:</span> <span class=\"token string\">'onProcess'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span>\n                    <span class=\"token operator\">/</span><span class=\"token operator\">></span> <span class=\"token operator\">:</span> <span class=\"token keyword\">null</span>\n            <span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>hr</span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>marginBottom<span class=\"token operator\">:</span> <span class=\"token number\">10</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            &lt;Input placeholder=\"everyone can control me\" </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'sync'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\"> style=</span><span class=\"token punctuation\">{</span>layout<span class=\"token punctuation\">}</span><span class=\"token plain-text\">/></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">App</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}