{"title":"redux 中使用","meta":{"title":"redux 中使用","description":"\n<p>在 redux 中使用, 在 <code>componentWillReceiveProps</code> 更新</p>\n","order":"5"},"codes":{"jsx":"import { Input, Button, Field } from '@alifd/next';\n\n\nimport { combineReducers, createStore } from 'redux';\nimport { Provider, connect } from 'react-redux';\n\nfunction formReducer(state = {email: 'frankqian@qq.com'}, action) {\n    switch (action.type) {\n        case 'save_fields':\n            return {\n                ...state,\n                ...action.payload\n            };\n        default:\n            return state;\n    }\n}\n\nclass Demo extends React.Component {\n    componentWillReceiveProps(nextProps) {\n        this.field.setValues({\n            email: nextProps.email,\n            newlen: nextProps.email.length\n        });\n    }\n\n    field = new Field(this, {\n        onChange: (name, value) => {\n            console.log('onChange', name, value);\n            this.field.setValue('newlen', value.length);\n            this.props.dispatch({\n                type: 'save_fields',\n                payload: {\n                    [name]: value\n                }\n            });\n        }\n    });\n\n    setEmail() {\n        this.props.dispatch({\n            type: 'save_fields',\n            payload: {\n                email: 'qq@gmail.com'\n            }\n        });\n    }\n\n\n    render() {\n        const init = this.field.init;\n\n        const newLen = init('newlen', { initValue: this.props.email.length });\n\n        return (<div>\n            <Input {...init('email', { initValue: this.props.email }, {\n                rules: [\n                    {required: true, type: 'email', message: 'at least 5 chars'}\n                ]\n            })} />\n            now length is:{newLen.value}\n            <p>email: {this.props.email}</p>\n            <Button onClick={this.setEmail.bind(this)}>set</Button>\n        </div>);\n    }\n}\n\n\nconst ReduxDemo = connect((state) => {\n    return {\n        email: state.formReducer.email\n    };\n})(Demo);\n\n\nconst store = createStore(combineReducers({\n    formReducer\n}));\n\nReactDOM.render((<Provider store={store}>\n    <div>\n        <ReduxDemo />\n    </div>\n</Provider>), mountNode);\n"},"body":"\n\n````jsx\nimport { Input, Button, Field } from '@alifd/next';\n\n\nimport { combineReducers, createStore } from 'redux';\nimport { Provider, connect } from 'react-redux';\n\nfunction formReducer(state = {email: 'frankqian@qq.com'}, action) {\n    switch (action.type) {\n        case 'save_fields':\n            return {\n                ...state,\n                ...action.payload\n            };\n        default:\n            return state;\n    }\n}\n\nclass Demo extends React.Component {\n    componentWillReceiveProps(nextProps) {\n        this.field.setValues({\n            email: nextProps.email,\n            newlen: nextProps.email.length\n        });\n    }\n\n    field = new Field(this, {\n        onChange: (name, value) => {\n            console.log('onChange', name, value);\n            this.field.setValue('newlen', value.length);\n            this.props.dispatch({\n                type: 'save_fields',\n                payload: {\n                    [name]: value\n                }\n            });\n        }\n    });\n\n    setEmail() {\n        this.props.dispatch({\n            type: 'save_fields',\n            payload: {\n                email: 'qq@gmail.com'\n            }\n        });\n    }\n\n\n    render() {\n        const init = this.field.init;\n\n        const newLen = init('newlen', { initValue: this.props.email.length });\n\n        return (<div>\n            <Input {...init('email', { initValue: this.props.email }, {\n                rules: [\n                    {required: true, type: 'email', message: 'at least 5 chars'}\n                ]\n            })} />\n            now length is:{newLen.value}\n            <p>email: {this.props.email}</p>\n            <Button onClick={this.setEmail.bind(this)}>set</Button>\n        </div>);\n    }\n}\n\n\nconst ReduxDemo = connect((state) => {\n    return {\n        email: state.formReducer.email\n    };\n})(Demo);\n\n\nconst store = createStore(combineReducers({\n    formReducer\n}));\n\nReactDOM.render((<Provider store={store}>\n    <div>\n        <ReduxDemo />\n    </div>\n</Provider>), mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _next = require('@alifd/next');\n\nvar _redux = require('redux');\n\nvar _reactRedux = require('react-redux');\n\nfunction _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nfunction formReducer() {\n    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : { email: 'frankqian@qq.com' };\n    var action = arguments[1];\n\n    switch (action.type) {\n        case 'save_fields':\n            return _extends({}, state, action.payload);\n        default:\n            return state;\n    }\n}\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, Demo);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Demo.__proto__ || Object.getPrototypeOf(Demo)).call.apply(_ref, [this].concat(args))), _this), _this.field = new _next.Field(_this, {\n            onChange: function onChange(name, value) {\n                console.log('onChange', name, value);\n                _this.field.setValue('newlen', value.length);\n                _this.props.dispatch({\n                    type: 'save_fields',\n                    payload: _defineProperty({}, name, value)\n                });\n            }\n        }), _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(Demo, [{\n        key: 'componentWillReceiveProps',\n        value: function componentWillReceiveProps(nextProps) {\n            this.field.setValues({\n                email: nextProps.email,\n                newlen: nextProps.email.length\n            });\n        }\n    }, {\n        key: 'setEmail',\n        value: function setEmail() {\n            this.props.dispatch({\n                type: 'save_fields',\n                payload: {\n                    email: 'qq@gmail.com'\n                }\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var init = this.field.init;\n\n            var newLen = init('newlen', { initValue: this.props.email.length });\n\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(_next.Input, init('email', { initValue: this.props.email }, {\n                    rules: [{ required: true, type: 'email', message: 'at least 5 chars' }]\n                })),\n                'now length is:',\n                newLen.value,\n                React.createElement(\n                    'p',\n                    null,\n                    'email: ',\n                    this.props.email\n                ),\n                React.createElement(\n                    _next.Button,\n                    { onClick: this.setEmail.bind(this) },\n                    'set'\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nvar ReduxDemo = (0, _reactRedux.connect)(function (state) {\n    return {\n        email: state.formReducer.email\n    };\n})(Demo);\n\nvar store = (0, _redux.createStore)((0, _redux.combineReducers)({\n    formReducer: formReducer\n}));\n\nReactDOM.render(React.createElement(\n    _reactRedux.Provider,\n    { store: store },\n    React.createElement(\n        'div',\n        null,\n        React.createElement(ReduxDemo, null)\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Input<span class=\"token punctuation\">,</span> Button<span class=\"token punctuation\">,</span> Field <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> combineReducers<span class=\"token punctuation\">,</span> createStore <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'redux'</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Provider<span class=\"token punctuation\">,</span> connect <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'react-redux'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">function</span> <span class=\"token function\">formReducer</span><span class=\"token punctuation\">(</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>email<span class=\"token operator\">:</span> <span class=\"token string\">'frankqian@qq.com'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> action<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">switch</span> <span class=\"token punctuation\">(</span>action<span class=\"token punctuation\">.</span>type<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">case</span> <span class=\"token string\">'save_fields'</span><span class=\"token operator\">:</span>\n            <span class=\"token keyword\">return</span> <span class=\"token punctuation\">{</span>\n                <span class=\"token operator\">...</span>state<span class=\"token punctuation\">,</span>\n                <span class=\"token operator\">...</span>action<span class=\"token punctuation\">.</span>payload\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">default</span><span class=\"token operator\">:</span>\n            <span class=\"token keyword\">return</span> state<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">componentWillReceiveProps</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">nextProps</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span><span class=\"token function\">setValues</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            email<span class=\"token operator\">:</span> nextProps<span class=\"token punctuation\">.</span>email<span class=\"token punctuation\">,</span>\n            newlen<span class=\"token operator\">:</span> nextProps<span class=\"token punctuation\">.</span>email<span class=\"token punctuation\">.</span>length\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    field <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Field</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token function-variable function\">onChange</span><span class=\"token operator\">:</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">name<span class=\"token punctuation\">,</span> value</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'onChange'</span><span class=\"token punctuation\">,</span> name<span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span><span class=\"token function\">setValue</span><span class=\"token punctuation\">(</span><span class=\"token string\">'newlen'</span><span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">.</span>length<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span><span class=\"token function\">dispatch</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                type<span class=\"token operator\">:</span> <span class=\"token string\">'save_fields'</span><span class=\"token punctuation\">,</span>\n                payload<span class=\"token operator\">:</span> <span class=\"token punctuation\">{</span>\n                    <span class=\"token punctuation\">[</span>name<span class=\"token punctuation\">]</span><span class=\"token operator\">:</span> value\n                <span class=\"token punctuation\">}</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function\">setEmail</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span><span class=\"token function\">dispatch</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            type<span class=\"token operator\">:</span> <span class=\"token string\">'save_fields'</span><span class=\"token punctuation\">,</span>\n            payload<span class=\"token operator\">:</span> <span class=\"token punctuation\">{</span>\n                email<span class=\"token operator\">:</span> <span class=\"token string\">'qq@gmail.com'</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> init <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span>init<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">const</span> newLen <span class=\"token operator\">=</span> <span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'newlen'</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span> initValue<span class=\"token operator\">:</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span>email<span class=\"token punctuation\">.</span>length <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            &lt;Input </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'email'</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span> initValue<span class=\"token operator\">:</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span>email <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n                rules<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span>\n                    <span class=\"token punctuation\">{</span>required<span class=\"token operator\">:</span> <span class=\"token boolean\">true</span><span class=\"token punctuation\">,</span> type<span class=\"token operator\">:</span> <span class=\"token string\">'email'</span><span class=\"token punctuation\">,</span> message<span class=\"token operator\">:</span> <span class=\"token string\">'at least 5 chars'</span><span class=\"token punctuation\">}</span>\n                <span class=\"token punctuation\">]</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\"> />\n            now length is:</span><span class=\"token punctuation\">{</span>newLen<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">email: </span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span>email<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setEmail</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">set</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\n\n<span class=\"token keyword\">const</span> ReduxDemo <span class=\"token operator\">=</span> <span class=\"token function\">connect</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">state</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">return</span> <span class=\"token punctuation\">{</span>\n        email<span class=\"token operator\">:</span> state<span class=\"token punctuation\">.</span>formReducer<span class=\"token punctuation\">.</span>email\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">(</span>Demo<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">const</span> store <span class=\"token operator\">=</span> <span class=\"token function\">createStore</span><span class=\"token punctuation\">(</span><span class=\"token function\">combineReducers</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n    formReducer\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Provider</span></span> <span class=\"token attr-name\">store</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>store<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">ReduxDemo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Provider</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}