{"title":"结构化解析","meta":{"title":"结构化解析","description":"\n<p>把 <code>init(&#39;obj.b&#39;)</code> 的数据转换成 <code>obj={obj:{b:&#39;value&#39;}}</code>；</p>\n<p>把 <code>init(&#39;arr.0&#39;)</code> 的数据转换成 <code>obj={arr:[&#39;&#39;]}</code>；</p>\n","order":"11"},"codes":{"jsx":"import { Input, Button, Field } from '@alifd/next';\n\n\n\nclass App extends React.Component {\n    field = new Field(this, {\n        parseName: true,\n        values: {\n            objWithDefaults: {\n                a: 1,\n                b: 2\n            }\n        }\n    });\n\n    onGetValue() {\n        console.log(this.field.getValues());\n    }\n\n    onSetValue() {\n        this.field.setValues({\n            obj: {\n                b: 'b',\n                c: 'c'\n            },\n            arr: ['first', 'second'],\n            objWithDefaults: {\n                a: 100,\n                b: 200\n            }\n        });\n    }\n\n    render() {\n        const { init, reset, resetToDefault } = this.field;\n\n        return (<div className=\"demo\">\n            <h3>Object transfer</h3>\n            obj.b: <Input {...init('obj.b', {initValue: 'test1'})} /> &nbsp;\n            obj.c: <Input {...init('obj.c', {initValue: 'test2'})} />\n\n            <br/>\n\n            <h3>Array transfer</h3>\n            arr.0: <Input {...init('arr.0', {initValue: '0'})} /> &nbsp;\n            arr.1: <Input {...init('arr.1', {initValue: '1'})} />\n            <br/><br/>\n\n            <h3>Object with Defaults</h3>\n            objWithDefaults.a: <Input {...init('objWithDefaults.a')} /> &nbsp;\n            objWithDefaults.b: <Input {...init('objWithDefaults.b')} />\n            <br/><br/>\n\n            result:\n            <pre>{JSON.stringify(this.field.getValues(), null, 2)}</pre>\n\n            <br/><br/>\n\n            <Button type=\"primary\" onClick={this.onGetValue.bind(this)}>getValues</Button>\n            <Button onClick={this.onSetValue.bind(this)}>setValues</Button>\n            <Button onClick={() => reset()}>reset</Button>\n            <Button onClick={() => resetToDefault()}>resetToDefault</Button>\n        </div>);\n    }\n}\n\n\nReactDOM.render(<App/>, mountNode);\n","css":".demo .next-btn {\n    margin-right: 5px;\n}\n"},"body":"\n\n\n````jsx\nimport { Input, Button, Field } from '@alifd/next';\n\n\n\nclass App extends React.Component {\n    field = new Field(this, {\n        parseName: true,\n        values: {\n            objWithDefaults: {\n                a: 1,\n                b: 2\n            }\n        }\n    });\n\n    onGetValue() {\n        console.log(this.field.getValues());\n    }\n\n    onSetValue() {\n        this.field.setValues({\n            obj: {\n                b: 'b',\n                c: 'c'\n            },\n            arr: ['first', 'second'],\n            objWithDefaults: {\n                a: 100,\n                b: 200\n            }\n        });\n    }\n\n    render() {\n        const { init, reset, resetToDefault } = this.field;\n\n        return (<div className=\"demo\">\n            <h3>Object transfer</h3>\n            obj.b: <Input {...init('obj.b', {initValue: 'test1'})} /> &nbsp;\n            obj.c: <Input {...init('obj.c', {initValue: 'test2'})} />\n\n            <br/>\n\n            <h3>Array transfer</h3>\n            arr.0: <Input {...init('arr.0', {initValue: '0'})} /> &nbsp;\n            arr.1: <Input {...init('arr.1', {initValue: '1'})} />\n            <br/><br/>\n\n            <h3>Object with Defaults</h3>\n            objWithDefaults.a: <Input {...init('objWithDefaults.a')} /> &nbsp;\n            objWithDefaults.b: <Input {...init('objWithDefaults.b')} />\n            <br/><br/>\n\n            result:\n            <pre>{JSON.stringify(this.field.getValues(), null, 2)}</pre>\n\n            <br/><br/>\n\n            <Button type=\"primary\" onClick={this.onGetValue.bind(this)}>getValues</Button>\n            <Button onClick={this.onSetValue.bind(this)}>setValues</Button>\n            <Button onClick={() => reset()}>reset</Button>\n            <Button onClick={() => resetToDefault()}>resetToDefault</Button>\n        </div>);\n    }\n}\n\n\nReactDOM.render(<App/>, mountNode);\n````\n\n````css\n.demo .next-btn {\n    margin-right: 5px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar App = function (_React$Component) {\n    _inherits(App, _React$Component);\n\n    function App() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, App);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = App.__proto__ || Object.getPrototypeOf(App)).call.apply(_ref, [this].concat(args))), _this), _this.field = new _next.Field(_this, {\n            parseName: true,\n            values: {\n                objWithDefaults: {\n                    a: 1,\n                    b: 2\n                }\n            }\n        }), _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(App, [{\n        key: 'onGetValue',\n        value: function onGetValue() {\n            console.log(this.field.getValues());\n        }\n    }, {\n        key: 'onSetValue',\n        value: function onSetValue() {\n            this.field.setValues({\n                obj: {\n                    b: 'b',\n                    c: 'c'\n                },\n                arr: ['first', 'second'],\n                objWithDefaults: {\n                    a: 100,\n                    b: 200\n                }\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var _field = this.field,\n                init = _field.init,\n                reset = _field.reset,\n                resetToDefault = _field.resetToDefault;\n\n\n            return React.createElement(\n                'div',\n                { className: 'demo' },\n                React.createElement(\n                    'h3',\n                    null,\n                    'Object transfer'\n                ),\n                'obj.b: ',\n                React.createElement(_next.Input, init('obj.b', { initValue: 'test1' })),\n                ' \\xA0 obj.c: ',\n                React.createElement(_next.Input, init('obj.c', { initValue: 'test2' })),\n                React.createElement('br', null),\n                React.createElement(\n                    'h3',\n                    null,\n                    'Array transfer'\n                ),\n                'arr.0: ',\n                React.createElement(_next.Input, init('arr.0', { initValue: '0' })),\n                ' \\xA0 arr.1: ',\n                React.createElement(_next.Input, init('arr.1', { initValue: '1' })),\n                React.createElement('br', null),\n                React.createElement('br', null),\n                React.createElement(\n                    'h3',\n                    null,\n                    'Object with Defaults'\n                ),\n                'objWithDefaults.a: ',\n                React.createElement(_next.Input, init('objWithDefaults.a')),\n                ' \\xA0 objWithDefaults.b: ',\n                React.createElement(_next.Input, init('objWithDefaults.b')),\n                React.createElement('br', null),\n                React.createElement('br', null),\n                'result:',\n                React.createElement(\n                    'pre',\n                    null,\n                    JSON.stringify(this.field.getValues(), null, 2)\n                ),\n                React.createElement('br', null),\n                React.createElement('br', null),\n                React.createElement(\n                    _next.Button,\n                    { type: 'primary', onClick: this.onGetValue.bind(this) },\n                    'getValues'\n                ),\n                React.createElement(\n                    _next.Button,\n                    { onClick: this.onSetValue.bind(this) },\n                    'setValues'\n                ),\n                React.createElement(\n                    _next.Button,\n                    { onClick: function onClick() {\n                            return reset();\n                        } },\n                    'reset'\n                ),\n                React.createElement(\n                    _next.Button,\n                    { onClick: function onClick() {\n                            return resetToDefault();\n                        } },\n                    'resetToDefault'\n                )\n            );\n        }\n    }]);\n\n    return App;\n}(React.Component);\n\nReactDOM.render(React.createElement(App, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Input<span class=\"token punctuation\">,</span> Button<span class=\"token punctuation\">,</span> Field <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">App</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    field <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Field</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        parseName<span class=\"token operator\">:</span> <span class=\"token boolean\">true</span><span class=\"token punctuation\">,</span>\n        values<span class=\"token operator\">:</span> <span class=\"token punctuation\">{</span>\n            objWithDefaults<span class=\"token operator\">:</span> <span class=\"token punctuation\">{</span>\n                a<span class=\"token operator\">:</span> <span class=\"token number\">1</span><span class=\"token punctuation\">,</span>\n                b<span class=\"token operator\">:</span> <span class=\"token number\">2</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function\">onGetValue</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span><span class=\"token function\">getValues</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onSetValue</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span><span class=\"token function\">setValues</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            obj<span class=\"token operator\">:</span> <span class=\"token punctuation\">{</span>\n                b<span class=\"token operator\">:</span> <span class=\"token string\">'b'</span><span class=\"token punctuation\">,</span>\n                c<span class=\"token operator\">:</span> <span class=\"token string\">'c'</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n            arr<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'first'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'second'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n            objWithDefaults<span class=\"token operator\">:</span> <span class=\"token punctuation\">{</span>\n                a<span class=\"token operator\">:</span> <span class=\"token number\">100</span><span class=\"token punctuation\">,</span>\n                b<span class=\"token operator\">:</span> <span class=\"token number\">200</span>\n            <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> init<span class=\"token punctuation\">,</span> reset<span class=\"token punctuation\">,</span> resetToDefault <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>demo<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Object transfer</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            obj.b: &lt;Input </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'obj.b'</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>initValue<span class=\"token operator\">:</span> <span class=\"token string\">'test1'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\"> /> &amp;nbsp;\n            obj.c: &lt;Input </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'obj.c'</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>initValue<span class=\"token operator\">:</span> <span class=\"token string\">'test2'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\"> />\n\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Array transfer</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            arr.0: &lt;Input </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'arr.0'</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>initValue<span class=\"token operator\">:</span> <span class=\"token string\">'0'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\"> /> &amp;nbsp;\n            arr.1: &lt;Input </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'arr.1'</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>initValue<span class=\"token operator\">:</span> <span class=\"token string\">'1'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\"> />\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Object with Defaults</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            objWithDefaults.a: &lt;Input </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'objWithDefaults.a'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\"> /> &amp;nbsp;\n            objWithDefaults.b: &lt;Input </span><span class=\"token punctuation\">{</span><span class=\"token operator\">...</span><span class=\"token function\">init</span><span class=\"token punctuation\">(</span><span class=\"token string\">'objWithDefaults.b'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\"> />\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n            result:\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>pre</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span><span class=\"token constant\">JSON</span><span class=\"token punctuation\">.</span><span class=\"token function\">stringify</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>field<span class=\"token punctuation\">.</span><span class=\"token function\">getValues</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">,</span> <span class=\"token number\">2</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>pre</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onGetValue</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">getValues</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onSetValue</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">setValues</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token function\">reset</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">reset</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token function\">resetToDefault</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">resetToDefault</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">App</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.demo .next-btn {\n    margin-right: 5px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.demo .next-btn</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-right</span><span class=\"token punctuation\">:</span> 5px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}