{"title":"Custom Layout","meta":{"title":"Custom Layout","description":"\n<p>Label Position: top / left</p>\n<p>With <code>Row</code> <code>Col</code> control the layout of the elements within the form (Note: FormItem is not Form direct child elements can not directly set the layout on the Form)</p>\n","order":"6"},"codes":{"jsx":"import { Form, Input, Switch, Grid, Button, Icon, Balloon } from '@alifd/next';\n\n\nconst FormItem = Form.Item;\nconst {Row, Col} = Grid;\n\nconst style = {\n    padding: '20px',\n    background: '#F7F8FA',\n    margin: '20px'\n};\nconst formItemLayout = {\n    labelCol: {fixedSpan: 4}\n};\nconst label = (<span>\nname：<Balloon type=\"primary\" trigger={<Icon type=\"prompt\" size=\"small\" />} closable={false}>blablablablablablablabla</Balloon>\n</span>);\n\nclass Demo extends React.Component {\n    state = {\n        labelAlign: 'top'\n    }\n    handleChange = (v) => {\n        this.setState({\n            labelAlign: v ? 'left' : 'top'\n        });\n    }\n    render() {\n        const labelAlign = this.state.labelAlign;\n\n        return (\n            <div>\n                <h3>Label Position</h3>\n                <Switch checkedChildren=\"left\" unCheckedChildren=\"top\" checked={this.state.labelAlign === 'left'} onChange={this.handleChange} />\n\n                <Form style={style}>\n                    <Row gutter=\"4\">\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label={label}\n                                required\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Long search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Long search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Long search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                    </Row>\n                    <Row>\n                        <Col style={{ textAlign: 'right' }}>\n                            <Button type=\"primary\" style={{ marginRight: '5px' }}>Search</Button>\n                            <Button >Clear All</Button>\n                        </Col>\n                    </Row>\n                </Form>\n\n\n                <Form style={style}>\n                    <Row gutter=\"4\">\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label={label}\n                                required\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Long search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                    </Row>\n                    <Row>\n                        <Col style={{ textAlign: 'right' }}>\n                            <Button type=\"primary\" style={{ marginRight: '5px' }}>Search</Button>\n                            <Button >Clear All</Button>\n                        </Col>\n                    </Row>\n                </Form>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n"},"body":"\n````jsx\nimport { Form, Input, Switch, Grid, Button, Icon, Balloon } from '@alifd/next';\n\n\nconst FormItem = Form.Item;\nconst {Row, Col} = Grid;\n\nconst style = {\n    padding: '20px',\n    background: '#F7F8FA',\n    margin: '20px'\n};\nconst formItemLayout = {\n    labelCol: {fixedSpan: 4}\n};\nconst label = (<span>\nname：<Balloon type=\"primary\" trigger={<Icon type=\"prompt\" size=\"small\" />} closable={false}>blablablablablablablabla</Balloon>\n</span>);\n\nclass Demo extends React.Component {\n    state = {\n        labelAlign: 'top'\n    }\n    handleChange = (v) => {\n        this.setState({\n            labelAlign: v ? 'left' : 'top'\n        });\n    }\n    render() {\n        const labelAlign = this.state.labelAlign;\n\n        return (\n            <div>\n                <h3>Label Position</h3>\n                <Switch checkedChildren=\"left\" unCheckedChildren=\"top\" checked={this.state.labelAlign === 'left'} onChange={this.handleChange} />\n\n                <Form style={style}>\n                    <Row gutter=\"4\">\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label={label}\n                                required\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Long search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Long search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Long search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                    </Row>\n                    <Row>\n                        <Col style={{ textAlign: 'right' }}>\n                            <Button type=\"primary\" style={{ marginRight: '5px' }}>Search</Button>\n                            <Button >Clear All</Button>\n                        </Col>\n                    </Row>\n                </Form>\n\n\n                <Form style={style}>\n                    <Row gutter=\"4\">\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label={label}\n                                required\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Long search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                        <Col>\n                            <FormItem {...formItemLayout} labelAlign={labelAlign}\n                                label=\"Search name:\"\n                            >\n                                <Input placeholder=\"Enter a search name:\"/>\n                            </FormItem>\n                        </Col>\n                    </Row>\n                    <Row>\n                        <Col style={{ textAlign: 'right' }}>\n                            <Button type=\"primary\" style={{ marginRight: '5px' }}>Search</Button>\n                            <Button >Clear All</Button>\n                        </Col>\n                    </Row>\n                </Form>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar FormItem = _next.Form.Item;\nvar Row = _next.Grid.Row,\n    Col = _next.Grid.Col;\n\n\nvar style = {\n    padding: '20px',\n    background: '#F7F8FA',\n    margin: '20px'\n};\nvar formItemLayout = {\n    labelCol: { fixedSpan: 4 }\n};\nvar label = React.createElement(\n    'span',\n    null,\n    'name\\uFF1A',\n    React.createElement(\n        _next.Balloon,\n        { type: 'primary', trigger: React.createElement(_next.Icon, { type: 'prompt', size: 'small' }), closable: false },\n        'blablablablablablablabla'\n    )\n);\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, Demo);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Demo.__proto__ || Object.getPrototypeOf(Demo)).call.apply(_ref, [this].concat(args))), _this), _this.state = {\n            labelAlign: 'top'\n        }, _this.handleChange = function (v) {\n            _this.setState({\n                labelAlign: v ? 'left' : 'top'\n            });\n        }, _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(Demo, [{\n        key: 'render',\n        value: function render() {\n            var labelAlign = this.state.labelAlign;\n\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    'h3',\n                    null,\n                    'Label Position'\n                ),\n                React.createElement(_next.Switch, { checkedChildren: 'left', unCheckedChildren: 'top', checked: this.state.labelAlign === 'left', onChange: this.handleChange }),\n                React.createElement(\n                    _next.Form,\n                    { style: style },\n                    React.createElement(\n                        Row,\n                        { gutter: '4' },\n                        React.createElement(\n                            Col,\n                            null,\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: label,\n                                    required: true\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            ),\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Long search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            ),\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            )\n                        ),\n                        React.createElement(\n                            Col,\n                            null,\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            ),\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Long search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            ),\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            )\n                        ),\n                        React.createElement(\n                            Col,\n                            null,\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            ),\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Long search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            ),\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            )\n                        )\n                    ),\n                    React.createElement(\n                        Row,\n                        null,\n                        React.createElement(\n                            Col,\n                            { style: { textAlign: 'right' } },\n                            React.createElement(\n                                _next.Button,\n                                { type: 'primary', style: { marginRight: '5px' } },\n                                'Search'\n                            ),\n                            React.createElement(\n                                _next.Button,\n                                null,\n                                'Clear All'\n                            )\n                        )\n                    )\n                ),\n                React.createElement(\n                    _next.Form,\n                    { style: style },\n                    React.createElement(\n                        Row,\n                        { gutter: '4' },\n                        React.createElement(\n                            Col,\n                            null,\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: label,\n                                    required: true\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            )\n                        ),\n                        React.createElement(\n                            Col,\n                            null,\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Long search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            )\n                        ),\n                        React.createElement(\n                            Col,\n                            null,\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            )\n                        ),\n                        React.createElement(\n                            Col,\n                            null,\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            )\n                        ),\n                        React.createElement(\n                            Col,\n                            null,\n                            React.createElement(\n                                FormItem,\n                                _extends({}, formItemLayout, { labelAlign: labelAlign,\n                                    label: 'Search name:'\n                                }),\n                                React.createElement(_next.Input, { placeholder: 'Enter a search name:' })\n                            )\n                        )\n                    ),\n                    React.createElement(\n                        Row,\n                        null,\n                        React.createElement(\n                            Col,\n                            { style: { textAlign: 'right' } },\n                            React.createElement(\n                                _next.Button,\n                                { type: 'primary', style: { marginRight: '5px' } },\n                                'Search'\n                            ),\n                            React.createElement(\n                                _next.Button,\n                                null,\n                                'Clear All'\n                            )\n                        )\n                    )\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Form<span class=\"token punctuation\">,</span> Input<span class=\"token punctuation\">,</span> Switch<span class=\"token punctuation\">,</span> Grid<span class=\"token punctuation\">,</span> Button<span class=\"token punctuation\">,</span> Icon<span class=\"token punctuation\">,</span> Balloon <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">const</span> FormItem <span class=\"token operator\">=</span> Form<span class=\"token punctuation\">.</span>Item<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>Row<span class=\"token punctuation\">,</span> Col<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Grid<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> style <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    padding<span class=\"token operator\">:</span> <span class=\"token string\">'20px'</span><span class=\"token punctuation\">,</span>\n    background<span class=\"token operator\">:</span> <span class=\"token string\">'#F7F8FA'</span><span class=\"token punctuation\">,</span>\n    margin<span class=\"token operator\">:</span> <span class=\"token string\">'20px'</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> formItemLayout <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    labelCol<span class=\"token operator\">:</span> <span class=\"token punctuation\">{</span>fixedSpan<span class=\"token operator\">:</span> <span class=\"token number\">4</span><span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> label <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\nname：</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Balloon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">trigger</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>prompt<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>small<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">closable</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token boolean\">false</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">blablablablablablablabla</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Balloon</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n        labelAlign<span class=\"token operator\">:</span> <span class=\"token string\">'top'</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function-variable function\">handleChange</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">v</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            labelAlign<span class=\"token operator\">:</span> v <span class=\"token operator\">?</span> <span class=\"token string\">'left'</span> <span class=\"token operator\">:</span> <span class=\"token string\">'top'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> labelAlign <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>labelAlign<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Label Position</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>h3</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Switch</span></span> <span class=\"token attr-name\">checkedChildren</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>left<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">unCheckedChildren</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>top<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">checked</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>labelAlign <span class=\"token operator\">===</span> <span class=\"token string\">'left'</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>style<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Row</span></span> <span class=\"token attr-name\">gutter</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>4<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>label<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">required</span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Long search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Long search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Long search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Row</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Row</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> textAlign<span class=\"token operator\">:</span> <span class=\"token string\">'right'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> marginRight<span class=\"token operator\">:</span> <span class=\"token string\">'5px'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Search</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Clear All</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Row</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Form</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>style<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Row</span></span> <span class=\"token attr-name\">gutter</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>4<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>label<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">required</span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Long search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">FormItem</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">formItemLayout</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">labelAlign</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>labelAlign<span class=\"token punctuation\">}</span></span>\n                                <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Search name:<span class=\"token punctuation\">\"</span></span>\n                            <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Enter a search name:<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">FormItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Row</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Row</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Col</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> textAlign<span class=\"token operator\">:</span> <span class=\"token string\">'right'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> marginRight<span class=\"token operator\">:</span> <span class=\"token string\">'5px'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Search</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Clear All</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Col</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Row</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Form</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}