{"title":"Extend icon","meta":{"title":"Extend icon","description":"\n<p>Extend icon without theme package</p>\n","order":"5"},"codes":{"jsx":"import { Icon } from '@alifd/next';\n\nconst sizes = ['xxs', 'xs', 'small', 'medium', 'large', 'xl', 'xxl', 'xxxl'];\n\nconst CustomIcon = Icon.createFromIconfontCN({\n    scriptUrl: '//at.alicdn.com/t/font_1464085_egnk4s8yv2f.js',\n});\n\nReactDOM.render(\n    <div>\n        <div className=\"icon-list-2\">\n            <CustomIcon type=\"icon-store\"/>\n            <CustomIcon type=\"icon-pic\"/>\n            <CustomIcon type=\"icon-gift\"/>\n        </div>\n        <br/>\n        <ul className=\"icon-sizes\">\n            {sizes.map((size, index) => (\n                <li key={index}>\n                    <CustomIcon type=\"icon-pic\" size={size} />\n                    <span>{size}</span>\n                </li>))}\n        </ul>\n    </div>, mountNode);\n","css":".icon-list-2 i {\n    margin: 0 10px;\n}\n.icon-sizes {\n    margin: 0;\n    padding: 0;\n    list-style: none;\n}\n\n.icon-sizes li {\n    display: inline-block;\n    width: 80px;\n    height: 80px;\n}\n\n.icon-sizes i {\n    display: block;\n    margin: 12px auto 0 auto;\n    text-align: center;\n}\n\n.icon-sizes span {\n    display: block;\n    margin-top: 10px;\n    text-align: center;\n}\n"},"body":"\n````jsx\nimport { Icon } from '@alifd/next';\n\nconst sizes = ['xxs', 'xs', 'small', 'medium', 'large', 'xl', 'xxl', 'xxxl'];\n\nconst CustomIcon = Icon.createFromIconfontCN({\n    scriptUrl: '//at.alicdn.com/t/font_1464085_egnk4s8yv2f.js',\n});\n\nReactDOM.render(\n    <div>\n        <div className=\"icon-list-2\">\n            <CustomIcon type=\"icon-store\"/>\n            <CustomIcon type=\"icon-pic\"/>\n            <CustomIcon type=\"icon-gift\"/>\n        </div>\n        <br/>\n        <ul className=\"icon-sizes\">\n            {sizes.map((size, index) => (\n                <li key={index}>\n                    <CustomIcon type=\"icon-pic\" size={size} />\n                    <span>{size}</span>\n                </li>))}\n        </ul>\n    </div>, mountNode);\n````\n````css\n.icon-list-2 i {\n    margin: 0 10px;\n}\n.icon-sizes {\n    margin: 0;\n    padding: 0;\n    list-style: none;\n}\n\n.icon-sizes li {\n    display: inline-block;\n    width: 80px;\n    height: 80px;\n}\n\n.icon-sizes i {\n    display: block;\n    margin: 12px auto 0 auto;\n    text-align: center;\n}\n\n.icon-sizes span {\n    display: block;\n    margin-top: 10px;\n    text-align: center;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar sizes = ['xxs', 'xs', 'small', 'medium', 'large', 'xl', 'xxl', 'xxxl'];\n\nvar CustomIcon = _next.Icon.createFromIconfontCN({\n    scriptUrl: '//at.alicdn.com/t/font_1464085_egnk4s8yv2f.js'\n});\n\nReactDOM.render(React.createElement(\n    'div',\n    null,\n    React.createElement(\n        'div',\n        { className: 'icon-list-2' },\n        React.createElement(CustomIcon, { type: 'icon-store' }),\n        React.createElement(CustomIcon, { type: 'icon-pic' }),\n        React.createElement(CustomIcon, { type: 'icon-gift' })\n    ),\n    React.createElement('br', null),\n    React.createElement(\n        'ul',\n        { className: 'icon-sizes' },\n        sizes.map(function (size, index) {\n            return React.createElement(\n                'li',\n                { key: index },\n                React.createElement(CustomIcon, { type: 'icon-pic', size: size }),\n                React.createElement(\n                    'span',\n                    null,\n                    size\n                )\n            );\n        })\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Icon <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> sizes <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'xxs'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'xs'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'small'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'medium'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'large'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'xl'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'xxl'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'xxxl'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> CustomIcon <span class=\"token operator\">=</span> Icon<span class=\"token punctuation\">.</span><span class=\"token function\">createFromIconfontCN</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n    scriptUrl<span class=\"token operator\">:</span> <span class=\"token string\">'//at.alicdn.com/t/font_1464085_egnk4s8yv2f.js'</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>icon-list-2<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">CustomIcon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>icon-store<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">CustomIcon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>icon-pic<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">CustomIcon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>icon-gift<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>ul</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>icon-sizes<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token punctuation\">{</span>sizes<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">size<span class=\"token punctuation\">,</span> index</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>index<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">CustomIcon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>icon-pic<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>size<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>size<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>ul</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.icon-list-2 i {\n    margin: 0 10px;\n}\n.icon-sizes {\n    margin: 0;\n    padding: 0;\n    list-style: none;\n}\n\n.icon-sizes li {\n    display: inline-block;\n    width: 80px;\n    height: 80px;\n}\n\n.icon-sizes i {\n    display: block;\n    margin: 12px auto 0 auto;\n    text-align: center;\n}\n\n.icon-sizes span {\n    display: block;\n    margin-top: 10px;\n    text-align: center;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.icon-list-2 i</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin</span><span class=\"token punctuation\">:</span> 0 10px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.icon-sizes</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin</span><span class=\"token punctuation\">:</span> 0<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 0<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">list-style</span><span class=\"token punctuation\">:</span> none<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.icon-sizes li</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">display</span><span class=\"token punctuation\">:</span> inline-block<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 80px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">height</span><span class=\"token punctuation\">:</span> 80px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.icon-sizes i</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">display</span><span class=\"token punctuation\">:</span> block<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin</span><span class=\"token punctuation\">:</span> 12px auto 0 auto<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> center<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.icon-sizes span</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">display</span><span class=\"token punctuation\">:</span> block<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin-top</span><span class=\"token punctuation\">:</span> 10px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> center<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}