{"title":"Disabled state","meta":{"title":"Disabled state","description":"\n<p>Set <code>Input</code> as <code>disabled</code> state</p>\n","order":"7"},"codes":{"jsx":"import { Input } from '@alifd/next';\n\nReactDOM.render(\n    <div>\n        <Input disabled aria-label=\"disabled\" placeholder=\"disabled\" size=\"small\"/><br /><br />\n\n        <Input\n            disabled\n            aria-label=\"disabled\"\n            addonTextBefore=\"http://\"\n            addonTextAfter=\".com\"\n            size=\"medium\"\n            value=\"alibaba\"/><br /><br />\n\n        <Input disabled aria-label=\"disabled\" placeholder=\"medium\" maxLength={10} hasLimitHint/><br /><br />\n\n        <Input.TextArea disabled aria-label=\"disabled\" placeholder=\"medium\" maxLength={10} hasLimitHint/>\n    </div>\n    , mountNode);\n"},"body":"\n````jsx\nimport { Input } from '@alifd/next';\n\nReactDOM.render(\n    <div>\n        <Input disabled aria-label=\"disabled\" placeholder=\"disabled\" size=\"small\"/><br /><br />\n\n        <Input\n            disabled\n            aria-label=\"disabled\"\n            addonTextBefore=\"http://\"\n            addonTextAfter=\".com\"\n            size=\"medium\"\n            value=\"alibaba\"/><br /><br />\n\n        <Input disabled aria-label=\"disabled\" placeholder=\"medium\" maxLength={10} hasLimitHint/><br /><br />\n\n        <Input.TextArea disabled aria-label=\"disabled\" placeholder=\"medium\" maxLength={10} hasLimitHint/>\n    </div>\n    , mountNode);\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nReactDOM.render(React.createElement(\n    \"div\",\n    null,\n    React.createElement(_next.Input, { disabled: true, \"aria-label\": \"disabled\", placeholder: \"disabled\", size: \"small\" }),\n    React.createElement(\"br\", null),\n    React.createElement(\"br\", null),\n    React.createElement(_next.Input, {\n        disabled: true,\n        \"aria-label\": \"disabled\",\n        addonTextBefore: \"http://\",\n        addonTextAfter: \".com\",\n        size: \"medium\",\n        value: \"alibaba\" }),\n    React.createElement(\"br\", null),\n    React.createElement(\"br\", null),\n    React.createElement(_next.Input, { disabled: true, \"aria-label\": \"disabled\", placeholder: \"medium\", maxLength: 10, hasLimitHint: true }),\n    React.createElement(\"br\", null),\n    React.createElement(\"br\", null),\n    React.createElement(_next.Input.TextArea, { disabled: true, \"aria-label\": \"disabled\", placeholder: \"medium\", maxLength: 10, hasLimitHint: true })\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Input <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">disabled</span> <span class=\"token attr-name\">aria-label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>disabled<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>disabled<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>small<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span>\n            <span class=\"token attr-name\">disabled</span>\n            <span class=\"token attr-name\">aria-label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>disabled<span class=\"token punctuation\">\"</span></span>\n            <span class=\"token attr-name\">addonTextBefore</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>http://<span class=\"token punctuation\">\"</span></span>\n            <span class=\"token attr-name\">addonTextAfter</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>.com<span class=\"token punctuation\">\"</span></span>\n            <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>medium<span class=\"token punctuation\">\"</span></span>\n            <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>alibaba<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input</span></span> <span class=\"token attr-name\">disabled</span> <span class=\"token attr-name\">aria-label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>disabled<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>medium<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">maxLength</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">10</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">hasLimitHint</span><span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Input.TextArea</span></span> <span class=\"token attr-name\">disabled</span> <span class=\"token attr-name\">aria-label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>disabled<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>medium<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">maxLength</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">10</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">hasLimitHint</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n    <span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}