{"title":"自定义渲染更多","meta":{"title":"自定义渲染更多","description":"\n<p>展示渲染更多 <code>renderMore</code> 用法</p>\n","order":"10"},"codes":{"jsx":"import { Menu, Box, Typography } from '@alifd/next';\n\nconst { SubMenu, Item, PopupItem, Divider } = Menu;\nconst popupProps = {\n    align: 'tc bc',\n    triggerType: 'click'\n};\nconst ds = [{\n    title: '库存管理',\n    children: [{\n        title: '部门库存管理',\n        link: ''\n    },{\n        title: '小二库存管理',\n        link: ''\n    }]\n}, {\n    title: '功能模块管理',\n    children: [{\n        title: '功能模块管理',\n        link: ''\n    },{\n        title: '卡片管理',\n        link: ''\n    },{\n        title: '首页布局',\n        link: ''\n    },{\n        title: '页面管理',\n        link: ''\n    }]\n}, {\n    title: '系统管理',\n    children: [{\n        title: '角色管理',\n        link: ''\n    },{\n        title: '标签管理',\n        link: ''\n    },{\n        title: '字典管理',\n        link: ''\n    }]\n}];\n\nconst Panel = props => {\n    const { dataSource, ...others } = props;\n\n    return (<div className=\"my-custom-content3\" {...others}>\n        <Box direction=\"row\">\n            {dataSource.map((item, i) => {\n                return (<Menu embeddable key={i}>\n                <Menu.Item><div className=\"title\">{item.title}</div></Menu.Item>\n                <Divider />\n                {item.dataSource.map((child, g) => {\n                    const a = child.children && child.children.map((c, j) => {\n                        return <Menu.Item key={j}><a href={c.link}>{c.title}</a></Menu.Item>;\n                    });\n                    return [<div className=\"sub-title\" key={`title-${g}`}>{child.title}</div>, ...a];\n                })}\n                </Menu>);\n            })}\n        </Box>\n    </div>);\n};\n\n\nconst SubPanel = props => {\n    const { dataSource, ...others } = props;\n\n    return (<div className=\"my-custom-content2\" {...others}>\n        <Box direction=\"row\">\n            {dataSource.map((item, i) => {\n                return (<Menu embeddable key={i}>\n                <div className=\"sub-title\">{item.title}</div>\n                {item.children.map((child, j) => {\n                    return <Menu.Item key={j}><a href={child.link}>{child.title}</a></Menu.Item>;\n                })}\n                </Menu>);\n            })}\n        </Box>\n    </div>);\n};\nReactDOM.render(\n    <Menu hozInLine direction=\"hoz\" mode=\"popup\" className=\"my-hoz-menu\" popupClassName=\"my-hoz-menu\"  popupProps={popupProps}\n        renderMore={(more) => {\n            const newDs = more.map((item, i) => {\n                const data = item.props.children.props;\n                return {\n                    title: item.props.label,\n                    dataSource: data.dataSource\n                };\n            });\n\n            return (<PopupItem noIcon triggerType=\"click\" key=\"0-more\" label=\"更多\" >\n                <Panel dataSource={newDs}/>\n            </PopupItem>);\n        }}>\n                <PopupItem key=\"0\" label=\"Popup item 1\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"1\" label=\"Popup item 2\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"2\" label=\"Popup item 3\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"3\" label=\"Popup item 4\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"4\" label=\"Popup item 5\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"5\" label=\"Popup item 6\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"6\" label=\"Popup item 7\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"7\" label=\"Popup item 8\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"8\" label=\"Popup item 9\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n    </Menu>\n    , mountNode);\n","css":".my-custom-menu {\n    width: 200px;\n    border: 1px solid #ccc;\n    padding: 0;\n    box-shadow: none;\n    z-index: 1000;\n    text-align: left;\n}\n\n.my-custom-content2 {\n    background: #fff;\n    border: 1px solid #ccc;\n    text-align: center;\n    font-size: 20px;\n    text-align: left;\n}\n\n.my-custom-content3 {\n    background: #fff;\n    border: 1px solid #ccc;\n    text-align: center;\n    font-size: 20px;\n    text-align: left;\n}\n\nul {\n    list-style: none;\n    padding-inline-start: 10px;\n}\n.title {\n    font-size: 16px;\n    font-weight: bold;\n}\n.sub-title {\n    font-size: 12px;\n    font-weight: normal;\n    color: #999;\n    padding-left: 20px;\n}\n"},"body":"\n\n````jsx\nimport { Menu, Box, Typography } from '@alifd/next';\n\nconst { SubMenu, Item, PopupItem, Divider } = Menu;\nconst popupProps = {\n    align: 'tc bc',\n    triggerType: 'click'\n};\nconst ds = [{\n    title: '库存管理',\n    children: [{\n        title: '部门库存管理',\n        link: ''\n    },{\n        title: '小二库存管理',\n        link: ''\n    }]\n}, {\n    title: '功能模块管理',\n    children: [{\n        title: '功能模块管理',\n        link: ''\n    },{\n        title: '卡片管理',\n        link: ''\n    },{\n        title: '首页布局',\n        link: ''\n    },{\n        title: '页面管理',\n        link: ''\n    }]\n}, {\n    title: '系统管理',\n    children: [{\n        title: '角色管理',\n        link: ''\n    },{\n        title: '标签管理',\n        link: ''\n    },{\n        title: '字典管理',\n        link: ''\n    }]\n}];\n\nconst Panel = props => {\n    const { dataSource, ...others } = props;\n\n    return (<div className=\"my-custom-content3\" {...others}>\n        <Box direction=\"row\">\n            {dataSource.map((item, i) => {\n                return (<Menu embeddable key={i}>\n                <Menu.Item><div className=\"title\">{item.title}</div></Menu.Item>\n                <Divider />\n                {item.dataSource.map((child, g) => {\n                    const a = child.children && child.children.map((c, j) => {\n                        return <Menu.Item key={j}><a href={c.link}>{c.title}</a></Menu.Item>;\n                    });\n                    return [<div className=\"sub-title\" key={`title-${g}`}>{child.title}</div>, ...a];\n                })}\n                </Menu>);\n            })}\n        </Box>\n    </div>);\n};\n\n\nconst SubPanel = props => {\n    const { dataSource, ...others } = props;\n\n    return (<div className=\"my-custom-content2\" {...others}>\n        <Box direction=\"row\">\n            {dataSource.map((item, i) => {\n                return (<Menu embeddable key={i}>\n                <div className=\"sub-title\">{item.title}</div>\n                {item.children.map((child, j) => {\n                    return <Menu.Item key={j}><a href={child.link}>{child.title}</a></Menu.Item>;\n                })}\n                </Menu>);\n            })}\n        </Box>\n    </div>);\n};\nReactDOM.render(\n    <Menu hozInLine direction=\"hoz\" mode=\"popup\" className=\"my-hoz-menu\" popupClassName=\"my-hoz-menu\"  popupProps={popupProps}\n        renderMore={(more) => {\n            const newDs = more.map((item, i) => {\n                const data = item.props.children.props;\n                return {\n                    title: item.props.label,\n                    dataSource: data.dataSource\n                };\n            });\n\n            return (<PopupItem noIcon triggerType=\"click\" key=\"0-more\" label=\"更多\" >\n                <Panel dataSource={newDs}/>\n            </PopupItem>);\n        }}>\n                <PopupItem key=\"0\" label=\"Popup item 1\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"1\" label=\"Popup item 2\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"2\" label=\"Popup item 3\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"3\" label=\"Popup item 4\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"4\" label=\"Popup item 5\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"5\" label=\"Popup item 6\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"6\" label=\"Popup item 7\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"7\" label=\"Popup item 8\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n                <PopupItem key=\"8\" label=\"Popup item 9\" noIcon>\n                    <SubPanel dataSource={ds}/>\n                </PopupItem>\n    </Menu>\n    , mountNode);\n````\n\n````css\n.my-custom-menu {\n    width: 200px;\n    border: 1px solid #ccc;\n    padding: 0;\n    box-shadow: none;\n    z-index: 1000;\n    text-align: left;\n}\n\n.my-custom-content2 {\n    background: #fff;\n    border: 1px solid #ccc;\n    text-align: center;\n    font-size: 20px;\n    text-align: left;\n}\n\n.my-custom-content3 {\n    background: #fff;\n    border: 1px solid #ccc;\n    text-align: center;\n    font-size: 20px;\n    text-align: left;\n}\n\nul {\n    list-style: none;\n    padding-inline-start: 10px;\n}\n.title {\n    font-size: 16px;\n    font-weight: bold;\n}\n.sub-title {\n    font-size: 12px;\n    font-weight: normal;\n    color: #999;\n    padding-left: 20px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _next = require('@alifd/next');\n\nfunction _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }\n\nfunction _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }\n\nvar SubMenu = _next.Menu.SubMenu,\n    Item = _next.Menu.Item,\n    PopupItem = _next.Menu.PopupItem,\n    Divider = _next.Menu.Divider;\n\nvar popupProps = {\n    align: 'tc bc',\n    triggerType: 'click'\n};\nvar ds = [{\n    title: '库存管理',\n    children: [{\n        title: '部门库存管理',\n        link: ''\n    }, {\n        title: '小二库存管理',\n        link: ''\n    }]\n}, {\n    title: '功能模块管理',\n    children: [{\n        title: '功能模块管理',\n        link: ''\n    }, {\n        title: '卡片管理',\n        link: ''\n    }, {\n        title: '首页布局',\n        link: ''\n    }, {\n        title: '页面管理',\n        link: ''\n    }]\n}, {\n    title: '系统管理',\n    children: [{\n        title: '角色管理',\n        link: ''\n    }, {\n        title: '标签管理',\n        link: ''\n    }, {\n        title: '字典管理',\n        link: ''\n    }]\n}];\n\nvar Panel = function Panel(props) {\n    var dataSource = props.dataSource,\n        others = _objectWithoutProperties(props, ['dataSource']);\n\n    return React.createElement(\n        'div',\n        _extends({ className: 'my-custom-content3' }, others),\n        React.createElement(\n            _next.Box,\n            { direction: 'row' },\n            dataSource.map(function (item, i) {\n                return React.createElement(\n                    _next.Menu,\n                    { embeddable: true, key: i },\n                    React.createElement(\n                        _next.Menu.Item,\n                        null,\n                        React.createElement(\n                            'div',\n                            { className: 'title' },\n                            item.title\n                        )\n                    ),\n                    React.createElement(Divider, null),\n                    item.dataSource.map(function (child, g) {\n                        var a = child.children && child.children.map(function (c, j) {\n                            return React.createElement(\n                                _next.Menu.Item,\n                                { key: j },\n                                React.createElement(\n                                    'a',\n                                    { href: c.link },\n                                    c.title\n                                )\n                            );\n                        });\n                        return [React.createElement(\n                            'div',\n                            { className: 'sub-title', key: 'title-' + g },\n                            child.title\n                        )].concat(_toConsumableArray(a));\n                    })\n                );\n            })\n        )\n    );\n};\n\nvar SubPanel = function SubPanel(props) {\n    var dataSource = props.dataSource,\n        others = _objectWithoutProperties(props, ['dataSource']);\n\n    return React.createElement(\n        'div',\n        _extends({ className: 'my-custom-content2' }, others),\n        React.createElement(\n            _next.Box,\n            { direction: 'row' },\n            dataSource.map(function (item, i) {\n                return React.createElement(\n                    _next.Menu,\n                    { embeddable: true, key: i },\n                    React.createElement(\n                        'div',\n                        { className: 'sub-title' },\n                        item.title\n                    ),\n                    item.children.map(function (child, j) {\n                        return React.createElement(\n                            _next.Menu.Item,\n                            { key: j },\n                            React.createElement(\n                                'a',\n                                { href: child.link },\n                                child.title\n                            )\n                        );\n                    })\n                );\n            })\n        )\n    );\n};\nReactDOM.render(React.createElement(\n    _next.Menu,\n    { hozInLine: true, direction: 'hoz', mode: 'popup', className: 'my-hoz-menu', popupClassName: 'my-hoz-menu', popupProps: popupProps,\n        renderMore: function renderMore(more) {\n            var newDs = more.map(function (item, i) {\n                var data = item.props.children.props;\n                return {\n                    title: item.props.label,\n                    dataSource: data.dataSource\n                };\n            });\n\n            return React.createElement(\n                PopupItem,\n                { noIcon: true, triggerType: 'click', key: '0-more', label: '\\u66F4\\u591A' },\n                React.createElement(Panel, { dataSource: newDs })\n            );\n        } },\n    React.createElement(\n        PopupItem,\n        { key: '0', label: 'Popup item 1', noIcon: true },\n        React.createElement(SubPanel, { dataSource: ds })\n    ),\n    React.createElement(\n        PopupItem,\n        { key: '1', label: 'Popup item 2', noIcon: true },\n        React.createElement(SubPanel, { dataSource: ds })\n    ),\n    React.createElement(\n        PopupItem,\n        { key: '2', label: 'Popup item 3', noIcon: true },\n        React.createElement(SubPanel, { dataSource: ds })\n    ),\n    React.createElement(\n        PopupItem,\n        { key: '3', label: 'Popup item 4', noIcon: true },\n        React.createElement(SubPanel, { dataSource: ds })\n    ),\n    React.createElement(\n        PopupItem,\n        { key: '4', label: 'Popup item 5', noIcon: true },\n        React.createElement(SubPanel, { dataSource: ds })\n    ),\n    React.createElement(\n        PopupItem,\n        { key: '5', label: 'Popup item 6', noIcon: true },\n        React.createElement(SubPanel, { dataSource: ds })\n    ),\n    React.createElement(\n        PopupItem,\n        { key: '6', label: 'Popup item 7', noIcon: true },\n        React.createElement(SubPanel, { dataSource: ds })\n    ),\n    React.createElement(\n        PopupItem,\n        { key: '7', label: 'Popup item 8', noIcon: true },\n        React.createElement(SubPanel, { dataSource: ds })\n    ),\n    React.createElement(\n        PopupItem,\n        { key: '8', label: 'Popup item 9', noIcon: true },\n        React.createElement(SubPanel, { dataSource: ds })\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Menu<span class=\"token punctuation\">,</span> Box<span class=\"token punctuation\">,</span> Typography <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> SubMenu<span class=\"token punctuation\">,</span> Item<span class=\"token punctuation\">,</span> PopupItem<span class=\"token punctuation\">,</span> Divider <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Menu<span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> popupProps <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    align<span class=\"token operator\">:</span> <span class=\"token string\">'tc bc'</span><span class=\"token punctuation\">,</span>\n    triggerType<span class=\"token operator\">:</span> <span class=\"token string\">'click'</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> ds <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n    title<span class=\"token operator\">:</span> <span class=\"token string\">'库存管理'</span><span class=\"token punctuation\">,</span>\n    children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'部门库存管理'</span><span class=\"token punctuation\">,</span>\n        link<span class=\"token operator\">:</span> <span class=\"token string\">''</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span><span class=\"token punctuation\">{</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'小二库存管理'</span><span class=\"token punctuation\">,</span>\n        link<span class=\"token operator\">:</span> <span class=\"token string\">''</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n    title<span class=\"token operator\">:</span> <span class=\"token string\">'功能模块管理'</span><span class=\"token punctuation\">,</span>\n    children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'功能模块管理'</span><span class=\"token punctuation\">,</span>\n        link<span class=\"token operator\">:</span> <span class=\"token string\">''</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span><span class=\"token punctuation\">{</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'卡片管理'</span><span class=\"token punctuation\">,</span>\n        link<span class=\"token operator\">:</span> <span class=\"token string\">''</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span><span class=\"token punctuation\">{</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'首页布局'</span><span class=\"token punctuation\">,</span>\n        link<span class=\"token operator\">:</span> <span class=\"token string\">''</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span><span class=\"token punctuation\">{</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'页面管理'</span><span class=\"token punctuation\">,</span>\n        link<span class=\"token operator\">:</span> <span class=\"token string\">''</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n    title<span class=\"token operator\">:</span> <span class=\"token string\">'系统管理'</span><span class=\"token punctuation\">,</span>\n    children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'角色管理'</span><span class=\"token punctuation\">,</span>\n        link<span class=\"token operator\">:</span> <span class=\"token string\">''</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span><span class=\"token punctuation\">{</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'标签管理'</span><span class=\"token punctuation\">,</span>\n        link<span class=\"token operator\">:</span> <span class=\"token string\">''</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span><span class=\"token punctuation\">{</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'字典管理'</span><span class=\"token punctuation\">,</span>\n        link<span class=\"token operator\">:</span> <span class=\"token string\">''</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">Panel</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">props</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> dataSource<span class=\"token punctuation\">,</span> <span class=\"token operator\">...</span>others <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> props<span class=\"token punctuation\">;</span>\n\n    <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>my-custom-content3<span class=\"token punctuation\">\"</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">others</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Box</span></span> <span class=\"token attr-name\">direction</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>row<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item<span class=\"token punctuation\">,</span> i</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu</span></span> <span class=\"token attr-name\">embeddable</span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>i<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>title<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>title<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Divider</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">child<span class=\"token punctuation\">,</span> g</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                    <span class=\"token keyword\">const</span> a <span class=\"token operator\">=</span> child<span class=\"token punctuation\">.</span>children <span class=\"token operator\">&amp;&amp;</span> child<span class=\"token punctuation\">.</span>children<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">c<span class=\"token punctuation\">,</span> j</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                        <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu.Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>j<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>a</span> <span class=\"token attr-name\">href</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>c<span class=\"token punctuation\">.</span>link<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>c<span class=\"token punctuation\">.</span>title<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>a</span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">;</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token keyword\">return</span> <span class=\"token punctuation\">[</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>sub-title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">title-</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>g<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>child<span class=\"token punctuation\">.</span>title<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> <span class=\"token operator\">...</span>a<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Box</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">SubPanel</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">props</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> dataSource<span class=\"token punctuation\">,</span> <span class=\"token operator\">...</span>others <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> props<span class=\"token punctuation\">;</span>\n\n    <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>my-custom-content2<span class=\"token punctuation\">\"</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">others</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Box</span></span> <span class=\"token attr-name\">direction</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>row<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item<span class=\"token punctuation\">,</span> i</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu</span></span> <span class=\"token attr-name\">embeddable</span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>i<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>sub-title<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>title<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>children<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">child<span class=\"token punctuation\">,</span> j</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                    <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu.Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>j<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>a</span> <span class=\"token attr-name\">href</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>child<span class=\"token punctuation\">.</span>link<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>child<span class=\"token punctuation\">.</span>title<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>a</span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">;</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Box</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token operator\">&lt;</span>Menu hozInLine direction<span class=\"token operator\">=</span><span class=\"token string\">\"hoz\"</span> mode<span class=\"token operator\">=</span><span class=\"token string\">\"popup\"</span> className<span class=\"token operator\">=</span><span class=\"token string\">\"my-hoz-menu\"</span> popupClassName<span class=\"token operator\">=</span><span class=\"token string\">\"my-hoz-menu\"</span>  popupProps<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span>popupProps<span class=\"token punctuation\">}</span>\n        renderMore<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">more</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">const</span> newDs <span class=\"token operator\">=</span> more<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item<span class=\"token punctuation\">,</span> i</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                <span class=\"token keyword\">const</span> data <span class=\"token operator\">=</span> item<span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span>children<span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">;</span>\n                <span class=\"token keyword\">return</span> <span class=\"token punctuation\">{</span>\n                    title<span class=\"token operator\">:</span> item<span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span>label<span class=\"token punctuation\">,</span>\n                    dataSource<span class=\"token operator\">:</span> data<span class=\"token punctuation\">.</span>dataSource\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n            <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">PopupItem</span></span> <span class=\"token attr-name\">noIcon</span> <span class=\"token attr-name\">triggerType</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>click<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>0-more<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>更多<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Panel</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>newDs<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">PopupItem</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span><span class=\"token operator\">></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">PopupItem</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>0<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Popup item 1<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">noIcon</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubPanel</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ds<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">PopupItem</span></span><span class=\"token punctuation\">></span></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">PopupItem</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>1<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Popup item 2<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">noIcon</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubPanel</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ds<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">PopupItem</span></span><span class=\"token punctuation\">></span></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">PopupItem</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>2<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Popup item 3<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">noIcon</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubPanel</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ds<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">PopupItem</span></span><span class=\"token punctuation\">></span></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">PopupItem</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>3<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Popup item 4<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">noIcon</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubPanel</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ds<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">PopupItem</span></span><span class=\"token punctuation\">></span></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">PopupItem</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>4<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Popup item 5<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">noIcon</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubPanel</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ds<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">PopupItem</span></span><span class=\"token punctuation\">></span></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">PopupItem</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>5<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Popup item 6<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">noIcon</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubPanel</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ds<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">PopupItem</span></span><span class=\"token punctuation\">></span></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">PopupItem</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>6<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Popup item 7<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">noIcon</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubPanel</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ds<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">PopupItem</span></span><span class=\"token punctuation\">></span></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">PopupItem</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>7<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Popup item 8<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">noIcon</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubPanel</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ds<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">PopupItem</span></span><span class=\"token punctuation\">></span></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">PopupItem</span></span> <span class=\"token attr-name\">key</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>8<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Popup item 9<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">noIcon</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubPanel</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ds<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">PopupItem</span></span><span class=\"token punctuation\">></span></span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Menu</span></span><span class=\"token punctuation\">></span></span>\n    <span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.my-custom-menu {\n    width: 200px;\n    border: 1px solid #ccc;\n    padding: 0;\n    box-shadow: none;\n    z-index: 1000;\n    text-align: left;\n}\n\n.my-custom-content2 {\n    background: #fff;\n    border: 1px solid #ccc;\n    text-align: center;\n    font-size: 20px;\n    text-align: left;\n}\n\n.my-custom-content3 {\n    background: #fff;\n    border: 1px solid #ccc;\n    text-align: center;\n    font-size: 20px;\n    text-align: left;\n}\n\nul {\n    list-style: none;\n    padding-inline-start: 10px;\n}\n.title {\n    font-size: 16px;\n    font-weight: bold;\n}\n.sub-title {\n    font-size: 12px;\n    font-weight: normal;\n    color: #999;\n    padding-left: 20px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.my-custom-menu</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 200px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">border</span><span class=\"token punctuation\">:</span> 1px solid #ccc<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 0<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">box-shadow</span><span class=\"token punctuation\">:</span> none<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">z-index</span><span class=\"token punctuation\">:</span> 1000<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> left<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.my-custom-content2</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> #fff<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">border</span><span class=\"token punctuation\">:</span> 1px solid #ccc<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> center<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 20px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> left<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.my-custom-content3</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> #fff<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">border</span><span class=\"token punctuation\">:</span> 1px solid #ccc<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> center<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 20px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> left<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">ul</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">list-style</span><span class=\"token punctuation\">:</span> none<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding-inline-start</span><span class=\"token punctuation\">:</span> 10px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.title</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 16px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-weight</span><span class=\"token punctuation\">:</span> bold<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.sub-title</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 12px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-weight</span><span class=\"token punctuation\">:</span> normal<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #999<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding-left</span><span class=\"token punctuation\">:</span> 20px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}