{"title":"信息外观","meta":{"title":"信息外观","description":"\n<p>通过设置<code>shape</code>调整信息外观</p>\n","order":"1"},"codes":{"jsx":"import { Message, Radio } from '@alifd/next';\n\nconst types = ['success', 'warning', 'error', 'notice', 'help', 'loading'];\nconst list = [\n    {\n        value: 'inline',\n        label: 'inline'\n    }, {\n        value: 'addon',\n        label: 'addon'\n    }, {\n        value: 'toast',\n        label: 'toast'\n    }\n];\n\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            shape: 'inline'\n        };\n        this.handleSelect = this.handleSelect.bind(this);\n    }\n\n    handleSelect(shape) {\n        this.setState({ shape });\n    }\n\n    render() {\n        const { shape } = this.state;\n\n        return (\n            <div className=\"message-shape-demo\">\n                <span className=\"demo-label\">Select Shape：</span>\n                <Radio.Group defaultValue=\"inline\" dataSource={list} value={this.state.shape} onChange={this.handleSelect} />\n\n\n                {types.map(type => (\n                    <Message key={type} title={type} type={type} shape={shape}>\n                        Content Content Content Content\n                    </Message>\n                ))}\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n","css":".message-shape-demo .demo-label {\n    display: inline-block;\n    vertical-align: top;\n    height: 22px;\n    line-height: 22px;\n}\n\n.message-shape-demo .next-message-title {\n    text-transform: capitalize;\n}\n\n.message-shape-demo .next-message {\n    margin-top: 10px;\n}\n\n.message-shape-demo .next-message.next-message-toast {\n    position: relative !important;\n}\n"},"body":"\n\n````jsx\nimport { Message, Radio } from '@alifd/next';\n\nconst types = ['success', 'warning', 'error', 'notice', 'help', 'loading'];\nconst list = [\n    {\n        value: 'inline',\n        label: 'inline'\n    }, {\n        value: 'addon',\n        label: 'addon'\n    }, {\n        value: 'toast',\n        label: 'toast'\n    }\n];\n\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            shape: 'inline'\n        };\n        this.handleSelect = this.handleSelect.bind(this);\n    }\n\n    handleSelect(shape) {\n        this.setState({ shape });\n    }\n\n    render() {\n        const { shape } = this.state;\n\n        return (\n            <div className=\"message-shape-demo\">\n                <span className=\"demo-label\">Select Shape：</span>\n                <Radio.Group defaultValue=\"inline\" dataSource={list} value={this.state.shape} onChange={this.handleSelect} />\n\n\n                {types.map(type => (\n                    <Message key={type} title={type} type={type} shape={shape}>\n                        Content Content Content Content\n                    </Message>\n                ))}\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````\n\n````css\n.message-shape-demo .demo-label {\n    display: inline-block;\n    vertical-align: top;\n    height: 22px;\n    line-height: 22px;\n}\n\n.message-shape-demo .next-message-title {\n    text-transform: capitalize;\n}\n\n.message-shape-demo .next-message {\n    margin-top: 10px;\n}\n\n.message-shape-demo .next-message.next-message-toast {\n    position: relative !important;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar types = ['success', 'warning', 'error', 'notice', 'help', 'loading'];\nvar list = [{\n    value: 'inline',\n    label: 'inline'\n}, {\n    value: 'addon',\n    label: 'addon'\n}, {\n    value: 'toast',\n    label: 'toast'\n}];\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.state = {\n            shape: 'inline'\n        };\n        _this.handleSelect = _this.handleSelect.bind(_this);\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'handleSelect',\n        value: function handleSelect(shape) {\n            this.setState({ shape: shape });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var shape = this.state.shape;\n\n\n            return React.createElement(\n                'div',\n                { className: 'message-shape-demo' },\n                React.createElement(\n                    'span',\n                    { className: 'demo-label' },\n                    'Select Shape\\uFF1A'\n                ),\n                React.createElement(_next.Radio.Group, { defaultValue: 'inline', dataSource: list, value: this.state.shape, onChange: this.handleSelect }),\n                types.map(function (type) {\n                    return React.createElement(\n                        _next.Message,\n                        { key: type, title: type, type: type, shape: shape },\n                        'Content Content Content Content'\n                    );\n                })\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Message<span class=\"token punctuation\">,</span> Radio <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> types <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'success'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'warning'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'error'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'notice'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'help'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'loading'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> list <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token punctuation\">{</span>\n        value<span class=\"token operator\">:</span> <span class=\"token string\">'inline'</span><span class=\"token punctuation\">,</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'inline'</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        value<span class=\"token operator\">:</span> <span class=\"token string\">'addon'</span><span class=\"token punctuation\">,</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'addon'</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        value<span class=\"token operator\">:</span> <span class=\"token string\">'toast'</span><span class=\"token punctuation\">,</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'toast'</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            shape<span class=\"token operator\">:</span> <span class=\"token string\">'inline'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSelect <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleSelect</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleSelect</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">shape</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> shape <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> shape <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>message-shape-demo<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>demo-label<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Select Shape：</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio.Group</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>inline<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>list<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>shape<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSelect<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n\n\n                </span><span class=\"token punctuation\">{</span>types<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">type</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span>\n                    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Message</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>type<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">title</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>type<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">type</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>type<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">shape</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>shape<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        Content Content Content Content\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Message</span></span><span class=\"token punctuation\">></span></span>\n                <span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.message-shape-demo .demo-label {\n    display: inline-block;\n    vertical-align: top;\n    height: 22px;\n    line-height: 22px;\n}\n\n.message-shape-demo .next-message-title {\n    text-transform: capitalize;\n}\n\n.message-shape-demo .next-message {\n    margin-top: 10px;\n}\n\n.message-shape-demo .next-message.next-message-toast {\n    position: relative !important;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.message-shape-demo .demo-label</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">display</span><span class=\"token punctuation\">:</span> inline-block<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">vertical-align</span><span class=\"token punctuation\">:</span> top<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">height</span><span class=\"token punctuation\">:</span> 22px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">line-height</span><span class=\"token punctuation\">:</span> 22px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.message-shape-demo .next-message-title</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">text-transform</span><span class=\"token punctuation\">:</span> capitalize<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.message-shape-demo .next-message</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-top</span><span class=\"token punctuation\">:</span> 10px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.message-shape-demo .next-message.next-message-toast</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">position</span><span class=\"token punctuation\">:</span> relative <span class=\"token important\">!important</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}