{"title":"Toast","meta":{"title":"Toast","description":"\n<p>You can use <code>Message.show</code> and <code>Message.hide</code> to show and hide toast conveniently.</p>\n","order":"5"},"codes":{"jsx":"import { Message, Button } from '@alifd/next';\n\n\nconst show = () => {\n    Message.show({\n        type: 'loading',\n        content: 'Will be closed after 3 seconds or manually click on the close button',\n        afterClose: () => console.log('Closed the toast')\n    });\n};\nconst hide = () => Message.hide();\n\nReactDOM.render(\n    <div className=\"message-toast-demo\">\n        <Button onClick={show}>Show</Button>\n        <Button onClick={hide}>Hide</Button>\n    </div>, mountNode);\n","css":".message-toast-demo .next-btn.next-medium {\n    margin-right: 10px;\n}\n"},"body":"\n````jsx\nimport { Message, Button } from '@alifd/next';\n\n\nconst show = () => {\n    Message.show({\n        type: 'loading',\n        content: 'Will be closed after 3 seconds or manually click on the close button',\n        afterClose: () => console.log('Closed the toast')\n    });\n};\nconst hide = () => Message.hide();\n\nReactDOM.render(\n    <div className=\"message-toast-demo\">\n        <Button onClick={show}>Show</Button>\n        <Button onClick={hide}>Hide</Button>\n    </div>, mountNode);\n````\n\n````css\n.message-toast-demo .next-btn.next-medium {\n    margin-right: 10px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar show = function show() {\n    _next.Message.show({\n        type: 'loading',\n        content: 'Will be closed after 3 seconds or manually click on the close button',\n        afterClose: function afterClose() {\n            return console.log('Closed the toast');\n        }\n    });\n};\nvar hide = function hide() {\n    return _next.Message.hide();\n};\n\nReactDOM.render(React.createElement(\n    'div',\n    { className: 'message-toast-demo' },\n    React.createElement(\n        _next.Button,\n        { onClick: show },\n        'Show'\n    ),\n    React.createElement(\n        _next.Button,\n        { onClick: hide },\n        'Hide'\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Message<span class=\"token punctuation\">,</span> Button <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">show</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    Message<span class=\"token punctuation\">.</span><span class=\"token function\">show</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n        type<span class=\"token operator\">:</span> <span class=\"token string\">'loading'</span><span class=\"token punctuation\">,</span>\n        content<span class=\"token operator\">:</span> <span class=\"token string\">'Will be closed after 3 seconds or manually click on the close button'</span><span class=\"token punctuation\">,</span>\n        <span class=\"token function-variable function\">afterClose</span><span class=\"token operator\">:</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'Closed the toast'</span><span class=\"token punctuation\">)</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">hide</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> Message<span class=\"token punctuation\">.</span><span class=\"token function\">hide</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>message-toast-demo<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>show<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Show</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>hide<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Hide</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.message-toast-demo .next-btn.next-medium {\n    margin-right: 10px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.message-toast-demo .next-btn.next-medium</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-right</span><span class=\"token punctuation\">:</span> 10px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}