{"title":"Customize","meta":{"title":"Customize","description":"\n<p>Nav provides a lot of configurations that can be personalized.</p>\n","order":"1"},"codes":{"jsx":"import { Nav, Radio } from '@alifd/next';\n\n\nconst { Item, SubNav } = Nav;\n\nclass App extends React.Component {\n    state = {\n        type: 'normal',\n        direction: 'hoz',\n        activeDirection: null,\n        triggerType: 'click',\n        mode: 'inline'\n    }\n\n    setValue(name, value) {\n        this.setState({\n            [name]: value === '' ? null : value\n        });\n    }\n\n    setTriggerType(triggerType) {\n        this.setState({\n            triggerType\n        });\n    }\n\n    setModeType(mode) {\n        this.setState({\n            mode\n        });\n    }\n\n    render() {\n        const { type, direction, activeDirection, triggerType, mode } = this.state;\n\n        return (\n            <div>\n                <div className=\"demo-ctl\">\n                    <Radio.Group shape=\"button\" size=\"medium\" value={type} onChange={this.setValue.bind(this, 'type')}>\n                        <Radio value=\"normal\">type=\"normal\"</Radio>\n                        <Radio value=\"primary\">type=\"primary\"</Radio>\n                        <Radio value=\"secondary\">type=\"secondary\"</Radio>\n                        <Radio value=\"line\">type=\"line\"</Radio>\n                    </Radio.Group>\n                    <Radio.Group shape=\"button\" size=\"medium\" value={direction} onChange={this.setValue.bind(this, 'direction')}>\n                        <Radio value=\"hoz\">direction=\"hoz\"</Radio>\n                        <Radio value=\"ver\">direction=\"ver\"</Radio>\n                    </Radio.Group>\n                    <Radio.Group shape=\"button\" size=\"medium\" value={activeDirection === null ? '' : activeDirection} onChange={this.setValue.bind(this, 'activeDirection')}>\n                        <Radio value=\"\">activeDirection=null</Radio>\n                        {direction === 'hoz' ? <Radio value=\"top\">activeDirection=\"top\"</Radio> : null}\n                        {direction === 'hoz' ? <Radio value=\"bottom\">activeDirection=\"bottom\"</Radio> : null}\n                        {direction === 'ver' ? <Radio value=\"left\">activeDirection=\"left\"</Radio> : null}\n                        {direction === 'ver' ? <Radio value=\"right\">activeDirection=\"right\"</Radio> : null}\n                    </Radio.Group>\n                    <Radio.Group shape=\"button\" size=\"medium\" value={triggerType} onChange={this.setTriggerType.bind(this)}>\n                        <Radio value=\"click\">triggerType=\"click\"</Radio>\n                        <Radio value=\"hover\">triggerType=\"hover\"</Radio>\n                    </Radio.Group>\n                    <Radio.Group shape=\"button\" size=\"medium\" value={mode} onChange={this.setModeType.bind(this)}>\n                        <Radio value=\"inline\">mode=\"inline\"</Radio>\n                        <Radio value=\"popup\">mode=\"popup\"</Radio>\n                    </Radio.Group>\n                </div>\n                <Nav className=\"custom-nav\" mode={mode} type={type} direction={direction} activeDirection={activeDirection} triggerType={triggerType}>\n                    <Item>Item 1</Item>\n                    <Item>Item 2</Item>\n                    <SubNav label=\"Sub Nav\">\n                        <Item>Item 3</Item>\n                        <Item>Item 4</Item>\n                        <SubNav label=\"Sub Nav\">\n                            <Item>Item 5</Item>\n                            <Item>Item 6</Item>\n                        </SubNav>\n                    </SubNav>\n                    <Item icon=\"account\">\n                        <a href=\"http://www.taobao.com\" target=\"_blank\">Taobao</a>\n                    </Item>\n                </Nav>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<App />, mountNode);\n","css":".demo-ctl {\n    background-color: #F1F1F1;\n    border-left: 4px solid #0D599A;\n    color: #0A7AC3;\n    margin-bottom: 20px;\n    padding: 5px;\n}\n.demo-ctl .next-radio-group {\n    display: block;\n    margin: 5px;\n}\n.custom-nav.next-hoz .next-nav-item {\n    width: 100px;\n}\n.custom-nav.next-ver {\n    width: 200px;\n}\n"},"body":"\n````jsx\nimport { Nav, Radio } from '@alifd/next';\n\n\nconst { Item, SubNav } = Nav;\n\nclass App extends React.Component {\n    state = {\n        type: 'normal',\n        direction: 'hoz',\n        activeDirection: null,\n        triggerType: 'click',\n        mode: 'inline'\n    }\n\n    setValue(name, value) {\n        this.setState({\n            [name]: value === '' ? null : value\n        });\n    }\n\n    setTriggerType(triggerType) {\n        this.setState({\n            triggerType\n        });\n    }\n\n    setModeType(mode) {\n        this.setState({\n            mode\n        });\n    }\n\n    render() {\n        const { type, direction, activeDirection, triggerType, mode } = this.state;\n\n        return (\n            <div>\n                <div className=\"demo-ctl\">\n                    <Radio.Group shape=\"button\" size=\"medium\" value={type} onChange={this.setValue.bind(this, 'type')}>\n                        <Radio value=\"normal\">type=\"normal\"</Radio>\n                        <Radio value=\"primary\">type=\"primary\"</Radio>\n                        <Radio value=\"secondary\">type=\"secondary\"</Radio>\n                        <Radio value=\"line\">type=\"line\"</Radio>\n                    </Radio.Group>\n                    <Radio.Group shape=\"button\" size=\"medium\" value={direction} onChange={this.setValue.bind(this, 'direction')}>\n                        <Radio value=\"hoz\">direction=\"hoz\"</Radio>\n                        <Radio value=\"ver\">direction=\"ver\"</Radio>\n                    </Radio.Group>\n                    <Radio.Group shape=\"button\" size=\"medium\" value={activeDirection === null ? '' : activeDirection} onChange={this.setValue.bind(this, 'activeDirection')}>\n                        <Radio value=\"\">activeDirection=null</Radio>\n                        {direction === 'hoz' ? <Radio value=\"top\">activeDirection=\"top\"</Radio> : null}\n                        {direction === 'hoz' ? <Radio value=\"bottom\">activeDirection=\"bottom\"</Radio> : null}\n                        {direction === 'ver' ? <Radio value=\"left\">activeDirection=\"left\"</Radio> : null}\n                        {direction === 'ver' ? <Radio value=\"right\">activeDirection=\"right\"</Radio> : null}\n                    </Radio.Group>\n                    <Radio.Group shape=\"button\" size=\"medium\" value={triggerType} onChange={this.setTriggerType.bind(this)}>\n                        <Radio value=\"click\">triggerType=\"click\"</Radio>\n                        <Radio value=\"hover\">triggerType=\"hover\"</Radio>\n                    </Radio.Group>\n                    <Radio.Group shape=\"button\" size=\"medium\" value={mode} onChange={this.setModeType.bind(this)}>\n                        <Radio value=\"inline\">mode=\"inline\"</Radio>\n                        <Radio value=\"popup\">mode=\"popup\"</Radio>\n                    </Radio.Group>\n                </div>\n                <Nav className=\"custom-nav\" mode={mode} type={type} direction={direction} activeDirection={activeDirection} triggerType={triggerType}>\n                    <Item>Item 1</Item>\n                    <Item>Item 2</Item>\n                    <SubNav label=\"Sub Nav\">\n                        <Item>Item 3</Item>\n                        <Item>Item 4</Item>\n                        <SubNav label=\"Sub Nav\">\n                            <Item>Item 5</Item>\n                            <Item>Item 6</Item>\n                        </SubNav>\n                    </SubNav>\n                    <Item icon=\"account\">\n                        <a href=\"http://www.taobao.com\" target=\"_blank\">Taobao</a>\n                    </Item>\n                </Nav>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<App />, mountNode);\n````\n\n````css\n.demo-ctl {\n    background-color: #F1F1F1;\n    border-left: 4px solid #0D599A;\n    color: #0A7AC3;\n    margin-bottom: 20px;\n    padding: 5px;\n}\n.demo-ctl .next-radio-group {\n    display: block;\n    margin: 5px;\n}\n.custom-nav.next-hoz .next-nav-item {\n    width: 100px;\n}\n.custom-nav.next-ver {\n    width: 200px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar Item = _next.Nav.Item,\n    SubNav = _next.Nav.SubNav;\n\nvar App = function (_React$Component) {\n    _inherits(App, _React$Component);\n\n    function App() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, App);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = App.__proto__ || Object.getPrototypeOf(App)).call.apply(_ref, [this].concat(args))), _this), _this.state = {\n            type: 'normal',\n            direction: 'hoz',\n            activeDirection: null,\n            triggerType: 'click',\n            mode: 'inline'\n        }, _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(App, [{\n        key: 'setValue',\n        value: function setValue(name, value) {\n            this.setState(_defineProperty({}, name, value === '' ? null : value));\n        }\n    }, {\n        key: 'setTriggerType',\n        value: function setTriggerType(triggerType) {\n            this.setState({\n                triggerType: triggerType\n            });\n        }\n    }, {\n        key: 'setModeType',\n        value: function setModeType(mode) {\n            this.setState({\n                mode: mode\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var _state = this.state,\n                type = _state.type,\n                direction = _state.direction,\n                activeDirection = _state.activeDirection,\n                triggerType = _state.triggerType,\n                mode = _state.mode;\n\n\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    'div',\n                    { className: 'demo-ctl' },\n                    React.createElement(\n                        _next.Radio.Group,\n                        { shape: 'button', size: 'medium', value: type, onChange: this.setValue.bind(this, 'type') },\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'normal' },\n                            'type=\"normal\"'\n                        ),\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'primary' },\n                            'type=\"primary\"'\n                        ),\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'secondary' },\n                            'type=\"secondary\"'\n                        ),\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'line' },\n                            'type=\"line\"'\n                        )\n                    ),\n                    React.createElement(\n                        _next.Radio.Group,\n                        { shape: 'button', size: 'medium', value: direction, onChange: this.setValue.bind(this, 'direction') },\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'hoz' },\n                            'direction=\"hoz\"'\n                        ),\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'ver' },\n                            'direction=\"ver\"'\n                        )\n                    ),\n                    React.createElement(\n                        _next.Radio.Group,\n                        { shape: 'button', size: 'medium', value: activeDirection === null ? '' : activeDirection, onChange: this.setValue.bind(this, 'activeDirection') },\n                        React.createElement(\n                            _next.Radio,\n                            { value: '' },\n                            'activeDirection=null'\n                        ),\n                        direction === 'hoz' ? React.createElement(\n                            _next.Radio,\n                            { value: 'top' },\n                            'activeDirection=\"top\"'\n                        ) : null,\n                        direction === 'hoz' ? React.createElement(\n                            _next.Radio,\n                            { value: 'bottom' },\n                            'activeDirection=\"bottom\"'\n                        ) : null,\n                        direction === 'ver' ? React.createElement(\n                            _next.Radio,\n                            { value: 'left' },\n                            'activeDirection=\"left\"'\n                        ) : null,\n                        direction === 'ver' ? React.createElement(\n                            _next.Radio,\n                            { value: 'right' },\n                            'activeDirection=\"right\"'\n                        ) : null\n                    ),\n                    React.createElement(\n                        _next.Radio.Group,\n                        { shape: 'button', size: 'medium', value: triggerType, onChange: this.setTriggerType.bind(this) },\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'click' },\n                            'triggerType=\"click\"'\n                        ),\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'hover' },\n                            'triggerType=\"hover\"'\n                        )\n                    ),\n                    React.createElement(\n                        _next.Radio.Group,\n                        { shape: 'button', size: 'medium', value: mode, onChange: this.setModeType.bind(this) },\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'inline' },\n                            'mode=\"inline\"'\n                        ),\n                        React.createElement(\n                            _next.Radio,\n                            { value: 'popup' },\n                            'mode=\"popup\"'\n                        )\n                    )\n                ),\n                React.createElement(\n                    _next.Nav,\n                    { className: 'custom-nav', mode: mode, type: type, direction: direction, activeDirection: activeDirection, triggerType: triggerType },\n                    React.createElement(\n                        Item,\n                        null,\n                        'Item 1'\n                    ),\n                    React.createElement(\n                        Item,\n                        null,\n                        'Item 2'\n                    ),\n                    React.createElement(\n                        SubNav,\n                        { label: 'Sub Nav' },\n                        React.createElement(\n                            Item,\n                            null,\n                            'Item 3'\n                        ),\n                        React.createElement(\n                            Item,\n                            null,\n                            'Item 4'\n                        ),\n                        React.createElement(\n                            SubNav,\n                            { label: 'Sub Nav' },\n                            React.createElement(\n                                Item,\n                                null,\n                                'Item 5'\n                            ),\n                            React.createElement(\n                                Item,\n                                null,\n                                'Item 6'\n                            )\n                        )\n                    ),\n                    React.createElement(\n                        Item,\n                        { icon: 'account' },\n                        React.createElement(\n                            'a',\n                            { href: 'http://www.taobao.com', target: '_blank' },\n                            'Taobao'\n                        )\n                    )\n                )\n            );\n        }\n    }]);\n\n    return App;\n}(React.Component);\n\nReactDOM.render(React.createElement(App, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Nav<span class=\"token punctuation\">,</span> Radio <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> Item<span class=\"token punctuation\">,</span> SubNav <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> Nav<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">App</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n        type<span class=\"token operator\">:</span> <span class=\"token string\">'normal'</span><span class=\"token punctuation\">,</span>\n        direction<span class=\"token operator\">:</span> <span class=\"token string\">'hoz'</span><span class=\"token punctuation\">,</span>\n        activeDirection<span class=\"token operator\">:</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">,</span>\n        triggerType<span class=\"token operator\">:</span> <span class=\"token string\">'click'</span><span class=\"token punctuation\">,</span>\n        mode<span class=\"token operator\">:</span> <span class=\"token string\">'inline'</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">setValue</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">name<span class=\"token punctuation\">,</span> value</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            <span class=\"token punctuation\">[</span>name<span class=\"token punctuation\">]</span><span class=\"token operator\">:</span> value <span class=\"token operator\">===</span> <span class=\"token string\">''</span> <span class=\"token operator\">?</span> <span class=\"token keyword\">null</span> <span class=\"token operator\">:</span> value\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">setTriggerType</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">triggerType</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            triggerType\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">setModeType</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">mode</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            mode\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> type<span class=\"token punctuation\">,</span> direction<span class=\"token punctuation\">,</span> activeDirection<span class=\"token punctuation\">,</span> triggerType<span class=\"token punctuation\">,</span> mode <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>demo-ctl<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio.Group</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>button<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>medium<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>type<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setValue</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'type'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>normal<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">type=\"normal\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">type=\"primary\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>secondary<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">type=\"secondary\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>line<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">type=\"line\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio.Group</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>button<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>medium<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>direction<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setValue</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'direction'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>hoz<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">direction=\"hoz\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>ver<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">direction=\"ver\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio.Group</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>button<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>medium<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>activeDirection <span class=\"token operator\">===</span> <span class=\"token keyword\">null</span> <span class=\"token operator\">?</span> <span class=\"token string\">''</span> <span class=\"token operator\">:</span> activeDirection<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setValue</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'activeDirection'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span><span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">activeDirection=null</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token punctuation\">{</span>direction <span class=\"token operator\">===</span> <span class=\"token string\">'hoz'</span> <span class=\"token operator\">?</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>top<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">activeDirection=\"top\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span> <span class=\"token operator\">:</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                        </span><span class=\"token punctuation\">{</span>direction <span class=\"token operator\">===</span> <span class=\"token string\">'hoz'</span> <span class=\"token operator\">?</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>bottom<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">activeDirection=\"bottom\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span> <span class=\"token operator\">:</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                        </span><span class=\"token punctuation\">{</span>direction <span class=\"token operator\">===</span> <span class=\"token string\">'ver'</span> <span class=\"token operator\">?</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>left<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">activeDirection=\"left\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span> <span class=\"token operator\">:</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                        </span><span class=\"token punctuation\">{</span>direction <span class=\"token operator\">===</span> <span class=\"token string\">'ver'</span> <span class=\"token operator\">?</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>right<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">activeDirection=\"right\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span> <span class=\"token operator\">:</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio.Group</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>button<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>medium<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>triggerType<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setTriggerType</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>click<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">triggerType=\"click\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>hover<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">triggerType=\"hover\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio.Group</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>button<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>medium<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>mode<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setModeType</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>inline<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">mode=\"inline\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio</span></span> <span class=\"token attr-name\">value</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>popup<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">mode=\"popup\"</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Radio.Group</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Nav</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>custom-nav<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">mode</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>mode<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">type</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>type<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">direction</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>direction<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">activeDirection</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>activeDirection<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">triggerType</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>triggerType<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Item 1</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Item 2</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubNav</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Sub Nav<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Item 3</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Item 4</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">SubNav</span></span> <span class=\"token attr-name\">label</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Sub Nav<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Item 5</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Item 6</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">SubNav</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">SubNav</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Item</span></span> <span class=\"token attr-name\">icon</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>account<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>a</span> <span class=\"token attr-name\">href</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>http://www.taobao.com<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">target</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>_blank<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Taobao</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>a</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Nav</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">App</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.demo-ctl {\n    background-color: #F1F1F1;\n    border-left: 4px solid #0D599A;\n    color: #0A7AC3;\n    margin-bottom: 20px;\n    padding: 5px;\n}\n.demo-ctl .next-radio-group {\n    display: block;\n    margin: 5px;\n}\n.custom-nav.next-hoz .next-nav-item {\n    width: 100px;\n}\n.custom-nav.next-ver {\n    width: 200px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.demo-ctl</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">background-color</span><span class=\"token punctuation\">:</span> #F1F1F1<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">border-left</span><span class=\"token punctuation\">:</span> 4px solid #0D599A<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #0A7AC3<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin-bottom</span><span class=\"token punctuation\">:</span> 20px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 5px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.demo-ctl .next-radio-group</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">display</span><span class=\"token punctuation\">:</span> block<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin</span><span class=\"token punctuation\">:</span> 5px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.custom-nav.next-hoz .next-nav-item</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 100px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.custom-nav.next-ver</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 200px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}