{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><h3 id=\"when-to-use\">When To Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>It provides top navigation and side navigation, the top navigation provides global categories and functions, and the side navigation provides a multi-level structure to store and arrange the site architecture.</p>\n<h3 id=\"note\">Note<a href=\"#note\" class=\"anchor\">#</a></h3><ul>\n<li><p>iconOnly only works with the vertical direction.</p>\n</li>\n<li><p>The property of Nav inherits from Menu, so in addition to special instructions, you can use the API of Menu.</p>\n</li>\n</ul>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"nav\">Nav<a href=\"#nav\" class=\"anchor\">#</a></h3><blockquote>\n<p>The API inherits from <code>Menu</code>, please look at the <code>Menu</code> document</p>\n</blockquote>\n<table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>children</td>\n<td>navigation item and sub navigation</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>type</td>\n<td>type of navigation<br><br><strong>option</strong>:<br>&apos;normal&apos;<br>&apos;primary&apos;<br>&apos;secondary&apos;<br>&apos;line&apos;</td>\n<td>Enum</td>\n<td>&apos;normal&apos;</td>\n</tr>\n<tr>\n<td>direction</td>\n<td>layout of navigation<br><br><strong>option</strong>:<br>&apos;hoz&apos;<br>&apos;ver&apos;</td>\n<td>Enum</td>\n<td>&apos;ver&apos;</td>\n</tr>\n<tr>\n<td>hozAlign</td>\n<td>alignment of items in the horizontal nav bar, only works when direction is set to &apos;hoz&apos; and the header exists<br><br><strong>options</strong>:<br>&apos;left&apos;, &apos;right&apos;</td>\n<td>Enum</td>\n<td>&apos;left&apos;</td>\n</tr>\n<tr>\n<td>activeDirection</td>\n<td>the active border direction of the selected item<br><br><strong>option</strong>:<br>null<br>&apos;top&apos;<br>&apos;bottom&apos;<br>&apos;left&apos;<br>&apos;right&apos;</td>\n<td>Enum</td>\n<td>when direction is &apos;hoz&apos;, the default value is &apos;bottom&apos;. When direction is &apos;ver&apos;, the default value is &apos;left&apos;.</td>\n</tr>\n<tr>\n<td>mode</td>\n<td>sub navigation open mode (horizontal navigation only supports pop up)<br><br><strong>option</strong>:<br>&apos;inline&apos;, &apos;popup&apos;</td>\n<td>Enum</td>\n<td>&apos;inline&apos;</td>\n</tr>\n<tr>\n<td>triggerType</td>\n<td>sub navigation open trigger<br><br><strong>option</strong>:<br>&apos;click&apos;, &apos;hover&apos;</td>\n<td>Enum</td>\n<td>&apos;click&apos;</td>\n</tr>\n<tr>\n<td>inlineIndent</td>\n<td>inline sub navigation indent distance</td>\n<td>Number</td>\n<td>20</td>\n</tr>\n<tr>\n<td>defaultOpenAll</td>\n<td>open all subnavs default, only when mode is set to &apos;inline&apos; and openMode is set to &apos;multiple&apos;</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>openMode</td>\n<td>the open mode of inline sub navigation, expand a peer navigation or multiple navigations at the same level at same time, it only works in inline mode<br><br><strong>option</strong>:<br>&apos;single&apos;, &apos;multiple&apos;</td>\n<td>Enum</td>\n<td>&apos;multiple&apos;</td>\n</tr>\n<tr>\n<td>selectedKeys</td>\n<td>keys of selected nav item currently</td>\n<td>String/Array</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultSelectedKeys</td>\n<td>keys of selected nav item in default</td>\n<td>String/Array</td>\n<td>[]</td>\n</tr>\n<tr>\n<td>onSelect</td>\n<td>callback function triggered when select or unselect nav item<br><br><strong>signatures</strong>:<br>Function(selectedKeys: Array, item: Object, extra: Object) =&gt; void<br><strong>params</strong>:<br><em>selectedKeys</em>: {Array} keys of selected nav item<br><em>item</em>: {Object} current operation nav item<br><em>extra</em>: {Object} extra params<br><em>extra.select</em>: {Boolean} whether is selected<br><em>extra.key</em>: {Array} key of current operation nav item<br><em>extra.label</em>: {Object} label of current operation nav item<br><em>extra.keyPath</em>: {Array} key path of current operation nav item</td>\n<td>Function</td>\n<td>() =&gt; {}</td>\n</tr>\n<tr>\n<td>popupAlign</td>\n<td>pop up sub navigation alignment (horizontal navigation only supports follow)<br><br><strong>option</strong>:<br>&apos;follow&apos;, &apos;outside&apos;</td>\n<td>Enum</td>\n<td>&apos;follow&apos;</td>\n</tr>\n<tr>\n<td>popupClassName</td>\n<td>pop up navigation custom class name</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>iconOnly</td>\n<td>whether to show only icons</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>hasArrow</td>\n<td>whether to display the right arrow (only works when iconOnly=true)</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>hasTooltip</td>\n<td>whether has tool tip (only works when iconOnly=true)</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>header</td>\n<td>custom navigation head</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>footer</td>\n<td>custom navigation footer</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>embeddable</td>\n<td>integrate with the background or not(which means no background/border/box-shadow etc.), usually used with Layout. You can also custom its height like<code>&lt;Nav style={{lineHeight: &apos;100px&apos;}}&gt;</code></td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"nav-group\">Nav.Group<a href=\"#nav-group\" class=\"anchor\">#</a></h3><blockquote>\n<p>The API inherits from <code>Menu.Group</code>, please look at the <code>Menu.Group</code> document</p>\n</blockquote>\n<table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>label</td>\n<td>content of label</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>children</td>\n<td>navigation item and sub navigation</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"nav-item\">Nav.Item<a href=\"#nav-item\" class=\"anchor\">#</a></h3><blockquote>\n<p>The API inherits from <code>Menu.Item</code>, please look at the <code>Menu.Item</code> document</p>\n</blockquote>\n<table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>icon</td>\n<td>custom icon, it can be type of Icon or such as <code>&lt;Icon type=&quot;icon type&quot; /&gt;</code></td>\n<td>String/ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>children</td>\n<td>content of navigation item</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"nav-popupitem\">Nav.PopupItem<a href=\"#nav-popupitem\" class=\"anchor\">#</a></h3><blockquote>\n<p>The API inherits from <code>Menu.PopupItem</code>, please look at the <code>Menu.PopupItem</code> document</p>\n</blockquote>\n<table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>icon</td>\n<td>custom icon, it can be type of Icon or such as <code>&lt;Icon type=&quot;icon type&quot; /&gt;</code></td>\n<td>String/ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>label</td>\n<td>content of label</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>children</td>\n<td>popup content</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"nav-subnav\">Nav.SubNav<a href=\"#nav-subnav\" class=\"anchor\">#</a></h3><blockquote>\n<p>The API inherits from <code>Menu.SubMenu</code>, please look at the <code>Menu.SubMenu</code> document</p>\n</blockquote>\n<table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>icon</td>\n<td>custom icon, it can be type of Icon or such as <code>&lt;Icon type=&quot;icon type&quot; /&gt;</code></td>\n<td>String/ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>label</td>\n<td>content of label</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>selectable</td>\n<td>whether is selectable</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>children</td>\n<td>navigation item and sub navigation</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">KeyBoard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">Up Arrow</td>\n<td style=\"text-align:left\">navigate to previous item</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Down Arrow</td>\n<td style=\"text-align:left\">navigate to next item</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Right Arrow</td>\n<td style=\"text-align:left\">open the submenu, navigate to the first item of the submenu; horizontal menu bar first level, navigate to the right one</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Left Arrow</td>\n<td style=\"text-align:left\">close the submenu, navigate to the parent menu; horizontal menu bar first level, navigation to the left one</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Enter</td>\n<td style=\"text-align:left\">open submenu and navigate to the first item of the submenu</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Esc</td>\n<td style=\"text-align:left\">close submenu and navigate to the parent menu item</td>\n</tr>\n</tbody>\n</table>\n"}