{"title":"Duration","meta":{"title":"Duration","description":"\n<p><code>Duration</code> can be used to specify how long the notification stays open. After the duration time elapses, the notification closes automatically. If not specified, default value is 4.5 seconds. If you set the value to 0, the notification box will never close automatically.</p>\n","order":"1"},"codes":{"jsx":"import { Notification, Button, NumberPicker } from '@alifd/next';\n\nlet duration = 4500;\nconst openNotification = () => {\n    const args = {\n        title: 'Notification Title',\n        content: 'I will never close automatically. I will be close automatically. I will never close automatically.',\n        duration,\n    };\n    Notification.open(args);\n};\n\nReactDOM.render(\n    <div>\n        <NumberPicker defaultValue={duration} onChange={(v) => (duration = v || 0)} />\n        <Button type=\"primary\" onClick={openNotification} style={{marginLeft: 20}}>\n            Open Notification\n        </Button>\n    </div>,\n    mountNode,\n);\n"},"body":"\n```jsx\nimport { Notification, Button, NumberPicker } from '@alifd/next';\n\nlet duration = 4500;\nconst openNotification = () => {\n    const args = {\n        title: 'Notification Title',\n        content: 'I will never close automatically. I will be close automatically. I will never close automatically.',\n        duration,\n    };\n    Notification.open(args);\n};\n\nReactDOM.render(\n    <div>\n        <NumberPicker defaultValue={duration} onChange={(v) => (duration = v || 0)} />\n        <Button type=\"primary\" onClick={openNotification} style={{marginLeft: 20}}>\n            Open Notification\n        </Button>\n    </div>,\n    mountNode,\n);\n```","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar duration = 4500;\nvar openNotification = function openNotification() {\n    var args = {\n        title: 'Notification Title',\n        content: 'I will never close automatically. I will be close automatically. I will never close automatically.',\n        duration: duration\n    };\n    _next.Notification.open(args);\n};\n\nReactDOM.render(React.createElement(\n    'div',\n    null,\n    React.createElement(_next.NumberPicker, { defaultValue: duration, onChange: function onChange(v) {\n            return duration = v || 0;\n        } }),\n    React.createElement(\n        _next.Button,\n        { type: 'primary', onClick: openNotification, style: { marginLeft: 20 } },\n        'Open Notification'\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Notification<span class=\"token punctuation\">,</span> Button<span class=\"token punctuation\">,</span> NumberPicker <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">let</span> duration <span class=\"token operator\">=</span> <span class=\"token number\">4500</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">openNotification</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">const</span> args <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'Notification Title'</span><span class=\"token punctuation\">,</span>\n        content<span class=\"token operator\">:</span> <span class=\"token string\">'I will never close automatically. I will be close automatically. I will never close automatically.'</span><span class=\"token punctuation\">,</span>\n        duration<span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    Notification<span class=\"token punctuation\">.</span><span class=\"token function\">open</span><span class=\"token punctuation\">(</span>args<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">NumberPicker</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>duration<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">v</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span>duration <span class=\"token operator\">=</span> v <span class=\"token operator\">||</span> <span class=\"token number\">0</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>openNotification<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>marginLeft<span class=\"token operator\">:</span> <span class=\"token number\">20</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            Open Notification\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n    mountNode<span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}