{"title":"Update Content","meta":{"title":"Update Content","description":"\n<p>Update content with unique key.</p>\n","order":"6"},"codes":{"jsx":"import { Notification, Button } from '@alifd/next';\n\nconst key = 'updatable';\n\nconst openNotification = () => {\n    Notification.open({\n        key,\n        title: 'Notification Title',\n        content: 'description.',\n    });\n    setTimeout(() => {\n        Notification.open({\n            key,\n            title: 'New Title',\n            content: 'New description.',\n        });\n    }, 1000);\n};\n\nReactDOM.render(\n    <Button type=\"primary\" onClick={openNotification}>\n        Open Notification\n    </Button>,\n    mountNode,\n);\n"},"body":"\n```jsx\nimport { Notification, Button } from '@alifd/next';\n\nconst key = 'updatable';\n\nconst openNotification = () => {\n    Notification.open({\n        key,\n        title: 'Notification Title',\n        content: 'description.',\n    });\n    setTimeout(() => {\n        Notification.open({\n            key,\n            title: 'New Title',\n            content: 'New description.',\n        });\n    }, 1000);\n};\n\nReactDOM.render(\n    <Button type=\"primary\" onClick={openNotification}>\n        Open Notification\n    </Button>,\n    mountNode,\n);\n```","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar key = 'updatable';\n\nvar openNotification = function openNotification() {\n    _next.Notification.open({\n        key: key,\n        title: 'Notification Title',\n        content: 'description.'\n    });\n    setTimeout(function () {\n        _next.Notification.open({\n            key: key,\n            title: 'New Title',\n            content: 'New description.'\n        });\n    }, 1000);\n};\n\nReactDOM.render(React.createElement(\n    _next.Button,\n    { type: 'primary', onClick: openNotification },\n    'Open Notification'\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Notification<span class=\"token punctuation\">,</span> Button <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> key <span class=\"token operator\">=</span> <span class=\"token string\">'updatable'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">openNotification</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    Notification<span class=\"token punctuation\">.</span><span class=\"token function\">open</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n        key<span class=\"token punctuation\">,</span>\n        title<span class=\"token operator\">:</span> <span class=\"token string\">'Notification Title'</span><span class=\"token punctuation\">,</span>\n        content<span class=\"token operator\">:</span> <span class=\"token string\">'description.'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token function\">setTimeout</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        Notification<span class=\"token punctuation\">.</span><span class=\"token function\">open</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            key<span class=\"token punctuation\">,</span>\n            title<span class=\"token operator\">:</span> <span class=\"token string\">'New Title'</span><span class=\"token punctuation\">,</span>\n            content<span class=\"token operator\">:</span> <span class=\"token string\">'New description.'</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token number\">1000</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>primary<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>openNotification<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        Open Notification\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n    mountNode<span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}