{"title":"基本用法","meta":{"title":"基本用法","description":"\n<p>onChange 第二个参数 e.type 可以获取事件类型。</p>\n<p>如果是点击<code>+</code> <code>-</code> 触发，可以通过 <code>e.triggerType</code> 获取</p>\n","order":"0"},"codes":{"jsx":"import { NumberPicker } from '@alifd/next';\n\nfunction onChange(value, e) {\n    console.log(value, e.type, e.triggerType);\n}\n\nReactDOM.render(\n    <div>\n        <NumberPicker onChange={onChange}/>\n        <br/><br/>\n        <NumberPicker defaultValue={0} type=\"inline\" onChange={onChange}/>\n    </div>,\n    mountNode\n);\n"},"body":"\n\n````jsx\nimport { NumberPicker } from '@alifd/next';\n\nfunction onChange(value, e) {\n    console.log(value, e.type, e.triggerType);\n}\n\nReactDOM.render(\n    <div>\n        <NumberPicker onChange={onChange}/>\n        <br/><br/>\n        <NumberPicker defaultValue={0} type=\"inline\" onChange={onChange}/>\n    </div>,\n    mountNode\n);\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nfunction onChange(value, e) {\n    console.log(value, e.type, e.triggerType);\n}\n\nReactDOM.render(React.createElement(\n    \"div\",\n    null,\n    React.createElement(_next.NumberPicker, { onChange: onChange }),\n    React.createElement(\"br\", null),\n    React.createElement(\"br\", null),\n    React.createElement(_next.NumberPicker, { defaultValue: 0, type: \"inline\", onChange: onChange })\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> NumberPicker <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">function</span> <span class=\"token function\">onChange</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">value<span class=\"token punctuation\">,</span> e</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>value<span class=\"token punctuation\">,</span> e<span class=\"token punctuation\">.</span>type<span class=\"token punctuation\">,</span> e<span class=\"token punctuation\">.</span>triggerType<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">NumberPicker</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onChange<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">NumberPicker</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">0</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>inline<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onChange<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n    mountNode\n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}