{"title":"配合 react-router 使用","meta":{"title":"配合 react-router 使用","description":"\n<p>单页应用场景下，Pagination 组件可以使用外部跳转的方法来实现单页内部跳转。</p>\n","order":"8"},"codes":{"jsx":"import { Pagination } from '@alifd/next';\nimport { hashHistory } from 'react-router';\n\nfunction handleChange(page) {\n    hashHistory.push(page.toString());\n}\n\nReactDOM.render(\n    <Pagination defaultCurrent={2} onChange={handleChange} />,\n    mountNode\n);\n"},"body":"\n\n````jsx\nimport { Pagination } from '@alifd/next';\nimport { hashHistory } from 'react-router';\n\nfunction handleChange(page) {\n    hashHistory.push(page.toString());\n}\n\nReactDOM.render(\n    <Pagination defaultCurrent={2} onChange={handleChange} />,\n    mountNode\n);\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar _reactRouter = require('react-router');\n\nfunction handleChange(page) {\n    _reactRouter.hashHistory.push(page.toString());\n}\n\nReactDOM.render(React.createElement(_next.Pagination, { defaultCurrent: 2, onChange: handleChange }), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Pagination <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> hashHistory <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'react-router'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">function</span> <span class=\"token function\">handleChange</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">page</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    hashHistory<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span>page<span class=\"token punctuation\">.</span><span class=\"token function\">toString</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Pagination</span></span> <span class=\"token attr-name\">defaultCurrent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">2</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>handleChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span>\n    mountNode\n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}