{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><h3 id=\"when-to-use\">When To Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>When there is a lot of content to show when paged load processing is needed.</p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"pagination\">Pagination<a href=\"#pagination\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>size</td>\n<td>Set the size of Pagination component<br><br><strong>option</strong>:<br>&apos;small&apos;, &apos;medium&apos;, &apos;large&apos;</td>\n<td>Enum</td>\n<td>&apos;medium&apos;</td>\n</tr>\n<tr>\n<td>type</td>\n<td>Set the type of Pagination component<br><br><strong>option</strong>:<br>&apos;normal&apos;, &apos;simple&apos;, &apos;mini&apos;</td>\n<td>Enum</td>\n<td>&apos;normal&apos;</td>\n</tr>\n<tr>\n<td>shape</td>\n<td>Forward Back Button Style<br><br><strong>option</strong>:<br>&apos;normal&apos;, &apos;arrow-only&apos;, &apos;arrow-prev-only&apos;, &apos;no-border&apos;</td>\n<td>Enum</td>\n<td>&apos;normal&apos;</td>\n</tr>\n<tr>\n<td>current</td>\n<td>&#xFF08;controlled&#xFF09;Current page number</td>\n<td>Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultCurrent</td>\n<td>&#xFF08;uncontrolled&#xFF09;Initial page number</td>\n<td>Number</td>\n<td>1</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>Callback function when page number changes<br><br><strong>signatures</strong>:<br>Function(current: Number, e: Object) =&gt; void<br><strong>params</strong>:<br><em>current</em>: {Number} Changed number of pages<br>_e_: {Object} Click envent object</td>\n<td>Function</td>\n<td>() =&gt; {}</td>\n</tr>\n<tr>\n<td>total</td>\n<td>total pages number</td>\n<td>Number</td>\n<td>100</td>\n</tr>\n<tr>\n<td>totalRender</td>\n<td>The rendering functions of total number <br><br><strong>signatures</strong>:<br>Function(total: Number, range: Array) =&gt; void<br><strong>params</strong>:<br><em>total</em>: {Number} Total number<br><em>range</em>: {Array} The intervals of current data in the total number</td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>pageShowCount</td>\n<td>The number of pages displayed, more use &apos;...&apos; instead</td>\n<td>Number</td>\n<td>5</td>\n</tr>\n<tr>\n<td>pageSize</td>\n<td>How many records in a page</td>\n<td>Number</td>\n<td>10</td>\n</tr>\n<tr>\n<td>pageSizeSelector</td>\n<td>Set to display selector type per page size <br><br><strong>option</strong>:<br>false, &apos;filter&apos;, &apos;dropdown&apos;</td>\n<td>Enum</td>\n<td>false</td>\n</tr>\n<tr>\n<td>pageSizeList</td>\n<td>Display selector selectable records-number per page</td>\n<td>Array&lt;Number&gt;/Array&lt;Object&gt;</td>\n<td>[5, 10, 20]</td>\n</tr>\n<tr>\n<td>pageNumberRender</td>\n<td>Custom page number rendering function, function for page number button and digital rendering of current page/total page count<br><br><strong>signatures</strong>:<br>Function(index: Number) =&gt; ReactNode<br><strong>params</strong>:<br><em>index</em>: {Number} Page number of page, starting from 1<br><strong>return</strong>:<br>{ReactNode} Return rendering results<br></td>\n<td>Function</td>\n<td>index =&gt; index</td>\n</tr>\n<tr>\n<td>pageSizePosition</td>\n<td>Set the position of pageSize selector<br><br><strong>option</strong>:<br>&apos;start&apos;, &apos;end&apos;</td>\n<td>Enum</td>\n<td>&apos;start&apos;</td>\n</tr>\n<tr>\n<td>useFloatLayout</td>\n<td>Is there a floating layout when pageSize selector is displayed</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>onPageSizeChange</td>\n<td>The callback function trigget when the number of pageSize selector changes<br><br><strong>signatures</strong>:<br>Function(pageSize: Number) =&gt; void<br><strong>params</strong>:<br><em>pageSize</em>: {Number} The number of pagesize changed</td>\n<td>Function</td>\n<td>() =&gt; {}</td>\n</tr>\n<tr>\n<td>hideOnlyOnePage</td>\n<td>Whether to hide the pager when the number of pages is 1</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>showJump</td>\n<td>When the number of pagination is 1, if the hidden pager type is set to normal, after the page number exceeds 5 pages, the jump input box and button will be displayed. When showJump is set to false, the jump zone is no longer displayed.</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>link</td>\n<td>Set the jump link url of the page number button. Its value is a template string containing {page}, such as&#xFF1A;<a href=\"http://www.taobao.com/{page}\" target=\"_blank\">http://www.taobao.com/{page}</a></td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupProps</td>\n<td>Props for Popup</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">KeyBoard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">Tab</td>\n<td style=\"text-align:left\">switch page</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Space</td>\n<td style=\"text-align:left\">click the button</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Enter</td>\n<td style=\"text-align:left\">click the button</td>\n</tr>\n</tbody>\n</table>\n"}