{"title":"Color","meta":{"title":"Color","description":"\n<p>Use <code>color</code> prop to controll progress bar color. The Progress Component has three APIs which can controll the color of progress bar and it&#39;s priority: color &gt; progressive &gt;  state.</p>\n","order":"5"},"codes":{"jsx":"import { Progress, Icon } from '@alifd/next';\n\nReactDOM.render(<div>\n    <Progress percent={30} shape=\"circle\" color=\"#AF5F3C\"/> &nbsp;&nbsp;&nbsp;&nbsp;\n    <Progress percent={40} shape=\"circle\"/>&nbsp;&nbsp;&nbsp;&nbsp;\n    <Progress percent={50} shape=\"circle\" color=\"#E91E63\" backgroundColor={'#00BCD4'}  />&nbsp;&nbsp;&nbsp;&nbsp;\n    <Progress percent={90} shape=\"circle\" color=\"rgba(119,66,141, 0.9)\" textRender={() => <Icon type=\"select\" size=\"xl\" />} />\n    <br /><br />\n    <Progress percent={30} shape=\"line\" color=\"rgb(208,16,76)\"/>\n    <Progress percent={40} shape=\"line\"/>\n    <Progress percent={50} shape=\"line\" color=\"#E91E63\" backgroundColor={'#00BCD4'} />\n    <Progress percent={90} shape=\"line\" color=\"blue\" textRender={() => <Icon type=\"select\" size=\"medium\" />} />\n</div>, mountNode);\n"},"body":"\n````jsx\nimport { Progress, Icon } from '@alifd/next';\n\nReactDOM.render(<div>\n    <Progress percent={30} shape=\"circle\" color=\"#AF5F3C\"/> &nbsp;&nbsp;&nbsp;&nbsp;\n    <Progress percent={40} shape=\"circle\"/>&nbsp;&nbsp;&nbsp;&nbsp;\n    <Progress percent={50} shape=\"circle\" color=\"#E91E63\" backgroundColor={'#00BCD4'}  />&nbsp;&nbsp;&nbsp;&nbsp;\n    <Progress percent={90} shape=\"circle\" color=\"rgba(119,66,141, 0.9)\" textRender={() => <Icon type=\"select\" size=\"xl\" />} />\n    <br /><br />\n    <Progress percent={30} shape=\"line\" color=\"rgb(208,16,76)\"/>\n    <Progress percent={40} shape=\"line\"/>\n    <Progress percent={50} shape=\"line\" color=\"#E91E63\" backgroundColor={'#00BCD4'} />\n    <Progress percent={90} shape=\"line\" color=\"blue\" textRender={() => <Icon type=\"select\" size=\"medium\" />} />\n</div>, mountNode);\n````","html":"<script>(function(){\"use strict\";\n\nvar _next = require(\"@alifd/next\");\n\nReactDOM.render(React.createElement(\n    \"div\",\n    null,\n    React.createElement(_next.Progress, { percent: 30, shape: \"circle\", color: \"#AF5F3C\" }),\n    \" \\xA0\\xA0\\xA0\\xA0\",\n    React.createElement(_next.Progress, { percent: 40, shape: \"circle\" }),\n    \"\\xA0\\xA0\\xA0\\xA0\",\n    React.createElement(_next.Progress, { percent: 50, shape: \"circle\", color: \"#E91E63\", backgroundColor: '#00BCD4' }),\n    \"\\xA0\\xA0\\xA0\\xA0\",\n    React.createElement(_next.Progress, { percent: 90, shape: \"circle\", color: \"rgba(119,66,141, 0.9)\", textRender: function textRender() {\n            return React.createElement(_next.Icon, { type: \"select\", size: \"xl\" });\n        } }),\n    React.createElement(\"br\", null),\n    React.createElement(\"br\", null),\n    React.createElement(_next.Progress, { percent: 30, shape: \"line\", color: \"rgb(208,16,76)\" }),\n    React.createElement(_next.Progress, { percent: 40, shape: \"line\" }),\n    React.createElement(_next.Progress, { percent: 50, shape: \"line\", color: \"#E91E63\", backgroundColor: '#00BCD4' }),\n    React.createElement(_next.Progress, { percent: 90, shape: \"line\", color: \"blue\", textRender: function textRender() {\n            return React.createElement(_next.Icon, { type: \"select\", size: \"medium\" });\n        } })\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Progress<span class=\"token punctuation\">,</span> Icon <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Progress</span></span> <span class=\"token attr-name\">percent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">30</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>circle<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">color</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>#AF5F3C<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\"> &amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Progress</span></span> <span class=\"token attr-name\">percent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">40</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>circle<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Progress</span></span> <span class=\"token attr-name\">percent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">50</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>circle<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">color</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>#E91E63<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">backgroundColor</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'#00BCD4'</span><span class=\"token punctuation\">}</span></span>  <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Progress</span></span> <span class=\"token attr-name\">percent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">90</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>circle<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">color</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>rgba(119,66,141, 0.9)<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">textRender</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>select<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>xl<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Progress</span></span> <span class=\"token attr-name\">percent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">30</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>line<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">color</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>rgb(208,16,76)<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Progress</span></span> <span class=\"token attr-name\">percent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">40</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>line<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Progress</span></span> <span class=\"token attr-name\">percent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">50</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>line<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">color</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>#E91E63<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">backgroundColor</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'#00BCD4'</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Progress</span></span> <span class=\"token attr-name\">percent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">90</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>line<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">color</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>blue<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">textRender</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>select<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>medium<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}