{"title":"无障碍","meta":{"title":"无障碍","description":"\n<p>组件内置了部分支持无障碍, 但是额外需要开发者手动事情才能完整支持无障碍：给 Rating 传入一个id，就可以支持语音提示当前选择的评分。注意：如果一个页面上有多个 Rating，id 属性一定不能相同。</p>\n","order":"5"},"codes":{"jsx":"import { Rating } from '@alifd/next';\n\nconst starMap = {\n    1: 'Bad',\n    2: 'OK',\n    3: 'Good',\n    4: 'Great',\n    5: 'Perfect'\n};\nReactDOM.render(<div>\n    <Rating\n        id=\"rating-a11y-1\"\n        defaultValue={3}\n        readAs={(val) => starMap[val]}\n        onChange={val => console.log('change:', val)}\n        onHoverChange={val => console.log('hover:', val)} />\n</div>, mountNode);\n"},"body":"\n\n````jsx\nimport { Rating } from '@alifd/next';\n\nconst starMap = {\n    1: 'Bad',\n    2: 'OK',\n    3: 'Good',\n    4: 'Great',\n    5: 'Perfect'\n};\nReactDOM.render(<div>\n    <Rating\n        id=\"rating-a11y-1\"\n        defaultValue={3}\n        readAs={(val) => starMap[val]}\n        onChange={val => console.log('change:', val)}\n        onHoverChange={val => console.log('hover:', val)} />\n</div>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar starMap = {\n    1: 'Bad',\n    2: 'OK',\n    3: 'Good',\n    4: 'Great',\n    5: 'Perfect'\n};\nReactDOM.render(React.createElement(\n    'div',\n    null,\n    React.createElement(_next.Rating, {\n        id: 'rating-a11y-1',\n        defaultValue: 3,\n        readAs: function readAs(val) {\n            return starMap[val];\n        },\n        onChange: function onChange(val) {\n            return console.log('change:', val);\n        },\n        onHoverChange: function onHoverChange(val) {\n            return console.log('hover:', val);\n        } })\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Rating <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> starMap <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token number\">1</span><span class=\"token operator\">:</span> <span class=\"token string\">'Bad'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token number\">2</span><span class=\"token operator\">:</span> <span class=\"token string\">'OK'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token number\">3</span><span class=\"token operator\">:</span> <span class=\"token string\">'Good'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token number\">4</span><span class=\"token operator\">:</span> <span class=\"token string\">'Great'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token number\">5</span><span class=\"token operator\">:</span> <span class=\"token string\">'Perfect'</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Rating</span></span>\n        <span class=\"token attr-name\">id</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>rating-a11y-1<span class=\"token punctuation\">\"</span></span>\n        <span class=\"token attr-name\">defaultValue</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">3</span><span class=\"token punctuation\">}</span></span>\n        <span class=\"token attr-name\">readAs</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">val</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> starMap<span class=\"token punctuation\">[</span>val<span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span>\n        <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token parameter\">val</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'change:'</span><span class=\"token punctuation\">,</span> val<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span>\n        <span class=\"token attr-name\">onHoverChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token parameter\">val</span> <span class=\"token operator\">=></span> console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'hover:'</span><span class=\"token punctuation\">,</span> val<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}