{"title":"基本","meta":{"title":"基本","description":"\n<p>简单的栅格布局展示，Fusion Next推荐以PC为主要开发场景，自适配平板、手机端。默认使用12栅格布局，\n你只需要将子元素按顺序排布，指定子元素所占的比例（默认为1，即1/12），并且配合屏幕大小（或ua信息）的改变设置device，\n页面内容就可以根据自适应，遵循 12-8-4 设计原则</p>\n","order":"0"},"codes":{"jsx":"import { ResponsiveGrid, Radio } from '@alifd/next';\n\nconst { Cell } = ResponsiveGrid;\n\nconst ds = ['desktop', 'tablet', 'phone'];\n\nclass Demo extends React.Component {\n    state = {\n        device: 'desktop',\n    };\n    onChange = (device) => {\n        this.setState({\n            device\n        });\n    };\n    render() {\n        const { device } = this.state;\n        return (<div className=\"list\">\n            <Radio.Group shape=\"button\" onChange={this.onChange} dataSource={ds} defaultValue=\"desktop\"/>\n            <br />\n            <br />\n            <div className={`list-item ${device}`}>\n                <ResponsiveGrid gap={10} device={device}>\n                  <Cell className=\"mygrid grid-12\" colSpan={12}>12</Cell>\n                  <Cell className=\"mygrid grid-6\" colSpan={6}>6</Cell>\n                  <Cell className=\"mygrid grid-6\" colSpan={6}>6</Cell>\n                  <Cell className=\"mygrid grid-4\" colSpan={4}>4</Cell>\n                  <Cell className=\"mygrid grid-4\" colSpan={4}>4</Cell>\n                  <Cell className=\"mygrid grid-4\" colSpan={4}>4</Cell>\n                  <Cell className=\"mygrid grid-3\" colSpan={3}>3</Cell>\n                  <Cell className=\"mygrid grid-3\" colSpan={3}>3</Cell>\n                  <Cell className=\"mygrid grid-3\" colSpan={3}>3</Cell>\n                  <Cell className=\"mygrid grid-3\" colSpan={3}>3</Cell>\n                </ResponsiveGrid>\n            </div>\n        </div>);\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n","css":".list {\n  position: relative;\n}\n.list-item {\n  position: relative;\n  background: #ddd;\n  border: 1px solid #eee;\n  margin-bottom: 20px;\n}\n.phone {\n    width: 30%;\n}\n.tablet {\n    width: 60%;\n}\n.child {\n  width: 100%;\n  height: 100%;\n  background: 'red';\n}\n.mygrid {\n  display: block;\n  text-align: center;\n  height: 40px;\n  line-height: 40px;\n}\n.grid-12 {\n  background: red;\n}\n.grid-6 {\n  background: purple;\n}\n.grid-4 {\n  background: orange;\n}\n.grid-3 {\n  background: green;\n}\n"},"body":"\n\n````jsx\nimport { ResponsiveGrid, Radio } from '@alifd/next';\n\nconst { Cell } = ResponsiveGrid;\n\nconst ds = ['desktop', 'tablet', 'phone'];\n\nclass Demo extends React.Component {\n    state = {\n        device: 'desktop',\n    };\n    onChange = (device) => {\n        this.setState({\n            device\n        });\n    };\n    render() {\n        const { device } = this.state;\n        return (<div className=\"list\">\n            <Radio.Group shape=\"button\" onChange={this.onChange} dataSource={ds} defaultValue=\"desktop\"/>\n            <br />\n            <br />\n            <div className={`list-item ${device}`}>\n                <ResponsiveGrid gap={10} device={device}>\n                  <Cell className=\"mygrid grid-12\" colSpan={12}>12</Cell>\n                  <Cell className=\"mygrid grid-6\" colSpan={6}>6</Cell>\n                  <Cell className=\"mygrid grid-6\" colSpan={6}>6</Cell>\n                  <Cell className=\"mygrid grid-4\" colSpan={4}>4</Cell>\n                  <Cell className=\"mygrid grid-4\" colSpan={4}>4</Cell>\n                  <Cell className=\"mygrid grid-4\" colSpan={4}>4</Cell>\n                  <Cell className=\"mygrid grid-3\" colSpan={3}>3</Cell>\n                  <Cell className=\"mygrid grid-3\" colSpan={3}>3</Cell>\n                  <Cell className=\"mygrid grid-3\" colSpan={3}>3</Cell>\n                  <Cell className=\"mygrid grid-3\" colSpan={3}>3</Cell>\n                </ResponsiveGrid>\n            </div>\n        </div>);\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````\n\n````css\n.list {\n  position: relative;\n}\n.list-item {\n  position: relative;\n  background: #ddd;\n  border: 1px solid #eee;\n  margin-bottom: 20px;\n}\n.phone {\n    width: 30%;\n}\n.tablet {\n    width: 60%;\n}\n.child {\n  width: 100%;\n  height: 100%;\n  background: 'red';\n}\n.mygrid {\n  display: block;\n  text-align: center;\n  height: 40px;\n  line-height: 40px;\n}\n.grid-12 {\n  background: red;\n}\n.grid-6 {\n  background: purple;\n}\n.grid-4 {\n  background: orange;\n}\n.grid-3 {\n  background: green;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar Cell = _next.ResponsiveGrid.Cell;\n\n\nvar ds = ['desktop', 'tablet', 'phone'];\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, Demo);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Demo.__proto__ || Object.getPrototypeOf(Demo)).call.apply(_ref, [this].concat(args))), _this), _this.state = {\n            device: 'desktop'\n        }, _this.onChange = function (device) {\n            _this.setState({\n                device: device\n            });\n        }, _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(Demo, [{\n        key: 'render',\n        value: function render() {\n            var device = this.state.device;\n\n            return React.createElement(\n                'div',\n                { className: 'list' },\n                React.createElement(_next.Radio.Group, { shape: 'button', onChange: this.onChange, dataSource: ds, defaultValue: 'desktop' }),\n                React.createElement('br', null),\n                React.createElement('br', null),\n                React.createElement(\n                    'div',\n                    { className: 'list-item ' + device },\n                    React.createElement(\n                        _next.ResponsiveGrid,\n                        { gap: 10, device: device },\n                        React.createElement(\n                            Cell,\n                            { className: 'mygrid grid-12', colSpan: 12 },\n                            '12'\n                        ),\n                        React.createElement(\n                            Cell,\n                            { className: 'mygrid grid-6', colSpan: 6 },\n                            '6'\n                        ),\n                        React.createElement(\n                            Cell,\n                            { className: 'mygrid grid-6', colSpan: 6 },\n                            '6'\n                        ),\n                        React.createElement(\n                            Cell,\n                            { className: 'mygrid grid-4', colSpan: 4 },\n                            '4'\n                        ),\n                        React.createElement(\n                            Cell,\n                            { className: 'mygrid grid-4', colSpan: 4 },\n                            '4'\n                        ),\n                        React.createElement(\n                            Cell,\n                            { className: 'mygrid grid-4', colSpan: 4 },\n                            '4'\n                        ),\n                        React.createElement(\n                            Cell,\n                            { className: 'mygrid grid-3', colSpan: 3 },\n                            '3'\n                        ),\n                        React.createElement(\n                            Cell,\n                            { className: 'mygrid grid-3', colSpan: 3 },\n                            '3'\n                        ),\n                        React.createElement(\n                            Cell,\n                            { className: 'mygrid grid-3', colSpan: 3 },\n                            '3'\n                        ),\n                        React.createElement(\n                            Cell,\n                            { className: 'mygrid grid-3', colSpan: 3 },\n                            '3'\n                        )\n                    )\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> ResponsiveGrid<span class=\"token punctuation\">,</span> Radio <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> Cell <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> ResponsiveGrid<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> ds <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'desktop'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'tablet'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'phone'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n        device<span class=\"token operator\">:</span> <span class=\"token string\">'desktop'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token function-variable function\">onChange</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">device</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            device\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> device <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>list<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Radio.Group</span></span> <span class=\"token attr-name\">shape</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>button<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onChange<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>ds<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>desktop<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>br</span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">list-item </span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>device<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">ResponsiveGrid</span></span> <span class=\"token attr-name\">gap</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">10</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">device</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>device<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cell</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>mygrid grid-12<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">colSpan</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">12</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">12</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Cell</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cell</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>mygrid grid-6<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">colSpan</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">6</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">6</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Cell</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cell</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>mygrid grid-6<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">colSpan</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">6</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">6</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Cell</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cell</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>mygrid grid-4<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">colSpan</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">4</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">4</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Cell</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cell</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>mygrid grid-4<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">colSpan</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">4</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">4</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Cell</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cell</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>mygrid grid-4<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">colSpan</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">4</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">4</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Cell</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cell</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>mygrid grid-3<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">colSpan</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">3</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">3</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Cell</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cell</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>mygrid grid-3<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">colSpan</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">3</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">3</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Cell</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cell</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>mygrid grid-3<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">colSpan</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">3</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">3</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Cell</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                  </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cell</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>mygrid grid-3<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">colSpan</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">3</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">3</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Cell</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">ResponsiveGrid</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.list {\n  position: relative;\n}\n.list-item {\n  position: relative;\n  background: #ddd;\n  border: 1px solid #eee;\n  margin-bottom: 20px;\n}\n.phone {\n    width: 30%;\n}\n.tablet {\n    width: 60%;\n}\n.child {\n  width: 100%;\n  height: 100%;\n  background: 'red';\n}\n.mygrid {\n  display: block;\n  text-align: center;\n  height: 40px;\n  line-height: 40px;\n}\n.grid-12 {\n  background: red;\n}\n.grid-6 {\n  background: purple;\n}\n.grid-4 {\n  background: orange;\n}\n.grid-3 {\n  background: green;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.list</span> <span class=\"token punctuation\">{</span>\n  <span class=\"token property\">position</span><span class=\"token punctuation\">:</span> relative<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.list-item</span> <span class=\"token punctuation\">{</span>\n  <span class=\"token property\">position</span><span class=\"token punctuation\">:</span> relative<span class=\"token punctuation\">;</span>\n  <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> #ddd<span class=\"token punctuation\">;</span>\n  <span class=\"token property\">border</span><span class=\"token punctuation\">:</span> 1px solid #eee<span class=\"token punctuation\">;</span>\n  <span class=\"token property\">margin-bottom</span><span class=\"token punctuation\">:</span> 20px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.phone</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 30%<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.tablet</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 60%<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.child</span> <span class=\"token punctuation\">{</span>\n  <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> 100%<span class=\"token punctuation\">;</span>\n  <span class=\"token property\">height</span><span class=\"token punctuation\">:</span> 100%<span class=\"token punctuation\">;</span>\n  <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> <span class=\"token string\">'red'</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.mygrid</span> <span class=\"token punctuation\">{</span>\n  <span class=\"token property\">display</span><span class=\"token punctuation\">:</span> block<span class=\"token punctuation\">;</span>\n  <span class=\"token property\">text-align</span><span class=\"token punctuation\">:</span> center<span class=\"token punctuation\">;</span>\n  <span class=\"token property\">height</span><span class=\"token punctuation\">:</span> 40px<span class=\"token punctuation\">;</span>\n  <span class=\"token property\">line-height</span><span class=\"token punctuation\">:</span> 40px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.grid-12</span> <span class=\"token punctuation\">{</span>\n  <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> red<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.grid-6</span> <span class=\"token punctuation\">{</span>\n  <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> purple<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.grid-4</span> <span class=\"token punctuation\">{</span>\n  <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> orange<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n<span class=\"token selector\">.grid-3</span> <span class=\"token punctuation\">{</span>\n  <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> green<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}