{"title":"custom render","meta":{"title":"custom render","description":"\n<p>custom render Item by api of <code>itemRender</code> and <code>valueRender</code> (only support by Select)</p>\n","order":"13"},"codes":{"jsx":"import { Select, Icon } from '@alifd/next';\n\nconst dataSource = [\n    {value: '#FF0000', label: 'red', title: 'red'},\n    {value: '#00AA00', label: 'green', title: 'green'},\n    {value: '#B482DB', label: 'purple', title: 'purple'},\n    {value: '#F17334', label: 'orange', title: 'orange'},\n    {value: '#66CCFF', label: 'blue', title: 'blue'}\n];\n\nconst itemRender = item => {\n    return (\n        <span>\n            <Icon type=\"account\" size=\"xs\" style={{color: item.value}} />\n            <Icon type=\"account\" size=\"xs\" style={{color: item.value}} />\n            <Icon type=\"account\" size=\"xs\" style={{color: item.value}} />\n            <Icon type=\"account\" size=\"xs\" style={{color: item.value}} />\n            <Icon type=\"account\" size=\"xs\" style={{color: item.value}} />\n        </span>\n    );\n};\n\nconst valueRender = item => {\n    return <span><Icon type=\"account\" size=\"xs\" style={{color: item.value}} /> {item.label}</span>;\n};\n\nconst dataSource2 = [\n    'Lorem ipsum dolor sit amet',\n    'consectetur adipisicing elit',\n    'sed do eiusmod tempor incididunt',\n    'ut labore et dolore magna aliqua.',\n    'Ut enim ad minim veniam',\n    'quis nostrud exercitation',\n    'ullamco laboris nisi ut',\n    'aliquip ex ea commodo consequat',\n    'Duis aute irure dolor in',\n    'reprehenderit in voluptate',\n    'velit esse cillum dolore eu',\n    'Fugiat nulla pariatur excepteur sint',\n    'occaecat cupidatat non proident',\n    'sunt in culpa qui officia',\n    'deserunt mollit anim id est laborum'\n];\n\n// highlight keywords\nconst itemRender2 = (item, searchKey) => {\n    let label = item.label;\n    if (searchKey && searchKey.length) {\n        const key = searchKey.replace(/[-/\\\\^$*+?.()|[\\]{}]/g, '\\\\$&');\n        const reg = new RegExp(`(${key})`, 'ig');\n        label = label.replace(reg, x => `<span class=\"next-select-highlight\">${x}</span>`);\n    }\n\n    return <span dangerouslySetInnerHTML={{__html: label}} />;\n};\n\nReactDOM.render(\n    <div className=\"demo-container\">\n        <Select dataSource={dataSource} itemRender={itemRender} valueRender={valueRender} placeholder=\"pick your color\" />\n        <Select showSearch dataSource={dataSource2} itemRender={itemRender2} placeholder=\"highlight keywords\" style={{minWidth: 200}} />\n    </div>,\n    mountNode\n);\n","css":".demo-container {\n    padding: 16px;\n    background-color: #F8F8F8;\n}\n\n.demo-container .next-select {\n    margin-right: 10px;\n}\n"},"body":"\n````jsx\nimport { Select, Icon } from '@alifd/next';\n\nconst dataSource = [\n    {value: '#FF0000', label: 'red', title: 'red'},\n    {value: '#00AA00', label: 'green', title: 'green'},\n    {value: '#B482DB', label: 'purple', title: 'purple'},\n    {value: '#F17334', label: 'orange', title: 'orange'},\n    {value: '#66CCFF', label: 'blue', title: 'blue'}\n];\n\nconst itemRender = item => {\n    return (\n        <span>\n            <Icon type=\"account\" size=\"xs\" style={{color: item.value}} />\n            <Icon type=\"account\" size=\"xs\" style={{color: item.value}} />\n            <Icon type=\"account\" size=\"xs\" style={{color: item.value}} />\n            <Icon type=\"account\" size=\"xs\" style={{color: item.value}} />\n            <Icon type=\"account\" size=\"xs\" style={{color: item.value}} />\n        </span>\n    );\n};\n\nconst valueRender = item => {\n    return <span><Icon type=\"account\" size=\"xs\" style={{color: item.value}} /> {item.label}</span>;\n};\n\nconst dataSource2 = [\n    'Lorem ipsum dolor sit amet',\n    'consectetur adipisicing elit',\n    'sed do eiusmod tempor incididunt',\n    'ut labore et dolore magna aliqua.',\n    'Ut enim ad minim veniam',\n    'quis nostrud exercitation',\n    'ullamco laboris nisi ut',\n    'aliquip ex ea commodo consequat',\n    'Duis aute irure dolor in',\n    'reprehenderit in voluptate',\n    'velit esse cillum dolore eu',\n    'Fugiat nulla pariatur excepteur sint',\n    'occaecat cupidatat non proident',\n    'sunt in culpa qui officia',\n    'deserunt mollit anim id est laborum'\n];\n\n// highlight keywords\nconst itemRender2 = (item, searchKey) => {\n    let label = item.label;\n    if (searchKey && searchKey.length) {\n        const key = searchKey.replace(/[-/\\\\^$*+?.()|[\\]{}]/g, '\\\\$&');\n        const reg = new RegExp(`(${key})`, 'ig');\n        label = label.replace(reg, x => `<span class=\"next-select-highlight\">${x}</span>`);\n    }\n\n    return <span dangerouslySetInnerHTML={{__html: label}} />;\n};\n\nReactDOM.render(\n    <div className=\"demo-container\">\n        <Select dataSource={dataSource} itemRender={itemRender} valueRender={valueRender} placeholder=\"pick your color\" />\n        <Select showSearch dataSource={dataSource2} itemRender={itemRender2} placeholder=\"highlight keywords\" style={{minWidth: 200}} />\n    </div>,\n    mountNode\n);\n````\n\n````css\n.demo-container {\n    padding: 16px;\n    background-color: #F8F8F8;\n}\n\n.demo-container .next-select {\n    margin-right: 10px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar dataSource = [{ value: '#FF0000', label: 'red', title: 'red' }, { value: '#00AA00', label: 'green', title: 'green' }, { value: '#B482DB', label: 'purple', title: 'purple' }, { value: '#F17334', label: 'orange', title: 'orange' }, { value: '#66CCFF', label: 'blue', title: 'blue' }];\n\nvar itemRender = function itemRender(item) {\n    return React.createElement(\n        'span',\n        null,\n        React.createElement(_next.Icon, { type: 'account', size: 'xs', style: { color: item.value } }),\n        React.createElement(_next.Icon, { type: 'account', size: 'xs', style: { color: item.value } }),\n        React.createElement(_next.Icon, { type: 'account', size: 'xs', style: { color: item.value } }),\n        React.createElement(_next.Icon, { type: 'account', size: 'xs', style: { color: item.value } }),\n        React.createElement(_next.Icon, { type: 'account', size: 'xs', style: { color: item.value } })\n    );\n};\n\nvar valueRender = function valueRender(item) {\n    return React.createElement(\n        'span',\n        null,\n        React.createElement(_next.Icon, { type: 'account', size: 'xs', style: { color: item.value } }),\n        ' ',\n        item.label\n    );\n};\n\nvar dataSource2 = ['Lorem ipsum dolor sit amet', 'consectetur adipisicing elit', 'sed do eiusmod tempor incididunt', 'ut labore et dolore magna aliqua.', 'Ut enim ad minim veniam', 'quis nostrud exercitation', 'ullamco laboris nisi ut', 'aliquip ex ea commodo consequat', 'Duis aute irure dolor in', 'reprehenderit in voluptate', 'velit esse cillum dolore eu', 'Fugiat nulla pariatur excepteur sint', 'occaecat cupidatat non proident', 'sunt in culpa qui officia', 'deserunt mollit anim id est laborum'];\n\n// highlight keywords\nvar itemRender2 = function itemRender2(item, searchKey) {\n    var label = item.label;\n    if (searchKey && searchKey.length) {\n        var key = searchKey.replace(/[-/\\\\^$*+?.()|[\\]{}]/g, '\\\\$&');\n        var reg = new RegExp('(' + key + ')', 'ig');\n        label = label.replace(reg, function (x) {\n            return '<span class=\"next-select-highlight\">' + x + '</span>';\n        });\n    }\n\n    return React.createElement('span', { dangerouslySetInnerHTML: { __html: label } });\n};\n\nReactDOM.render(React.createElement(\n    'div',\n    { className: 'demo-container' },\n    React.createElement(_next.Select, { dataSource: dataSource, itemRender: itemRender, valueRender: valueRender, placeholder: 'pick your color' }),\n    React.createElement(_next.Select, { showSearch: true, dataSource: dataSource2, itemRender: itemRender2, placeholder: 'highlight keywords', style: { minWidth: 200 } })\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Select<span class=\"token punctuation\">,</span> Icon <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token operator\">:</span> <span class=\"token string\">'#FF0000'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'red'</span><span class=\"token punctuation\">,</span> title<span class=\"token operator\">:</span> <span class=\"token string\">'red'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token operator\">:</span> <span class=\"token string\">'#00AA00'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'green'</span><span class=\"token punctuation\">,</span> title<span class=\"token operator\">:</span> <span class=\"token string\">'green'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token operator\">:</span> <span class=\"token string\">'#B482DB'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'purple'</span><span class=\"token punctuation\">,</span> title<span class=\"token operator\">:</span> <span class=\"token string\">'purple'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token operator\">:</span> <span class=\"token string\">'#F17334'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'orange'</span><span class=\"token punctuation\">,</span> title<span class=\"token operator\">:</span> <span class=\"token string\">'orange'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token operator\">:</span> <span class=\"token string\">'#66CCFF'</span><span class=\"token punctuation\">,</span> label<span class=\"token operator\">:</span> <span class=\"token string\">'blue'</span><span class=\"token punctuation\">,</span> title<span class=\"token operator\">:</span> <span class=\"token string\">'blue'</span><span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">itemRender</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">item</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n        <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>account<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>xs<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>color<span class=\"token operator\">:</span> item<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>account<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>xs<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>color<span class=\"token operator\">:</span> item<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>account<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>xs<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>color<span class=\"token operator\">:</span> item<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>account<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>xs<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>color<span class=\"token operator\">:</span> item<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>account<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>xs<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>color<span class=\"token operator\">:</span> item<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span>\n    <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">valueRender</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">item</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Icon</span></span> <span class=\"token attr-name\">type</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>account<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">size</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>xs<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>color<span class=\"token operator\">:</span> item<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\"> </span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>label<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> dataSource2 <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token string\">'Lorem ipsum dolor sit amet'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'consectetur adipisicing elit'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'sed do eiusmod tempor incididunt'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'ut labore et dolore magna aliqua.'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'Ut enim ad minim veniam'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'quis nostrud exercitation'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'ullamco laboris nisi ut'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'aliquip ex ea commodo consequat'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'Duis aute irure dolor in'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'reprehenderit in voluptate'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'velit esse cillum dolore eu'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'Fugiat nulla pariatur excepteur sint'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'occaecat cupidatat non proident'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'sunt in culpa qui officia'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token string\">'deserunt mollit anim id est laborum'</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token comment\">// highlight keywords</span>\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">itemRender2</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">item<span class=\"token punctuation\">,</span> searchKey</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">let</span> label <span class=\"token operator\">=</span> item<span class=\"token punctuation\">.</span>label<span class=\"token punctuation\">;</span>\n    <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>searchKey <span class=\"token operator\">&amp;&amp;</span> searchKey<span class=\"token punctuation\">.</span>length<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> key <span class=\"token operator\">=</span> searchKey<span class=\"token punctuation\">.</span><span class=\"token function\">replace</span><span class=\"token punctuation\">(</span><span class=\"token regex\">/[-/\\\\^$*+?.()|[\\]{}]/g</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'\\\\$&amp;'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> reg <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">RegExp</span><span class=\"token punctuation\">(</span><span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">(</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>key<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\">)</span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">,</span> <span class=\"token string\">'ig'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        label <span class=\"token operator\">=</span> label<span class=\"token punctuation\">.</span><span class=\"token function\">replace</span><span class=\"token punctuation\">(</span>reg<span class=\"token punctuation\">,</span> <span class=\"token parameter\">x</span> <span class=\"token operator\">=></span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">&lt;span class=\"next-select-highlight\"></span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>x<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\">&lt;/span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">dangerouslySetInnerHTML</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>__html<span class=\"token operator\">:</span> label<span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n    <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>demo-container<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">itemRender</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>itemRender<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">valueRender</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>valueRender<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>pick your color<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select</span></span> <span class=\"token attr-name\">showSearch</span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>dataSource2<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">itemRender</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>itemRender2<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>highlight keywords<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>minWidth<span class=\"token operator\">:</span> <span class=\"token number\">200</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n    mountNode\n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.demo-container {\n    padding: 16px;\n    background-color: #F8F8F8;\n}\n\n.demo-container .next-select {\n    margin-right: 10px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.demo-container</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 16px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">background-color</span><span class=\"token punctuation\">:</span> #F8F8F8<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.demo-container .next-select</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-right</span><span class=\"token punctuation\">:</span> 10px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}