{"title":"custom popup","meta":{"title":"custom popup","description":"\n<p>custom Popup by <code>popupContent</code></p>\n","order":"14"},"codes":{"jsx":"import { Select } from '@alifd/next';\nimport classNames from 'classnames';\n/* eslint-disable react/prop-types, react/no-multi-comp */\n\n// prevent onBlur\nfunction preventDefault(e) {\n    e.preventDefault();\n}\n\nclass Menu extends React.Component {\n    data = [{\n        label: 'value1',\n        value: 1\n    }, {\n        label: 'value2',\n        value: 2\n    }];\n\n    onClick(item) {\n        this.props.onChange(item);\n    }\n\n    renderItems() {\n        return this.data.map(item => <li onClick={this.onClick.bind(this, item)} key={item.value}>{item.label}</li>);\n    }\n\n    render() {\n        const {className, ...others} = this.props;\n        const cls = classNames('overlay-content', className);\n\n        return (\n            <ul className={cls} {...others}>\n                {this.renderItems()}\n            </ul>\n        );\n    }\n}\n\nclass Demo extends React.Component {\n\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            value: null\n        };\n    }\n\n    handleSelect = (value) => {\n        this.setState({\n            value,\n            visible: false\n        });\n    }\n\n    onVisibleChange = (visible) => {\n        this.setState({\n            visible\n        });\n    }\n\n    render() {\n        const popupContent = <Menu onChange={this.handleSelect} onMouseDown={preventDefault}/>;\n        const popupProps = {\n            triggerClickKeycode: [13, 32, 40] // space, enter, down-arrow\n        };\n\n        return (\n            <div className=\"demo-container\">\n                <Select\n                    placeholder=\"custom popupContent\"\n                    visible={this.state.visible}\n                    onVisibleChange={this.onVisibleChange}\n                    value={this.state.value}\n                    popupProps={popupProps}\n                    popupContent={popupContent} />\n            </div>\n        );\n    }\n}\nReactDOM.render(<Demo/>, mountNode);\n","css":".demo-container {\n  background-color: #F8F8F8;\n  padding: 16px;\n}\n\n.demo-container p {\n    margin-top:0;\n}\n\n.overlay-content {\n    border:1px solid #DDDDDD;\n    padding:10px;\n    background: #FFFFFF;\n    margin:0;\n    font-size: 12px;\n    font-family: Arial;\n    box-shadow: 2px 2px 20px rgba(0,0,0,0.15);\n}\n\n.overlay-content li {\n    list-style: none;\n    line-height:30px;\n    padding: 0 5px;\n    cursor: pointer;\n}\n\n.overlay-content li:hover {\n    background: #F8F8F8;\n}\n\n.overlay-content li:last-child {\n    border-width:0;\n}\n"},"body":"\n````jsx\nimport { Select } from '@alifd/next';\nimport classNames from 'classnames';\n/* eslint-disable react/prop-types, react/no-multi-comp */\n\n// prevent onBlur\nfunction preventDefault(e) {\n    e.preventDefault();\n}\n\nclass Menu extends React.Component {\n    data = [{\n        label: 'value1',\n        value: 1\n    }, {\n        label: 'value2',\n        value: 2\n    }];\n\n    onClick(item) {\n        this.props.onChange(item);\n    }\n\n    renderItems() {\n        return this.data.map(item => <li onClick={this.onClick.bind(this, item)} key={item.value}>{item.label}</li>);\n    }\n\n    render() {\n        const {className, ...others} = this.props;\n        const cls = classNames('overlay-content', className);\n\n        return (\n            <ul className={cls} {...others}>\n                {this.renderItems()}\n            </ul>\n        );\n    }\n}\n\nclass Demo extends React.Component {\n\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            value: null\n        };\n    }\n\n    handleSelect = (value) => {\n        this.setState({\n            value,\n            visible: false\n        });\n    }\n\n    onVisibleChange = (visible) => {\n        this.setState({\n            visible\n        });\n    }\n\n    render() {\n        const popupContent = <Menu onChange={this.handleSelect} onMouseDown={preventDefault}/>;\n        const popupProps = {\n            triggerClickKeycode: [13, 32, 40] // space, enter, down-arrow\n        };\n\n        return (\n            <div className=\"demo-container\">\n                <Select\n                    placeholder=\"custom popupContent\"\n                    visible={this.state.visible}\n                    onVisibleChange={this.onVisibleChange}\n                    value={this.state.value}\n                    popupProps={popupProps}\n                    popupContent={popupContent} />\n            </div>\n        );\n    }\n}\nReactDOM.render(<Demo/>, mountNode);\n````\n\n````css\n.demo-container {\n  background-color: #F8F8F8;\n  padding: 16px;\n}\n\n.demo-container p {\n    margin-top:0;\n}\n\n.overlay-content {\n    border:1px solid #DDDDDD;\n    padding:10px;\n    background: #FFFFFF;\n    margin:0;\n    font-size: 12px;\n    font-family: Arial;\n    box-shadow: 2px 2px 20px rgba(0,0,0,0.15);\n}\n\n.overlay-content li {\n    list-style: none;\n    line-height:30px;\n    padding: 0 5px;\n    cursor: pointer;\n}\n\n.overlay-content li:hover {\n    background: #F8F8F8;\n}\n\n.overlay-content li:last-child {\n    border-width:0;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nvar _classnames = require('classnames');\n\nvar _classnames2 = _interopRequireDefault(_classnames);\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nfunction _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\n/* eslint-disable react/prop-types, react/no-multi-comp */\n\n// prevent onBlur\nfunction preventDefault(e) {\n    e.preventDefault();\n}\n\nvar Menu = function (_React$Component) {\n    _inherits(Menu, _React$Component);\n\n    function Menu() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, Menu);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Menu.__proto__ || Object.getPrototypeOf(Menu)).call.apply(_ref, [this].concat(args))), _this), _this.data = [{\n            label: 'value1',\n            value: 1\n        }, {\n            label: 'value2',\n            value: 2\n        }], _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(Menu, [{\n        key: 'onClick',\n        value: function onClick(item) {\n            this.props.onChange(item);\n        }\n    }, {\n        key: 'renderItems',\n        value: function renderItems() {\n            var _this2 = this;\n\n            return this.data.map(function (item) {\n                return React.createElement(\n                    'li',\n                    { onClick: _this2.onClick.bind(_this2, item), key: item.value },\n                    item.label\n                );\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var _props = this.props,\n                className = _props.className,\n                others = _objectWithoutProperties(_props, ['className']);\n\n            var cls = (0, _classnames2.default)('overlay-content', className);\n\n            return React.createElement(\n                'ul',\n                _extends({ className: cls }, others),\n                this.renderItems()\n            );\n        }\n    }]);\n\n    return Menu;\n}(React.Component);\n\nvar Demo = function (_React$Component2) {\n    _inherits(Demo, _React$Component2);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this3 = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this3.handleSelect = function (value) {\n            _this3.setState({\n                value: value,\n                visible: false\n            });\n        };\n\n        _this3.onVisibleChange = function (visible) {\n            _this3.setState({\n                visible: visible\n            });\n        };\n\n        _this3.state = {\n            value: null\n        };\n        return _this3;\n    }\n\n    _createClass(Demo, [{\n        key: 'render',\n        value: function render() {\n            var popupContent = React.createElement(Menu, { onChange: this.handleSelect, onMouseDown: preventDefault });\n            var popupProps = {\n                triggerClickKeycode: [13, 32, 40] // space, enter, down-arrow\n            };\n\n            return React.createElement(\n                'div',\n                { className: 'demo-container' },\n                React.createElement(_next.Select, {\n                    placeholder: 'custom popupContent',\n                    visible: this.state.visible,\n                    onVisibleChange: this.onVisibleChange,\n                    value: this.state.value,\n                    popupProps: popupProps,\n                    popupContent: popupContent })\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Select <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">import</span> classNames <span class=\"token keyword\">from</span> <span class=\"token string\">'classnames'</span><span class=\"token punctuation\">;</span>\n<span class=\"token comment\">/* eslint-disable react/prop-types, react/no-multi-comp */</span>\n\n<span class=\"token comment\">// prevent onBlur</span>\n<span class=\"token keyword\">function</span> <span class=\"token function\">preventDefault</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">e</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    e<span class=\"token punctuation\">.</span><span class=\"token function\">preventDefault</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Menu</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    data <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'value1'</span><span class=\"token punctuation\">,</span>\n        value<span class=\"token operator\">:</span> <span class=\"token number\">1</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'value2'</span><span class=\"token punctuation\">,</span>\n        value<span class=\"token operator\">:</span> <span class=\"token number\">2</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function\">onClick</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">.</span><span class=\"token function\">onChange</span><span class=\"token punctuation\">(</span>item<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">renderItems</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>data<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>li</span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onClick</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">,</span> item<span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>label<span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>li</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>className<span class=\"token punctuation\">,</span> <span class=\"token operator\">...</span>others<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>props<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> cls <span class=\"token operator\">=</span> <span class=\"token function\">classNames</span><span class=\"token punctuation\">(</span><span class=\"token string\">'overlay-content'</span><span class=\"token punctuation\">,</span> className<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>ul</span> <span class=\"token attr-name\">className</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>cls<span class=\"token punctuation\">}</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">others</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">renderItems</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>ul</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            value<span class=\"token operator\">:</span> <span class=\"token keyword\">null</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">handleSelect</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            value<span class=\"token punctuation\">,</span>\n            visible<span class=\"token operator\">:</span> <span class=\"token boolean\">false</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onVisibleChange</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">visible</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            visible\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> popupContent <span class=\"token operator\">=</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Menu</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSelect<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onMouseDown</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>preventDefault<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> popupProps <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            triggerClickKeycode<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token number\">13</span><span class=\"token punctuation\">,</span> <span class=\"token number\">32</span><span class=\"token punctuation\">,</span> <span class=\"token number\">40</span><span class=\"token punctuation\">]</span> <span class=\"token comment\">// space, enter, down-arrow</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>demo-container<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select</span></span>\n                    <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>custom popupContent<span class=\"token punctuation\">\"</span></span>\n                    <span class=\"token attr-name\">visible</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>visible<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onVisibleChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onVisibleChange<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">popupProps</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>popupProps<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">popupContent</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>popupContent<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.demo-container {\n  background-color: #F8F8F8;\n  padding: 16px;\n}\n\n.demo-container p {\n    margin-top:0;\n}\n\n.overlay-content {\n    border:1px solid #DDDDDD;\n    padding:10px;\n    background: #FFFFFF;\n    margin:0;\n    font-size: 12px;\n    font-family: Arial;\n    box-shadow: 2px 2px 20px rgba(0,0,0,0.15);\n}\n\n.overlay-content li {\n    list-style: none;\n    line-height:30px;\n    padding: 0 5px;\n    cursor: pointer;\n}\n\n.overlay-content li:hover {\n    background: #F8F8F8;\n}\n\n.overlay-content li:last-child {\n    border-width:0;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.demo-container</span> <span class=\"token punctuation\">{</span>\n  <span class=\"token property\">background-color</span><span class=\"token punctuation\">:</span> #F8F8F8<span class=\"token punctuation\">;</span>\n  <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 16px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.demo-container p</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-top</span><span class=\"token punctuation\">:</span>0<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.overlay-content</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">border</span><span class=\"token punctuation\">:</span>1px solid #DDDDDD<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span>10px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> #FFFFFF<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin</span><span class=\"token punctuation\">:</span>0<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 12px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-family</span><span class=\"token punctuation\">:</span> Arial<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">box-shadow</span><span class=\"token punctuation\">:</span> 2px 2px 20px <span class=\"token function\">rgba</span><span class=\"token punctuation\">(</span>0<span class=\"token punctuation\">,</span>0<span class=\"token punctuation\">,</span>0<span class=\"token punctuation\">,</span>0.15<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.overlay-content li</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">list-style</span><span class=\"token punctuation\">:</span> none<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">line-height</span><span class=\"token punctuation\">:</span>30px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 0 5px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">cursor</span><span class=\"token punctuation\">:</span> pointer<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.overlay-content li:hover</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">background</span><span class=\"token punctuation\">:</span> #F8F8F8<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.overlay-content li:last-child</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">border-width</span><span class=\"token punctuation\">:</span>0<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}