{"title":"custom value","meta":{"title":"custom value","description":"\n<p>value of Select could be any type, but it should be unique after <code>toString()</code></p>\n","order":"6"},"codes":{"jsx":"import { Select } from '@alifd/next';\n\nconst dataSource = [\n    {value: 'Lilith', age: 22, gender: 'F'},\n    {value: 'Tom Cat', age: 28, gender: 'M'},\n    {value: 'Jim Green', age: 18, gender: 'M'},\n    {value: 'Monkey King', age: 999, gender: 'M'}\n];\n\nconst handleChange = value => {\n    console.log('handleChange: ', value);\n};\n\nconst valueRender = v => {\n    return `${v.value} / ${v.gender} / ${v.age}`;\n};\n\nReactDOM.render(<Select mode=\"multiple\" placeholder=\"custom value\" valueRender={valueRender} dataSource={dataSource} onChange={handleChange} />, mountNode);\n"},"body":"\n````jsx\nimport { Select } from '@alifd/next';\n\nconst dataSource = [\n    {value: 'Lilith', age: 22, gender: 'F'},\n    {value: 'Tom Cat', age: 28, gender: 'M'},\n    {value: 'Jim Green', age: 18, gender: 'M'},\n    {value: 'Monkey King', age: 999, gender: 'M'}\n];\n\nconst handleChange = value => {\n    console.log('handleChange: ', value);\n};\n\nconst valueRender = v => {\n    return `${v.value} / ${v.gender} / ${v.age}`;\n};\n\nReactDOM.render(<Select mode=\"multiple\" placeholder=\"custom value\" valueRender={valueRender} dataSource={dataSource} onChange={handleChange} />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar dataSource = [{ value: 'Lilith', age: 22, gender: 'F' }, { value: 'Tom Cat', age: 28, gender: 'M' }, { value: 'Jim Green', age: 18, gender: 'M' }, { value: 'Monkey King', age: 999, gender: 'M' }];\n\nvar handleChange = function handleChange(value) {\n    console.log('handleChange: ', value);\n};\n\nvar valueRender = function valueRender(v) {\n    return v.value + ' / ' + v.gender + ' / ' + v.age;\n};\n\nReactDOM.render(React.createElement(_next.Select, { mode: 'multiple', placeholder: 'custom value', valueRender: valueRender, dataSource: dataSource, onChange: handleChange }), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Select <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token operator\">:</span> <span class=\"token string\">'Lilith'</span><span class=\"token punctuation\">,</span> age<span class=\"token operator\">:</span> <span class=\"token number\">22</span><span class=\"token punctuation\">,</span> gender<span class=\"token operator\">:</span> <span class=\"token string\">'F'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token operator\">:</span> <span class=\"token string\">'Tom Cat'</span><span class=\"token punctuation\">,</span> age<span class=\"token operator\">:</span> <span class=\"token number\">28</span><span class=\"token punctuation\">,</span> gender<span class=\"token operator\">:</span> <span class=\"token string\">'M'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token operator\">:</span> <span class=\"token string\">'Jim Green'</span><span class=\"token punctuation\">,</span> age<span class=\"token operator\">:</span> <span class=\"token number\">18</span><span class=\"token punctuation\">,</span> gender<span class=\"token operator\">:</span> <span class=\"token string\">'M'</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span>value<span class=\"token operator\">:</span> <span class=\"token string\">'Monkey King'</span><span class=\"token punctuation\">,</span> age<span class=\"token operator\">:</span> <span class=\"token number\">999</span><span class=\"token punctuation\">,</span> gender<span class=\"token operator\">:</span> <span class=\"token string\">'M'</span><span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">handleChange</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">value</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'handleChange: '</span><span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">valueRender</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">v</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">return</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>v<span class=\"token punctuation\">.</span>value<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\"> / </span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>v<span class=\"token punctuation\">.</span>gender<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\"> / </span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>v<span class=\"token punctuation\">.</span>age<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select</span></span> <span class=\"token attr-name\">mode</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>multiple<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>custom value<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">valueRender</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>valueRender<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>handleChange<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}