{"title":"滚动到底部加载","meta":{"title":"滚动到底部加载","description":"\n<p>通过监控 menu的 onScroll 滚动到底部的时候自动加载 dataSource</p>\n","order":"15"},"codes":{"jsx":"import { Select } from '@alifd/next';\n\nconst Option = Select.Option;\n\nfunction generateItem(start, end) {\n    const arr = [];\n    for(let i=start; i< end; i ++) {\n        arr.push({label: `option${i}`, value: `option${i}`});\n    }\n    return arr;\n}\n\nclass App extends React.Component {\n\n    state = {\n        dataSource: generateItem(0, 10),\n    }\n\n    onScroll = e => {\n        const scrollHeight = e.target.scrollHeight; // 内容总高度\n        const clientHeight = e.target.clientHeight; // 窗口高度\n        const scrollTop = e.target.scrollTop;           //滚动高度\n        console.log(scrollTop,clientHeight, scrollHeight);\n\n        if ( scrollTop + clientHeight === scrollHeight) { // 到达底部\n            const dataSource = this.state.dataSource;\n            const otherData = generateItem(dataSource.length, dataSource.length + 10);\n\n            console.log(dataSource, otherData);\n            this.setState({\n                dataSource: dataSource.concat(otherData)\n            });\n        }\n    }\n\n    render() {\n        return (<Select \n            style={{width: 200}}\n            dataSource={this.state.dataSource} \n            menuProps={{onScroll: this.onScroll}} \n            autoHighlightFirstItem={false}\n        />);\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n"},"body":"\n\n````jsx\nimport { Select } from '@alifd/next';\n\nconst Option = Select.Option;\n\nfunction generateItem(start, end) {\n    const arr = [];\n    for(let i=start; i< end; i ++) {\n        arr.push({label: `option${i}`, value: `option${i}`});\n    }\n    return arr;\n}\n\nclass App extends React.Component {\n\n    state = {\n        dataSource: generateItem(0, 10),\n    }\n\n    onScroll = e => {\n        const scrollHeight = e.target.scrollHeight; // 内容总高度\n        const clientHeight = e.target.clientHeight; // 窗口高度\n        const scrollTop = e.target.scrollTop;           //滚动高度\n        console.log(scrollTop,clientHeight, scrollHeight);\n\n        if ( scrollTop + clientHeight === scrollHeight) { // 到达底部\n            const dataSource = this.state.dataSource;\n            const otherData = generateItem(dataSource.length, dataSource.length + 10);\n\n            console.log(dataSource, otherData);\n            this.setState({\n                dataSource: dataSource.concat(otherData)\n            });\n        }\n    }\n\n    render() {\n        return (<Select \n            style={{width: 200}}\n            dataSource={this.state.dataSource} \n            menuProps={{onScroll: this.onScroll}} \n            autoHighlightFirstItem={false}\n        />);\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar Option = _next.Select.Option;\n\nfunction generateItem(start, end) {\n    var arr = [];\n    for (var i = start; i < end; i++) {\n        arr.push({ label: 'option' + i, value: 'option' + i });\n    }\n    return arr;\n}\n\nvar App = function (_React$Component) {\n    _inherits(App, _React$Component);\n\n    function App() {\n        var _ref;\n\n        var _temp, _this, _ret;\n\n        _classCallCheck(this, App);\n\n        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n            args[_key] = arguments[_key];\n        }\n\n        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = App.__proto__ || Object.getPrototypeOf(App)).call.apply(_ref, [this].concat(args))), _this), _this.state = {\n            dataSource: generateItem(0, 10)\n        }, _this.onScroll = function (e) {\n            var scrollHeight = e.target.scrollHeight; // 内容总高度\n            var clientHeight = e.target.clientHeight; // 窗口高度\n            var scrollTop = e.target.scrollTop; //滚动高度\n            console.log(scrollTop, clientHeight, scrollHeight);\n\n            if (scrollTop + clientHeight === scrollHeight) {\n                // 到达底部\n                var dataSource = _this.state.dataSource;\n                var otherData = generateItem(dataSource.length, dataSource.length + 10);\n\n                console.log(dataSource, otherData);\n                _this.setState({\n                    dataSource: dataSource.concat(otherData)\n                });\n            }\n        }, _temp), _possibleConstructorReturn(_this, _ret);\n    }\n\n    _createClass(App, [{\n        key: 'render',\n        value: function render() {\n            return React.createElement(_next.Select, {\n                style: { width: 200 },\n                dataSource: this.state.dataSource,\n                menuProps: { onScroll: this.onScroll },\n                autoHighlightFirstItem: false\n            });\n        }\n    }]);\n\n    return App;\n}(React.Component);\n\nReactDOM.render(React.createElement(App, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Select <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> Option <span class=\"token operator\">=</span> Select<span class=\"token punctuation\">.</span>Option<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">function</span> <span class=\"token function\">generateItem</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">start<span class=\"token punctuation\">,</span> end</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">const</span> arr <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n    <span class=\"token keyword\">for</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">let</span> i<span class=\"token operator\">=</span>start<span class=\"token punctuation\">;</span> i<span class=\"token operator\">&lt;</span> end<span class=\"token punctuation\">;</span> i <span class=\"token operator\">++</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        arr<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>label<span class=\"token operator\">:</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">option</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>i<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">,</span> value<span class=\"token operator\">:</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">option</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>i<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token keyword\">return</span> arr<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">App</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n\n    state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n        dataSource<span class=\"token operator\">:</span> <span class=\"token function\">generateItem</span><span class=\"token punctuation\">(</span><span class=\"token number\">0</span><span class=\"token punctuation\">,</span> <span class=\"token number\">10</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onScroll</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">e</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> scrollHeight <span class=\"token operator\">=</span> e<span class=\"token punctuation\">.</span>target<span class=\"token punctuation\">.</span>scrollHeight<span class=\"token punctuation\">;</span> <span class=\"token comment\">// 内容总高度</span>\n        <span class=\"token keyword\">const</span> clientHeight <span class=\"token operator\">=</span> e<span class=\"token punctuation\">.</span>target<span class=\"token punctuation\">.</span>clientHeight<span class=\"token punctuation\">;</span> <span class=\"token comment\">// 窗口高度</span>\n        <span class=\"token keyword\">const</span> scrollTop <span class=\"token operator\">=</span> e<span class=\"token punctuation\">.</span>target<span class=\"token punctuation\">.</span>scrollTop<span class=\"token punctuation\">;</span>           <span class=\"token comment\">//滚动高度</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>scrollTop<span class=\"token punctuation\">,</span>clientHeight<span class=\"token punctuation\">,</span> scrollHeight<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span> scrollTop <span class=\"token operator\">+</span> clientHeight <span class=\"token operator\">===</span> scrollHeight<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span> <span class=\"token comment\">// 到达底部</span>\n            <span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">;</span>\n            <span class=\"token keyword\">const</span> otherData <span class=\"token operator\">=</span> <span class=\"token function\">generateItem</span><span class=\"token punctuation\">(</span>dataSource<span class=\"token punctuation\">.</span>length<span class=\"token punctuation\">,</span> dataSource<span class=\"token punctuation\">.</span>length <span class=\"token operator\">+</span> <span class=\"token number\">10</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n            console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>dataSource<span class=\"token punctuation\">,</span> otherData<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                dataSource<span class=\"token operator\">:</span> dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">concat</span><span class=\"token punctuation\">(</span>otherData<span class=\"token punctuation\">)</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select</span></span> \n            <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>width<span class=\"token operator\">:</span> <span class=\"token number\">200</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span>\n            <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">}</span></span> \n            <span class=\"token attr-name\">menuProps</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>onScroll<span class=\"token operator\">:</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onScroll<span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span> \n            <span class=\"token attr-name\">autoHighlightFirstItem</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token boolean\">false</span><span class=\"token punctuation\">}</span></span>\n        <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">App</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}