{"title":"Excess mode","meta":{"title":"Excess mode","description":"\n<p>If your Tab excess the range, you can setting <code>excessMode</code> to <code>dropdown</code> for vertical display, or <code>slide</code> for horizontal display, just note that this <code>excessMode</code> will only be effective when <code>tabPosition</code> is set to be <code>top</code> or <code>bottom</code>.</p>\n","order":"5"},"codes":{"jsx":"import { Tab } from '@alifd/next';\n\nconst tabs = [\n    { tab: 'Home', key: 1 },\n    { tab: 'Documnet', key: 2 },\n    { tab: 'Setting', key: 3 },\n    { tab: 'Help', key: 4 },\n    { tab: 'Admin', key: 5 },\n    { tab: 'More 1', key: 6 },\n    { tab: 'More 2', key: 7 },\n    { tab: 'More 3', key: 8 },\n    { tab: 'More 4', key: 9 },\n    { tab: 'More 5', key: 10 },\n    { tab: 'More 6', key: 11 },\n    { tab: 'More 7', key: 12 },\n    { tab: 'More 8', key: 13 },\n    { tab: 'More 9', key: 14 },\n    { tab: 'More 10', key: 15 },\n    { tab: 'More 11', key: 16 }\n];\n\nfunction onClick(key) {\n    console.log(key);\n}\n\nReactDOM.render(<div className=\"fusion-demo\" style={{ maxWidth: '520px' }}>\n    <div className=\"demo-item-title\">Dropdown mode</div>\n    <Tab excessMode=\"dropdown\">\n        {\n            tabs.map(item => <Tab.Item key={item.key} title={item.tab} onClick={onClick}>{item.tab} content, content, content</Tab.Item>)\n        }\n    </Tab>\n\n    <div className=\"demo-item-title\">Slide mode</div>\n    <Tab excessMode=\"slide\">\n        {\n            tabs.map(item => <Tab.Item key={item.key} title={item.tab} onClick={onClick}>{item.tab} content, content, content</Tab.Item>)\n        }\n    </Tab>\n</div>\n    , mountNode);\n","css":".fusion-demo .demo-item-title {\n    font-size: 16px;\n    color: #333;\n    padding: 8px;\n    margin: 14px 0;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}\n"},"body":"\n````jsx\nimport { Tab } from '@alifd/next';\n\nconst tabs = [\n    { tab: 'Home', key: 1 },\n    { tab: 'Documnet', key: 2 },\n    { tab: 'Setting', key: 3 },\n    { tab: 'Help', key: 4 },\n    { tab: 'Admin', key: 5 },\n    { tab: 'More 1', key: 6 },\n    { tab: 'More 2', key: 7 },\n    { tab: 'More 3', key: 8 },\n    { tab: 'More 4', key: 9 },\n    { tab: 'More 5', key: 10 },\n    { tab: 'More 6', key: 11 },\n    { tab: 'More 7', key: 12 },\n    { tab: 'More 8', key: 13 },\n    { tab: 'More 9', key: 14 },\n    { tab: 'More 10', key: 15 },\n    { tab: 'More 11', key: 16 }\n];\n\nfunction onClick(key) {\n    console.log(key);\n}\n\nReactDOM.render(<div className=\"fusion-demo\" style={{ maxWidth: '520px' }}>\n    <div className=\"demo-item-title\">Dropdown mode</div>\n    <Tab excessMode=\"dropdown\">\n        {\n            tabs.map(item => <Tab.Item key={item.key} title={item.tab} onClick={onClick}>{item.tab} content, content, content</Tab.Item>)\n        }\n    </Tab>\n\n    <div className=\"demo-item-title\">Slide mode</div>\n    <Tab excessMode=\"slide\">\n        {\n            tabs.map(item => <Tab.Item key={item.key} title={item.tab} onClick={onClick}>{item.tab} content, content, content</Tab.Item>)\n        }\n    </Tab>\n</div>\n    , mountNode);\n````\n\n````css\n.fusion-demo .demo-item-title {\n    font-size: 16px;\n    color: #333;\n    padding: 8px;\n    margin: 14px 0;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _next = require('@alifd/next');\n\nvar tabs = [{ tab: 'Home', key: 1 }, { tab: 'Documnet', key: 2 }, { tab: 'Setting', key: 3 }, { tab: 'Help', key: 4 }, { tab: 'Admin', key: 5 }, { tab: 'More 1', key: 6 }, { tab: 'More 2', key: 7 }, { tab: 'More 3', key: 8 }, { tab: 'More 4', key: 9 }, { tab: 'More 5', key: 10 }, { tab: 'More 6', key: 11 }, { tab: 'More 7', key: 12 }, { tab: 'More 8', key: 13 }, { tab: 'More 9', key: 14 }, { tab: 'More 10', key: 15 }, { tab: 'More 11', key: 16 }];\n\nfunction onClick(key) {\n    console.log(key);\n}\n\nReactDOM.render(React.createElement(\n    'div',\n    { className: 'fusion-demo', style: { maxWidth: '520px' } },\n    React.createElement(\n        'div',\n        { className: 'demo-item-title' },\n        'Dropdown mode'\n    ),\n    React.createElement(\n        _next.Tab,\n        { excessMode: 'dropdown' },\n        tabs.map(function (item) {\n            return React.createElement(\n                _next.Tab.Item,\n                { key: item.key, title: item.tab, onClick: onClick },\n                item.tab,\n                ' content, content, content'\n            );\n        })\n    ),\n    React.createElement(\n        'div',\n        { className: 'demo-item-title' },\n        'Slide mode'\n    ),\n    React.createElement(\n        _next.Tab,\n        { excessMode: 'slide' },\n        tabs.map(function (item) {\n            return React.createElement(\n                _next.Tab.Item,\n                { key: item.key, title: item.tab, onClick: onClick },\n                item.tab,\n                ' content, content, content'\n            );\n        })\n    )\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Tab <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> tabs <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'Home'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">1</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'Documnet'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">2</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'Setting'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">3</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'Help'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">4</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'Admin'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">5</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 1'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">6</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 2'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">7</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 3'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">8</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 4'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">9</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 5'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">10</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 6'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">11</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 7'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">12</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 8'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">13</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 9'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">14</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 10'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">15</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">{</span> tab<span class=\"token operator\">:</span> <span class=\"token string\">'More 11'</span><span class=\"token punctuation\">,</span> key<span class=\"token operator\">:</span> <span class=\"token number\">16</span> <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">function</span> <span class=\"token function\">onClick</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">key</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>key<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>fusion-demo<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> maxWidth<span class=\"token operator\">:</span> <span class=\"token string\">'520px'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>demo-item-title<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Dropdown mode</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab</span></span> <span class=\"token attr-name\">excessMode</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>dropdown<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token punctuation\">{</span>\n            tabs<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab.Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>key<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">title</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onClick<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span><span class=\"token plain-text\"> content, content, content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span>\n        <span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>demo-item-title<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Slide mode</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab</span></span> <span class=\"token attr-name\">excessMode</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>slide<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token punctuation\">{</span>\n            tabs<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tab.Item</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>key<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">title</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>onClick<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">.</span>tab<span class=\"token punctuation\">}</span><span class=\"token plain-text\"> content, content, content</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab.Item</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span>\n        <span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Tab</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n    <span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.fusion-demo .demo-item-title {\n    font-size: 16px;\n    color: #333;\n    padding: 8px;\n    margin: 14px 0;\n}\n\n.next-tabs-content {\n    color: #333;\n    font-size: 12px;\n    padding: 12px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.fusion-demo .demo-item-title</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 16px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #333<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 8px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin</span><span class=\"token punctuation\">:</span> 14px 0<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.next-tabs-content</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #333<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 12px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">padding</span><span class=\"token punctuation\">:</span> 12px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}