{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><p>Tabs mke it easy to explore and switch betweeen different views or functional aspects of an app or to browse categories data sets.</p>\n<h3 id=\"animation\">Animation<a href=\"#animation\" class=\"anchor\">#</a></h3><p>Disable animation with <code>animation={false}</code></p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"tab\">Tab<a href=\"#tab\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>activeKey</td>\n<td>Key of the current active tab<br> This prop will make tab a &apos;controlled component&apos;, end user will be unable to change tabs</td>\n<td>Number/String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>size</td>\n<td>Size of tab<br><br><strong>option</strong>:<br>&apos;small&apos;, &apos;medium&apos;</td>\n<td>Enum</td>\n<td>&apos;medium&apos;</td>\n</tr>\n<tr>\n<td>shape</td>\n<td>Shape of tab<br><br><strong>option</strong>:<br>&apos;pure&apos;, &apos;wrapped&apos;, &apos;text&apos;, &apos;capsule&apos;</td>\n<td>Enum</td>\n<td>&apos;pure&apos;</td>\n</tr>\n<tr>\n<td>defaultActiveKey</td>\n<td>Key of default active tab</td>\n<td>Number/String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>animation</td>\n<td>Enable animation</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>excessMode</td>\n<td>Excess mode for extra tabs <br><br><strong>option</strong>:<br>&apos;slide&apos;, &apos;dropdown&apos;</td>\n<td>Enum</td>\n<td>&apos;slide&apos;</td>\n</tr>\n<tr>\n<td>tabPosition</td>\n<td>Position of tabs<br><br><strong>option</strong>:<br>&apos;top&apos;, &apos;bottom&apos;, &apos;left&apos;, &apos;right&apos;</td>\n<td>Enum</td>\n<td>&apos;top&apos;</td>\n</tr>\n<tr>\n<td>triggerType</td>\n<td>Trigger type to change active tab<br><br><strong>option</strong>:<br>&apos;hover&apos;, &apos;click&apos;</td>\n<td>Enum</td>\n<td>&apos;click&apos;</td>\n</tr>\n<tr>\n<td>lazyLoad</td>\n<td>Lazy mount tabs</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>unmountInactiveTabs</td>\n<td>Auto unmount inactive tabs</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>navStyle</td>\n<td>Custom style of nav</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>navClassName</td>\n<td>Custom className of nav</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>contentStyle</td>\n<td>Custom style of content</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>contentClassName</td>\n<td>Custom className of content</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>extra</td>\n<td>Extra content of tab, ensure the item won&apos;t excess when using this</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>disableKeyboard</td>\n<td>Set and you cant switch tabs via keyboard arrow keys</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>onClick</td>\n<td>Callback when click tab</td>\n<td>Function</td>\n<td>() =&gt; {}</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>Callback when active tab changes<br><br><strong>signature</strong>:<br>Function(key: String/Number)) =&gt; void<br><strong>parameter</strong>:<br><em>key</em>: {String/Number)} theActiveKey</td>\n<td>Function</td>\n<td>() =&gt; {}</td>\n</tr>\n<tr>\n<td>onClose</td>\n<td>Callback when close the tab<br><br><strong>signature</strong>:<br>Function(key: String/Number)) =&gt; void<br><strong>parameter</strong>:<br><em>key</em>: {String/Number)} theClosedKey</td>\n<td>Function</td>\n<td>() =&gt; {}</td>\n</tr>\n<tr>\n<td>tabRender</td>\n<td>Custom template render for tab <br><br><strong>signature</strong>:<br>Function(key: String, props: Object) =&gt; ReactNode<br><strong>parameter</strong>:<br><em>key</em>: {String} tabKey <br><em>props</em>: {Object} propsOfTabItem <br><strong>return</strong>:<br>{ReactNode} the rendered tab item<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>popupProps</td>\n<td>properties pass down to Popup Menu in dropdown excess mode</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>icons</td>\n<td>customize icons used in tab nav</td>\n<td>Object</td>\n<td>{}</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"tab-item\">Tab.Item<a href=\"#tab-item\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>title</td>\n<td>Title of tab</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>closeable</td>\n<td>If tab is closeable</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>If tab is disabled</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">KeyBoard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">Right Arrow</td>\n<td style=\"text-align:left\">switch to previous Tab.Item</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Left Arrow</td>\n<td style=\"text-align:left\">switch to next Tab.Item</td>\n</tr>\n</tbody>\n</table>\n"}