{"title":"Selection under control","meta":{"title":"Selection under control","description":"\n<p>Demo all selection and single selection under control.</p>\n","order":"2"},"codes":{"jsx":"import { Table, Button } from '@alifd/next';\n\nconst dataSource = (i, j) => {\n        const result = [];\n        for (let a = i; a < j; a++) {\n            result.push({\n                title: {name: `Quotation for 1PCS Nano ${3 + i}.0 controller compatible`},\n                id: 100306660940 + a,\n                time: 2000 + a\n            });\n        }\n        return result;\n    },\n    render = (value, index, record) => {\n        return <a href=\"javascript:;\">Remove({record.id})</a>;\n    };\n\nclass App extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            rowSelection: {\n                onChange: this.onChange.bind(this),\n                onSelect: function(selected, record, records) {\n                    console.log('onSelect', selected, record, records);\n                },\n                onSelectAll: function(selected, records) {\n                    console.log('onSelectAll', selected, records);\n                },\n                selectedRowKeys: [100306660940, 100306660941],\n                getProps: (record) => {\n                    return {\n                        disabled: record.id === 100306660941\n                    };\n                }\n            },\n            dataSource: dataSource(0, 5)\n        };\n    }\n    onChange(ids, records) {\n        const {rowSelection} = this.state;\n        rowSelection.selectedRowKeys = ids;\n        console.log('onChange', ids, records);\n        this.setState({ rowSelection });\n    }\n    clear() {\n        const {rowSelection} = this.state;\n        rowSelection.selectedRowKeys = [];\n        this.setState({ rowSelection });\n    }\n    toggleLoading() {\n        this.setState({loading: !this.state.loading});\n    }\n    changeMode() {\n        const {rowSelection} = this.state;\n        const mode = rowSelection.mode;\n        const selectedRowKeys = rowSelection.selectedRowKeys;\n        rowSelection.mode = mode === 'single' ? 'multiple' : 'single';\n        rowSelection.selectedRowKeys = selectedRowKeys.length === 1 ? selectedRowKeys : [];\n        this.setState({ rowSelection });\n    }\n    modifyDataSource() {\n        this.setState({\n            dataSource: dataSource(9, 14)\n        });\n    }\n    render () {\n        return (\n            <div>\n                <p>\n                    <Button onClick={this.clear.bind(this)}>Clear Selection</Button>&nbsp;\n                    <Button onClick={this.changeMode.bind(this)}>Change mode</Button>&nbsp;\n                    <Button onClick={this.toggleLoading.bind(this)}>Toggle loading</Button>&nbsp;\n                    <Button onClick={this.modifyDataSource.bind(this)}>Modify dataSource</Button>\n                </p>\n                <Table dataSource={this.state.dataSource}\n                    loading={this.state.loading}\n                    rowSelection={this.state.rowSelection}>\n                    <Table.Column title=\"Id\" dataIndex=\"id\"/>\n                    <Table.Column title=\"Title\" dataIndex=\"title.name\" />\n                    <Table.Column title=\"Time\" dataIndex=\"time\"/>\n                    <Table.Column cell={render} width={200}/>\n                </Table>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n"},"body":"\n````jsx\nimport { Table, Button } from '@alifd/next';\n\nconst dataSource = (i, j) => {\n        const result = [];\n        for (let a = i; a < j; a++) {\n            result.push({\n                title: {name: `Quotation for 1PCS Nano ${3 + i}.0 controller compatible`},\n                id: 100306660940 + a,\n                time: 2000 + a\n            });\n        }\n        return result;\n    },\n    render = (value, index, record) => {\n        return <a href=\"javascript:;\">Remove({record.id})</a>;\n    };\n\nclass App extends React.Component {\n    constructor(props) {\n        super(props);\n        this.state = {\n            rowSelection: {\n                onChange: this.onChange.bind(this),\n                onSelect: function(selected, record, records) {\n                    console.log('onSelect', selected, record, records);\n                },\n                onSelectAll: function(selected, records) {\n                    console.log('onSelectAll', selected, records);\n                },\n                selectedRowKeys: [100306660940, 100306660941],\n                getProps: (record) => {\n                    return {\n                        disabled: record.id === 100306660941\n                    };\n                }\n            },\n            dataSource: dataSource(0, 5)\n        };\n    }\n    onChange(ids, records) {\n        const {rowSelection} = this.state;\n        rowSelection.selectedRowKeys = ids;\n        console.log('onChange', ids, records);\n        this.setState({ rowSelection });\n    }\n    clear() {\n        const {rowSelection} = this.state;\n        rowSelection.selectedRowKeys = [];\n        this.setState({ rowSelection });\n    }\n    toggleLoading() {\n        this.setState({loading: !this.state.loading});\n    }\n    changeMode() {\n        const {rowSelection} = this.state;\n        const mode = rowSelection.mode;\n        const selectedRowKeys = rowSelection.selectedRowKeys;\n        rowSelection.mode = mode === 'single' ? 'multiple' : 'single';\n        rowSelection.selectedRowKeys = selectedRowKeys.length === 1 ? selectedRowKeys : [];\n        this.setState({ rowSelection });\n    }\n    modifyDataSource() {\n        this.setState({\n            dataSource: dataSource(9, 14)\n        });\n    }\n    render () {\n        return (\n            <div>\n                <p>\n                    <Button onClick={this.clear.bind(this)}>Clear Selection</Button>&nbsp;\n                    <Button onClick={this.changeMode.bind(this)}>Change mode</Button>&nbsp;\n                    <Button onClick={this.toggleLoading.bind(this)}>Toggle loading</Button>&nbsp;\n                    <Button onClick={this.modifyDataSource.bind(this)}>Modify dataSource</Button>\n                </p>\n                <Table dataSource={this.state.dataSource}\n                    loading={this.state.loading}\n                    rowSelection={this.state.rowSelection}>\n                    <Table.Column title=\"Id\" dataIndex=\"id\"/>\n                    <Table.Column title=\"Title\" dataIndex=\"title.name\" />\n                    <Table.Column title=\"Time\" dataIndex=\"time\"/>\n                    <Table.Column cell={render} width={200}/>\n                </Table>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar dataSource = function dataSource(i, j) {\n    var result = [];\n    for (var a = i; a < j; a++) {\n        result.push({\n            title: { name: 'Quotation for 1PCS Nano ' + (3 + i) + '.0 controller compatible' },\n            id: 100306660940 + a,\n            time: 2000 + a\n        });\n    }\n    return result;\n},\n    _render = function _render(value, index, record) {\n    return React.createElement(\n        'a',\n        { href: 'javascript:;' },\n        'Remove(',\n        record.id,\n        ')'\n    );\n};\n\nvar App = function (_React$Component) {\n    _inherits(App, _React$Component);\n\n    function App(props) {\n        _classCallCheck(this, App);\n\n        var _this = _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).call(this, props));\n\n        _this.state = {\n            rowSelection: {\n                onChange: _this.onChange.bind(_this),\n                onSelect: function onSelect(selected, record, records) {\n                    console.log('onSelect', selected, record, records);\n                },\n                onSelectAll: function onSelectAll(selected, records) {\n                    console.log('onSelectAll', selected, records);\n                },\n                selectedRowKeys: [100306660940, 100306660941],\n                getProps: function getProps(record) {\n                    return {\n                        disabled: record.id === 100306660941\n                    };\n                }\n            },\n            dataSource: dataSource(0, 5)\n        };\n        return _this;\n    }\n\n    _createClass(App, [{\n        key: 'onChange',\n        value: function onChange(ids, records) {\n            var rowSelection = this.state.rowSelection;\n\n            rowSelection.selectedRowKeys = ids;\n            console.log('onChange', ids, records);\n            this.setState({ rowSelection: rowSelection });\n        }\n    }, {\n        key: 'clear',\n        value: function clear() {\n            var rowSelection = this.state.rowSelection;\n\n            rowSelection.selectedRowKeys = [];\n            this.setState({ rowSelection: rowSelection });\n        }\n    }, {\n        key: 'toggleLoading',\n        value: function toggleLoading() {\n            this.setState({ loading: !this.state.loading });\n        }\n    }, {\n        key: 'changeMode',\n        value: function changeMode() {\n            var rowSelection = this.state.rowSelection;\n\n            var mode = rowSelection.mode;\n            var selectedRowKeys = rowSelection.selectedRowKeys;\n            rowSelection.mode = mode === 'single' ? 'multiple' : 'single';\n            rowSelection.selectedRowKeys = selectedRowKeys.length === 1 ? selectedRowKeys : [];\n            this.setState({ rowSelection: rowSelection });\n        }\n    }, {\n        key: 'modifyDataSource',\n        value: function modifyDataSource() {\n            this.setState({\n                dataSource: dataSource(9, 14)\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    'p',\n                    null,\n                    React.createElement(\n                        _next.Button,\n                        { onClick: this.clear.bind(this) },\n                        'Clear Selection'\n                    ),\n                    '\\xA0',\n                    React.createElement(\n                        _next.Button,\n                        { onClick: this.changeMode.bind(this) },\n                        'Change mode'\n                    ),\n                    '\\xA0',\n                    React.createElement(\n                        _next.Button,\n                        { onClick: this.toggleLoading.bind(this) },\n                        'Toggle loading'\n                    ),\n                    '\\xA0',\n                    React.createElement(\n                        _next.Button,\n                        { onClick: this.modifyDataSource.bind(this) },\n                        'Modify dataSource'\n                    )\n                ),\n                React.createElement(\n                    _next.Table,\n                    { dataSource: this.state.dataSource,\n                        loading: this.state.loading,\n                        rowSelection: this.state.rowSelection },\n                    React.createElement(_next.Table.Column, { title: 'Id', dataIndex: 'id' }),\n                    React.createElement(_next.Table.Column, { title: 'Title', dataIndex: 'title.name' }),\n                    React.createElement(_next.Table.Column, { title: 'Time', dataIndex: 'time' }),\n                    React.createElement(_next.Table.Column, { cell: _render, width: 200 })\n                )\n            );\n        }\n    }]);\n\n    return App;\n}(React.Component);\n\nReactDOM.render(React.createElement(App, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Table<span class=\"token punctuation\">,</span> Button <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">dataSource</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">i<span class=\"token punctuation\">,</span> j</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> result <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">for</span> <span class=\"token punctuation\">(</span><span class=\"token keyword\">let</span> a <span class=\"token operator\">=</span> i<span class=\"token punctuation\">;</span> a <span class=\"token operator\">&lt;</span> j<span class=\"token punctuation\">;</span> a<span class=\"token operator\">++</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            result<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                title<span class=\"token operator\">:</span> <span class=\"token punctuation\">{</span>name<span class=\"token operator\">:</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">Quotation for 1PCS Nano </span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span><span class=\"token number\">3</span> <span class=\"token operator\">+</span> i<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\">.0 controller compatible</span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n                id<span class=\"token operator\">:</span> <span class=\"token number\">100306660940</span> <span class=\"token operator\">+</span> a<span class=\"token punctuation\">,</span>\n                time<span class=\"token operator\">:</span> <span class=\"token number\">2000</span> <span class=\"token operator\">+</span> a\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n        <span class=\"token keyword\">return</span> result<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token function-variable function\">render</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value<span class=\"token punctuation\">,</span> index<span class=\"token punctuation\">,</span> record</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>a</span> <span class=\"token attr-name\">href</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>javascript:;<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Remove(</span><span class=\"token punctuation\">{</span>record<span class=\"token punctuation\">.</span>id<span class=\"token punctuation\">}</span><span class=\"token plain-text\">)</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>a</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">App</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            rowSelection<span class=\"token operator\">:</span> <span class=\"token punctuation\">{</span>\n                onChange<span class=\"token operator\">:</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">onChange</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span>\n                <span class=\"token function-variable function\">onSelect</span><span class=\"token operator\">:</span> <span class=\"token keyword\">function</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">selected<span class=\"token punctuation\">,</span> record<span class=\"token punctuation\">,</span> records</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                    console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'onSelect'</span><span class=\"token punctuation\">,</span> selected<span class=\"token punctuation\">,</span> record<span class=\"token punctuation\">,</span> records<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n                <span class=\"token function-variable function\">onSelectAll</span><span class=\"token operator\">:</span> <span class=\"token keyword\">function</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">selected<span class=\"token punctuation\">,</span> records</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n                    console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'onSelectAll'</span><span class=\"token punctuation\">,</span> selected<span class=\"token punctuation\">,</span> records<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n                selectedRowKeys<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token number\">100306660940</span><span class=\"token punctuation\">,</span> <span class=\"token number\">100306660941</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n                <span class=\"token function-variable function\">getProps</span><span class=\"token operator\">:</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">record</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                    <span class=\"token keyword\">return</span> <span class=\"token punctuation\">{</span>\n                        disabled<span class=\"token operator\">:</span> record<span class=\"token punctuation\">.</span>id <span class=\"token operator\">===</span> <span class=\"token number\">100306660941</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n                <span class=\"token punctuation\">}</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n            dataSource<span class=\"token operator\">:</span> <span class=\"token function\">dataSource</span><span class=\"token punctuation\">(</span><span class=\"token number\">0</span><span class=\"token punctuation\">,</span> <span class=\"token number\">5</span><span class=\"token punctuation\">)</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">onChange</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">ids<span class=\"token punctuation\">,</span> records</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>rowSelection<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        rowSelection<span class=\"token punctuation\">.</span>selectedRowKeys <span class=\"token operator\">=</span> ids<span class=\"token punctuation\">;</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'onChange'</span><span class=\"token punctuation\">,</span> ids<span class=\"token punctuation\">,</span> records<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> rowSelection <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">clear</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>rowSelection<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        rowSelection<span class=\"token punctuation\">.</span>selectedRowKeys <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> rowSelection <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">toggleLoading</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>loading<span class=\"token operator\">:</span> <span class=\"token operator\">!</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>loading<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">changeMode</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>rowSelection<span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> mode <span class=\"token operator\">=</span> rowSelection<span class=\"token punctuation\">.</span>mode<span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> selectedRowKeys <span class=\"token operator\">=</span> rowSelection<span class=\"token punctuation\">.</span>selectedRowKeys<span class=\"token punctuation\">;</span>\n        rowSelection<span class=\"token punctuation\">.</span>mode <span class=\"token operator\">=</span> mode <span class=\"token operator\">===</span> <span class=\"token string\">'single'</span> <span class=\"token operator\">?</span> <span class=\"token string\">'multiple'</span> <span class=\"token operator\">:</span> <span class=\"token string\">'single'</span><span class=\"token punctuation\">;</span>\n        rowSelection<span class=\"token punctuation\">.</span>selectedRowKeys <span class=\"token operator\">=</span> selectedRowKeys<span class=\"token punctuation\">.</span>length <span class=\"token operator\">===</span> <span class=\"token number\">1</span> <span class=\"token operator\">?</span> selectedRowKeys <span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> rowSelection <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">modifyDataSource</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            dataSource<span class=\"token operator\">:</span> <span class=\"token function\">dataSource</span><span class=\"token punctuation\">(</span><span class=\"token number\">9</span><span class=\"token punctuation\">,</span> <span class=\"token number\">14</span><span class=\"token punctuation\">)</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token function\">render</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">clear</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Clear Selection</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">&amp;nbsp;\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">changeMode</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Change mode</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">&amp;nbsp;\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">toggleLoading</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Toggle loading</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">&amp;nbsp;\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span> <span class=\"token attr-name\">onClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">modifyDataSource</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Modify dataSource</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>p</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">loading</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>loading<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">rowSelection</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>rowSelection<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Id<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>id<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Title<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>title.name<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Time<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>time<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">cell</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>render<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">width</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">200</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Table</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">App</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}