{"title":"Merge cell with lock columns","meta":{"title":"Merge cell with lock columns","description":"\n<p>Merging column through cellProps.</p>\n","order":"7"},"codes":{"jsx":"import { Table, Button } from '@alifd/next';\n\nconst columns = new Array(4).fill({\n    dataIndex: 'data',\n    title: 'Data',\n    width: 200,\n});\ncolumns.unshift({\n    dataIndex: 'id',\n    title: 'Id',\n    width: 100,\n    lock: 'left',\n});\ncolumns.push({\n    dataIndex: 'state',\n    title: 'State',\n    width: 200,\n});\ncolumns.push({\n    title: 'Action',\n    width: 100,\n    align: 'center',\n    cell: () => <Button>delete</Button>,\n    lock: 'right'\n});\n\nconst dataSource = [{\n    id: 30000,\n    data: '$13.02',\n    state: 'normal',\n}, {\n    id: 30001,\n    data: '$16.02',\n    state: 'normal',\n}, {\n    id: 30002,\n    data: '$63.0002',\n    state: 'error',\n}];\n\nReactDOM.render(\n  <Table\n    type=\"primary\"\n    dataSource={dataSource}\n    cellProps={(rowIndex, colIndex) => {\n        if (colIndex === 0) {\n            return {\n                colSpan: 1,\n                rowSpan: 2\n            };\n        }\n        if (colIndex === columns.length - 1) {\n            return {\n                colSpan: 1,\n                rowSpan: 3\n            };\n        }\n      }\n    }\n   >\n   {\n        columns.map((col, i) => {\n            return <Table.Column key={i} {...col} />;\n        })\n   }\n  </Table>,\n  mountNode\n);\n"},"body":"\n````jsx\nimport { Table, Button } from '@alifd/next';\n\nconst columns = new Array(4).fill({\n    dataIndex: 'data',\n    title: 'Data',\n    width: 200,\n});\ncolumns.unshift({\n    dataIndex: 'id',\n    title: 'Id',\n    width: 100,\n    lock: 'left',\n});\ncolumns.push({\n    dataIndex: 'state',\n    title: 'State',\n    width: 200,\n});\ncolumns.push({\n    title: 'Action',\n    width: 100,\n    align: 'center',\n    cell: () => <Button>delete</Button>,\n    lock: 'right'\n});\n\nconst dataSource = [{\n    id: 30000,\n    data: '$13.02',\n    state: 'normal',\n}, {\n    id: 30001,\n    data: '$16.02',\n    state: 'normal',\n}, {\n    id: 30002,\n    data: '$63.0002',\n    state: 'error',\n}];\n\nReactDOM.render(\n  <Table\n    type=\"primary\"\n    dataSource={dataSource}\n    cellProps={(rowIndex, colIndex) => {\n        if (colIndex === 0) {\n            return {\n                colSpan: 1,\n                rowSpan: 2\n            };\n        }\n        if (colIndex === columns.length - 1) {\n            return {\n                colSpan: 1,\n                rowSpan: 3\n            };\n        }\n      }\n    }\n   >\n   {\n        columns.map((col, i) => {\n            return <Table.Column key={i} {...col} />;\n        })\n   }\n  </Table>,\n  mountNode\n);\n````","html":"<script>(function(){'use strict';\n\nvar _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };\n\nvar _next = require('@alifd/next');\n\nvar columns = new Array(4).fill({\n    dataIndex: 'data',\n    title: 'Data',\n    width: 200\n});\ncolumns.unshift({\n    dataIndex: 'id',\n    title: 'Id',\n    width: 100,\n    lock: 'left'\n});\ncolumns.push({\n    dataIndex: 'state',\n    title: 'State',\n    width: 200\n});\ncolumns.push({\n    title: 'Action',\n    width: 100,\n    align: 'center',\n    cell: function cell() {\n        return React.createElement(\n            _next.Button,\n            null,\n            'delete'\n        );\n    },\n    lock: 'right'\n});\n\nvar dataSource = [{\n    id: 30000,\n    data: '$13.02',\n    state: 'normal'\n}, {\n    id: 30001,\n    data: '$16.02',\n    state: 'normal'\n}, {\n    id: 30002,\n    data: '$63.0002',\n    state: 'error'\n}];\n\nReactDOM.render(React.createElement(\n    _next.Table,\n    {\n        type: 'primary',\n        dataSource: dataSource,\n        cellProps: function cellProps(rowIndex, colIndex) {\n            if (colIndex === 0) {\n                return {\n                    colSpan: 1,\n                    rowSpan: 2\n                };\n            }\n            if (colIndex === columns.length - 1) {\n                return {\n                    colSpan: 1,\n                    rowSpan: 3\n                };\n            }\n        }\n    },\n    columns.map(function (col, i) {\n        return React.createElement(_next.Table.Column, _extends({ key: i }, col));\n    })\n), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Table<span class=\"token punctuation\">,</span> Button <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> columns <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Array</span><span class=\"token punctuation\">(</span><span class=\"token number\">4</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">.</span><span class=\"token function\">fill</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n    dataIndex<span class=\"token operator\">:</span> <span class=\"token string\">'data'</span><span class=\"token punctuation\">,</span>\n    title<span class=\"token operator\">:</span> <span class=\"token string\">'Data'</span><span class=\"token punctuation\">,</span>\n    width<span class=\"token operator\">:</span> <span class=\"token number\">200</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\ncolumns<span class=\"token punctuation\">.</span><span class=\"token function\">unshift</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n    dataIndex<span class=\"token operator\">:</span> <span class=\"token string\">'id'</span><span class=\"token punctuation\">,</span>\n    title<span class=\"token operator\">:</span> <span class=\"token string\">'Id'</span><span class=\"token punctuation\">,</span>\n    width<span class=\"token operator\">:</span> <span class=\"token number\">100</span><span class=\"token punctuation\">,</span>\n    lock<span class=\"token operator\">:</span> <span class=\"token string\">'left'</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\ncolumns<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n    dataIndex<span class=\"token operator\">:</span> <span class=\"token string\">'state'</span><span class=\"token punctuation\">,</span>\n    title<span class=\"token operator\">:</span> <span class=\"token string\">'State'</span><span class=\"token punctuation\">,</span>\n    width<span class=\"token operator\">:</span> <span class=\"token number\">200</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\ncolumns<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n    title<span class=\"token operator\">:</span> <span class=\"token string\">'Action'</span><span class=\"token punctuation\">,</span>\n    width<span class=\"token operator\">:</span> <span class=\"token number\">100</span><span class=\"token punctuation\">,</span>\n    align<span class=\"token operator\">:</span> <span class=\"token string\">'center'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token function-variable function\">cell</span><span class=\"token operator\">:</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">delete</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n    lock<span class=\"token operator\">:</span> <span class=\"token string\">'right'</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n    id<span class=\"token operator\">:</span> <span class=\"token number\">30000</span><span class=\"token punctuation\">,</span>\n    data<span class=\"token operator\">:</span> <span class=\"token string\">'$13.02'</span><span class=\"token punctuation\">,</span>\n    state<span class=\"token operator\">:</span> <span class=\"token string\">'normal'</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n    id<span class=\"token operator\">:</span> <span class=\"token number\">30001</span><span class=\"token punctuation\">,</span>\n    data<span class=\"token operator\">:</span> <span class=\"token string\">'$16.02'</span><span class=\"token punctuation\">,</span>\n    state<span class=\"token operator\">:</span> <span class=\"token string\">'normal'</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n    id<span class=\"token operator\">:</span> <span class=\"token number\">30002</span><span class=\"token punctuation\">,</span>\n    data<span class=\"token operator\">:</span> <span class=\"token string\">'$63.0002'</span><span class=\"token punctuation\">,</span>\n    state<span class=\"token operator\">:</span> <span class=\"token string\">'error'</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span>\n  <span class=\"token operator\">&lt;</span>Table\n    type<span class=\"token operator\">=</span><span class=\"token string\">\"primary\"</span>\n    dataSource<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">}</span>\n    cellProps<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">rowIndex<span class=\"token punctuation\">,</span> colIndex</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>colIndex <span class=\"token operator\">===</span> <span class=\"token number\">0</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token punctuation\">{</span>\n                colSpan<span class=\"token operator\">:</span> <span class=\"token number\">1</span><span class=\"token punctuation\">,</span>\n                rowSpan<span class=\"token operator\">:</span> <span class=\"token number\">2</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n        <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>colIndex <span class=\"token operator\">===</span> columns<span class=\"token punctuation\">.</span>length <span class=\"token operator\">-</span> <span class=\"token number\">1</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token punctuation\">{</span>\n                colSpan<span class=\"token operator\">:</span> <span class=\"token number\">1</span><span class=\"token punctuation\">,</span>\n                rowSpan<span class=\"token operator\">:</span> <span class=\"token number\">3</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span>\n      <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">}</span>\n   <span class=\"token operator\">></span>\n   <span class=\"token punctuation\">{</span>\n        columns<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">col<span class=\"token punctuation\">,</span> i</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>i<span class=\"token punctuation\">}</span></span> <span class=\"token spread\"><span class=\"token punctuation\">{</span><span class=\"token punctuation\">...</span><span class=\"token attr-value\">col</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span>\n   <span class=\"token punctuation\">}</span>\n  <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Table</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">,</span>\n  mountNode\n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}