{"title":"Fold","meta":{"title":"Fold","description":"\n<p>Custom fold area.</p>\n","order":"5"},"codes":{"jsx":"import { Timeline, Select } from '@alifd/next';\n\nconst TimelineItem = Timeline.Item;\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            timelineAnimation: true\n        };\n    }\n\n    onTimelineAnimation = (value) => {\n        this.setState({ timelineAnimation: value });\n    }\n\n    render() {\n        return (<div>\n            <div className=\"custom-step-option\">\n                <Select placeholder=\"Whether to start animation\" onChange={this.onTimelineAnimation} className=\"custom-select\" defaultValue>\n                    {\n                        [true, false].map((item, index) => <Select.Option value={item} key={index}>{item ? 'Animation on' : 'Animation off'}</Select.Option>)\n                    }\n                </Select>\n            </div>\n            <Timeline animation={this.state.timelineAnimation} fold={[{ foldArea: [1, 2], foldShow: false }, { foldArea: [5], foldShow: false }]}>\n                <TimelineItem title=\"Sign\" content=\"[Hangzhou] has received the sign, the signer is Alibaba Post Office, thank you for using STO, looking forward to serving you again\" time={'2016-06-10 10:30:00'} state=\"process\" />\n                <TimelineItem title=\"Delivery\" content=\"[Hangzhou]Express has reached Hangzhou Hangzhou Binjiang Company\" time={'2016-06-10 09:30:00'} />\n                <TimelineItem title=\"Delivery\" content=\"[Hangzhou] Zhejiang Hangzhou Binjiang Company dispatches members for you\" time={'2016-06-10 09:03:00'} />\n                <TimelineItem title=\"Transport\" content=\"[Hangzhou] Zhejiang Hangzhou Transshipment Center has been issued\" time={'2016-06-10 06:10:00'} />\n                <TimelineItem title=\"Transport\" content=\"[Dongguan City] Guangdong Dongguan Transshipment Center has been issued\" time={'2016-06-09 18:00:00'} />\n                <TimelineItem title=\"Processing\" content=\"[Dongguan City] Shentong Express Guangdong Fenggang Branch of Guangdong Province\" time={'2016-06-09 16:12:00'} />\n                <TimelineItem title=\"Processing\" content=\"[Dongguan City] The merchant is informing the express company to insert\" time={'2016-06-09 14:00:00'} />\n                <TimelineItem title=\"Processing\" content=\"[Dongguan City] Your order to be picked\" time={'2016-06-09 10:12:19'} />\n                <TimelineItem title=\"Processing\" content=\"[Dongguan] Your order starts processing\" time={'2016-06-09 10:01:09'} />\n            </Timeline>\n        </div>);\n    }\n}\nReactDOM.render(<Demo />, mountNode);\n","css":".custom-step-option {\n    margin-bottom: 20px;\n}\n\n"},"body":"\n````jsx\nimport { Timeline, Select } from '@alifd/next';\n\nconst TimelineItem = Timeline.Item;\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            timelineAnimation: true\n        };\n    }\n\n    onTimelineAnimation = (value) => {\n        this.setState({ timelineAnimation: value });\n    }\n\n    render() {\n        return (<div>\n            <div className=\"custom-step-option\">\n                <Select placeholder=\"Whether to start animation\" onChange={this.onTimelineAnimation} className=\"custom-select\" defaultValue>\n                    {\n                        [true, false].map((item, index) => <Select.Option value={item} key={index}>{item ? 'Animation on' : 'Animation off'}</Select.Option>)\n                    }\n                </Select>\n            </div>\n            <Timeline animation={this.state.timelineAnimation} fold={[{ foldArea: [1, 2], foldShow: false }, { foldArea: [5], foldShow: false }]}>\n                <TimelineItem title=\"Sign\" content=\"[Hangzhou] has received the sign, the signer is Alibaba Post Office, thank you for using STO, looking forward to serving you again\" time={'2016-06-10 10:30:00'} state=\"process\" />\n                <TimelineItem title=\"Delivery\" content=\"[Hangzhou]Express has reached Hangzhou Hangzhou Binjiang Company\" time={'2016-06-10 09:30:00'} />\n                <TimelineItem title=\"Delivery\" content=\"[Hangzhou] Zhejiang Hangzhou Binjiang Company dispatches members for you\" time={'2016-06-10 09:03:00'} />\n                <TimelineItem title=\"Transport\" content=\"[Hangzhou] Zhejiang Hangzhou Transshipment Center has been issued\" time={'2016-06-10 06:10:00'} />\n                <TimelineItem title=\"Transport\" content=\"[Dongguan City] Guangdong Dongguan Transshipment Center has been issued\" time={'2016-06-09 18:00:00'} />\n                <TimelineItem title=\"Processing\" content=\"[Dongguan City] Shentong Express Guangdong Fenggang Branch of Guangdong Province\" time={'2016-06-09 16:12:00'} />\n                <TimelineItem title=\"Processing\" content=\"[Dongguan City] The merchant is informing the express company to insert\" time={'2016-06-09 14:00:00'} />\n                <TimelineItem title=\"Processing\" content=\"[Dongguan City] Your order to be picked\" time={'2016-06-09 10:12:19'} />\n                <TimelineItem title=\"Processing\" content=\"[Dongguan] Your order starts processing\" time={'2016-06-09 10:01:09'} />\n            </Timeline>\n        </div>);\n    }\n}\nReactDOM.render(<Demo />, mountNode);\n````\n\n````css\n.custom-step-option {\n    margin-bottom: 20px;\n}\n\n````","html":"<script>(function(){\"use strict\";\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require(\"@alifd/next\");\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar TimelineItem = _next.Timeline.Item;\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.onTimelineAnimation = function (value) {\n            _this.setState({ timelineAnimation: value });\n        };\n\n        _this.state = {\n            timelineAnimation: true\n        };\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: \"render\",\n        value: function render() {\n            return React.createElement(\n                \"div\",\n                null,\n                React.createElement(\n                    \"div\",\n                    { className: \"custom-step-option\" },\n                    React.createElement(\n                        _next.Select,\n                        { placeholder: \"Whether to start animation\", onChange: this.onTimelineAnimation, className: \"custom-select\", defaultValue: true },\n                        [true, false].map(function (item, index) {\n                            return React.createElement(\n                                _next.Select.Option,\n                                { value: item, key: index },\n                                item ? 'Animation on' : 'Animation off'\n                            );\n                        })\n                    )\n                ),\n                React.createElement(\n                    _next.Timeline,\n                    { animation: this.state.timelineAnimation, fold: [{ foldArea: [1, 2], foldShow: false }, { foldArea: [5], foldShow: false }] },\n                    React.createElement(TimelineItem, { title: \"Sign\", content: \"[Hangzhou] has received the sign, the signer is Alibaba Post Office, thank you for using STO, looking forward to serving you again\", time: '2016-06-10 10:30:00', state: \"process\" }),\n                    React.createElement(TimelineItem, { title: \"Delivery\", content: \"[Hangzhou]Express has reached Hangzhou Hangzhou Binjiang Company\", time: '2016-06-10 09:30:00' }),\n                    React.createElement(TimelineItem, { title: \"Delivery\", content: \"[Hangzhou] Zhejiang Hangzhou Binjiang Company dispatches members for you\", time: '2016-06-10 09:03:00' }),\n                    React.createElement(TimelineItem, { title: \"Transport\", content: \"[Hangzhou] Zhejiang Hangzhou Transshipment Center has been issued\", time: '2016-06-10 06:10:00' }),\n                    React.createElement(TimelineItem, { title: \"Transport\", content: \"[Dongguan City] Guangdong Dongguan Transshipment Center has been issued\", time: '2016-06-09 18:00:00' }),\n                    React.createElement(TimelineItem, { title: \"Processing\", content: \"[Dongguan City] Shentong Express Guangdong Fenggang Branch of Guangdong Province\", time: '2016-06-09 16:12:00' }),\n                    React.createElement(TimelineItem, { title: \"Processing\", content: \"[Dongguan City] The merchant is informing the express company to insert\", time: '2016-06-09 14:00:00' }),\n                    React.createElement(TimelineItem, { title: \"Processing\", content: \"[Dongguan City] Your order to be picked\", time: '2016-06-09 10:12:19' }),\n                    React.createElement(TimelineItem, { title: \"Processing\", content: \"[Dongguan] Your order starts processing\", time: '2016-06-09 10:01:09' })\n                )\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Timeline<span class=\"token punctuation\">,</span> Select <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> TimelineItem <span class=\"token operator\">=</span> Timeline<span class=\"token punctuation\">.</span>Item<span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            timelineAnimation<span class=\"token operator\">:</span> <span class=\"token boolean\">true</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function-variable function\">onTimelineAnimation</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span> timelineAnimation<span class=\"token operator\">:</span> value <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>custom-step-option<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select</span></span> <span class=\"token attr-name\">placeholder</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Whether to start animation<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onTimelineAnimation<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>custom-select<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">defaultValue</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token punctuation\">{</span>\n                        <span class=\"token punctuation\">[</span><span class=\"token boolean\">true</span><span class=\"token punctuation\">,</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item<span class=\"token punctuation\">,</span> index</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Select.Option</span></span> <span class=\"token attr-name\">value</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>item<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">key</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>index<span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">{</span>item <span class=\"token operator\">?</span> <span class=\"token string\">'Animation on'</span> <span class=\"token operator\">:</span> <span class=\"token string\">'Animation off'</span><span class=\"token punctuation\">}</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Select.Option</span></span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Select</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Timeline</span></span> <span class=\"token attr-name\">animation</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>timelineAnimation<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">fold</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span> foldArea<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token number\">1</span><span class=\"token punctuation\">,</span> <span class=\"token number\">2</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span> foldShow<span class=\"token operator\">:</span> <span class=\"token boolean\">false</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span> foldArea<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token number\">5</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span> foldShow<span class=\"token operator\">:</span> <span class=\"token boolean\">false</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimelineItem</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Sign<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">content</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>[Hangzhou] has received the sign, the signer is Alibaba Post Office, thank you for using STO, looking forward to serving you again<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">time</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'2016-06-10 10:30:00'</span><span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">state</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>process<span class=\"token punctuation\">\"</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimelineItem</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Delivery<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">content</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>[Hangzhou]Express has reached Hangzhou Hangzhou Binjiang Company<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">time</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'2016-06-10 09:30:00'</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimelineItem</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Delivery<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">content</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>[Hangzhou] Zhejiang Hangzhou Binjiang Company dispatches members for you<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">time</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'2016-06-10 09:03:00'</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimelineItem</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Transport<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">content</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>[Hangzhou] Zhejiang Hangzhou Transshipment Center has been issued<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">time</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'2016-06-10 06:10:00'</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimelineItem</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Transport<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">content</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>[Dongguan City] Guangdong Dongguan Transshipment Center has been issued<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">time</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'2016-06-09 18:00:00'</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimelineItem</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Processing<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">content</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>[Dongguan City] Shentong Express Guangdong Fenggang Branch of Guangdong Province<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">time</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'2016-06-09 16:12:00'</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimelineItem</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Processing<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">content</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>[Dongguan City] The merchant is informing the express company to insert<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">time</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'2016-06-09 14:00:00'</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimelineItem</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Processing<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">content</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>[Dongguan City] Your order to be picked<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">time</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'2016-06-09 10:12:19'</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TimelineItem</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Processing<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">content</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>[Dongguan] Your order starts processing<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">time</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token string\">'2016-06-09 10:01:09'</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Timeline</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.custom-step-option {\n    margin-bottom: 20px;\n}\n</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.custom-step-option</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">margin-bottom</span><span class=\"token punctuation\">:</span> 20px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n</code></pre></div>"}