{"title":"Table Transfer","meta":{"title":"Table Transfer","description":"\n<p>Customize render list with Table component.</p>\n","order":"7"},"codes":{"jsx":"import { Transfer, Table } from '@alifd/next';\n\n// 生成 transfer 数据源\nconst generateTransferDataSource = (i, j) => {\n  const result = [];\n  for (let a = i; a < j; a++) {\n    result.push({\n      label: `Quotation Nano ${3 + i}`,\n      value: `${100306660940 + a}`,\n    });\n  }\n  return result;\n};\n\nconst TransferDataSource = generateTransferDataSource(0, 3);\n\n// datasource 转换\nconst transferToTable = dataSource => {\n  const newTableDataSource = dataSource.map(v => ({\n    label: v.label,\n    id: v.value,\n  }));\n\n  return newTableDataSource;\n};\n\nconst TableDataSource = transferToTable(TransferDataSource);\n\nconst render = (value, index, record) => {\n  return <a href=\"javascript:;\">Remove({record.id})</a>;\n};\n\nclass Demo extends React.Component {\n  state = {\n    selectedValue: [],\n    leftTableDataSource: TableDataSource,\n    rightTableDataSource: [],\n    rselectedRowKeys: [],\n    lselectedRowKeys: [],\n  };\n\n  handleChange = (value, data, extra) => {\n    console.log('handleChange', value, data, extra);\n    this.setState({\n      leftTableDataSource: transferToTable(extra.leftData),\n      rightTableDataSource: transferToTable(data),\n      rselectedRowKeys: [],\n      lselectedRowKeys: [],\n    });\n  };\n\n  render() {\n    const {\n      selectedValue,\n      leftTableDataSource,\n      rightTableDataSource,\n      rselectedRowKeys,\n      lselectedRowKeys,\n    } = this.state;\n    return (\n      <Transfer\n        dataSource={TransferDataSource}\n        titles={['Source', 'Target']}\n        onChange={this.handleChange}\n        showCheckAll={false}\n        className=\"table-transfer-demo\"\n      >\n        {({ position, onChange, value, dataSource }) => {\n          // console.log(position, onChange, value, dataSource);\n          if (position === 'left') {\n            return (\n              <Table\n                dataSource={leftTableDataSource}\n                rowSelection={{\n                  onChange: (selectedRowKeys, records) => {\n                    console.log(selectedRowKeys, records);\n                    this.setState({\n                      lselectedRowKeys: selectedRowKeys,\n                    }, () => {\n                      onChange(position, selectedRowKeys);\n                    });\n                  },\n                  selectedRowKeys: lselectedRowKeys,\n                }}\n              >\n                <Table.Column title=\"Label\" dataIndex=\"label\" width={150} />\n                <Table.Column title=\"Id\" dataIndex=\"id\" width={150} />\n                <Table.Column cell={render} width={200} />\n              </Table>\n            );\n          } else {\n            return (\n              <Table\n                dataSource={rightTableDataSource}\n                rowSelection={{\n                  onChange: (selectedRowKeys, records) => {\n                    console.log(selectedRowKeys, records);\n                    this.setState({\n                      rselectedRowKeys: selectedRowKeys,\n                    }, () => {\n                      onChange(position, selectedRowKeys);\n                    });\n                  },\n                  selectedRowKeys: rselectedRowKeys,\n                }}\n              >\n                <Table.Column title=\"Label\" dataIndex=\"label\" width={150} />\n              </Table>\n            );\n          }\n        }}\n      </Transfer>\n    );\n  }\n}\n\nReactDOM.render(<Demo />, mountNode);\n","css":".table-transfer-demo.next-transfer .next-transfer-panel-list{\n  width: auto;\n}\n"},"body":"\n````jsx\nimport { Transfer, Table } from '@alifd/next';\n\n// 生成 transfer 数据源\nconst generateTransferDataSource = (i, j) => {\n  const result = [];\n  for (let a = i; a < j; a++) {\n    result.push({\n      label: `Quotation Nano ${3 + i}`,\n      value: `${100306660940 + a}`,\n    });\n  }\n  return result;\n};\n\nconst TransferDataSource = generateTransferDataSource(0, 3);\n\n// datasource 转换\nconst transferToTable = dataSource => {\n  const newTableDataSource = dataSource.map(v => ({\n    label: v.label,\n    id: v.value,\n  }));\n\n  return newTableDataSource;\n};\n\nconst TableDataSource = transferToTable(TransferDataSource);\n\nconst render = (value, index, record) => {\n  return <a href=\"javascript:;\">Remove({record.id})</a>;\n};\n\nclass Demo extends React.Component {\n  state = {\n    selectedValue: [],\n    leftTableDataSource: TableDataSource,\n    rightTableDataSource: [],\n    rselectedRowKeys: [],\n    lselectedRowKeys: [],\n  };\n\n  handleChange = (value, data, extra) => {\n    console.log('handleChange', value, data, extra);\n    this.setState({\n      leftTableDataSource: transferToTable(extra.leftData),\n      rightTableDataSource: transferToTable(data),\n      rselectedRowKeys: [],\n      lselectedRowKeys: [],\n    });\n  };\n\n  render() {\n    const {\n      selectedValue,\n      leftTableDataSource,\n      rightTableDataSource,\n      rselectedRowKeys,\n      lselectedRowKeys,\n    } = this.state;\n    return (\n      <Transfer\n        dataSource={TransferDataSource}\n        titles={['Source', 'Target']}\n        onChange={this.handleChange}\n        showCheckAll={false}\n        className=\"table-transfer-demo\"\n      >\n        {({ position, onChange, value, dataSource }) => {\n          // console.log(position, onChange, value, dataSource);\n          if (position === 'left') {\n            return (\n              <Table\n                dataSource={leftTableDataSource}\n                rowSelection={{\n                  onChange: (selectedRowKeys, records) => {\n                    console.log(selectedRowKeys, records);\n                    this.setState({\n                      lselectedRowKeys: selectedRowKeys,\n                    }, () => {\n                      onChange(position, selectedRowKeys);\n                    });\n                  },\n                  selectedRowKeys: lselectedRowKeys,\n                }}\n              >\n                <Table.Column title=\"Label\" dataIndex=\"label\" width={150} />\n                <Table.Column title=\"Id\" dataIndex=\"id\" width={150} />\n                <Table.Column cell={render} width={200} />\n              </Table>\n            );\n          } else {\n            return (\n              <Table\n                dataSource={rightTableDataSource}\n                rowSelection={{\n                  onChange: (selectedRowKeys, records) => {\n                    console.log(selectedRowKeys, records);\n                    this.setState({\n                      rselectedRowKeys: selectedRowKeys,\n                    }, () => {\n                      onChange(position, selectedRowKeys);\n                    });\n                  },\n                  selectedRowKeys: rselectedRowKeys,\n                }}\n              >\n                <Table.Column title=\"Label\" dataIndex=\"label\" width={150} />\n              </Table>\n            );\n          }\n        }}\n      </Transfer>\n    );\n  }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````\n\n````css\n.table-transfer-demo.next-transfer .next-transfer-panel-list{\n  width: auto;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\n// 生成 transfer 数据源\nvar generateTransferDataSource = function generateTransferDataSource(i, j) {\n  var result = [];\n  for (var a = i; a < j; a++) {\n    result.push({\n      label: 'Quotation Nano ' + (3 + i),\n      value: '' + (100306660940 + a)\n    });\n  }\n  return result;\n};\n\nvar TransferDataSource = generateTransferDataSource(0, 3);\n\n// datasource 转换\nvar transferToTable = function transferToTable(dataSource) {\n  var newTableDataSource = dataSource.map(function (v) {\n    return {\n      label: v.label,\n      id: v.value\n    };\n  });\n\n  return newTableDataSource;\n};\n\nvar TableDataSource = transferToTable(TransferDataSource);\n\nvar _render = function _render(value, index, record) {\n  return React.createElement(\n    'a',\n    { href: 'javascript:;' },\n    'Remove(',\n    record.id,\n    ')'\n  );\n};\n\nvar Demo = function (_React$Component) {\n  _inherits(Demo, _React$Component);\n\n  function Demo() {\n    var _ref;\n\n    var _temp, _this, _ret;\n\n    _classCallCheck(this, Demo);\n\n    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n      args[_key] = arguments[_key];\n    }\n\n    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Demo.__proto__ || Object.getPrototypeOf(Demo)).call.apply(_ref, [this].concat(args))), _this), _this.state = {\n      selectedValue: [],\n      leftTableDataSource: TableDataSource,\n      rightTableDataSource: [],\n      rselectedRowKeys: [],\n      lselectedRowKeys: []\n    }, _this.handleChange = function (value, data, extra) {\n      console.log('handleChange', value, data, extra);\n      _this.setState({\n        leftTableDataSource: transferToTable(extra.leftData),\n        rightTableDataSource: transferToTable(data),\n        rselectedRowKeys: [],\n        lselectedRowKeys: []\n      });\n    }, _temp), _possibleConstructorReturn(_this, _ret);\n  }\n\n  _createClass(Demo, [{\n    key: 'render',\n    value: function render() {\n      var _this2 = this;\n\n      var _state = this.state,\n          selectedValue = _state.selectedValue,\n          leftTableDataSource = _state.leftTableDataSource,\n          rightTableDataSource = _state.rightTableDataSource,\n          rselectedRowKeys = _state.rselectedRowKeys,\n          lselectedRowKeys = _state.lselectedRowKeys;\n\n      return React.createElement(\n        _next.Transfer,\n        {\n          dataSource: TransferDataSource,\n          titles: ['Source', 'Target'],\n          onChange: this.handleChange,\n          showCheckAll: false,\n          className: 'table-transfer-demo'\n        },\n        function (_ref2) {\n          var position = _ref2.position,\n              _onChange = _ref2.onChange,\n              value = _ref2.value,\n              dataSource = _ref2.dataSource;\n\n          // console.log(position, onChange, value, dataSource);\n          if (position === 'left') {\n            return React.createElement(\n              _next.Table,\n              {\n                dataSource: leftTableDataSource,\n                rowSelection: {\n                  onChange: function onChange(selectedRowKeys, records) {\n                    console.log(selectedRowKeys, records);\n                    _this2.setState({\n                      lselectedRowKeys: selectedRowKeys\n                    }, function () {\n                      _onChange(position, selectedRowKeys);\n                    });\n                  },\n                  selectedRowKeys: lselectedRowKeys\n                }\n              },\n              React.createElement(_next.Table.Column, { title: 'Label', dataIndex: 'label', width: 150 }),\n              React.createElement(_next.Table.Column, { title: 'Id', dataIndex: 'id', width: 150 }),\n              React.createElement(_next.Table.Column, { cell: _render, width: 200 })\n            );\n          } else {\n            return React.createElement(\n              _next.Table,\n              {\n                dataSource: rightTableDataSource,\n                rowSelection: {\n                  onChange: function onChange(selectedRowKeys, records) {\n                    console.log(selectedRowKeys, records);\n                    _this2.setState({\n                      rselectedRowKeys: selectedRowKeys\n                    }, function () {\n                      _onChange(position, selectedRowKeys);\n                    });\n                  },\n                  selectedRowKeys: rselectedRowKeys\n                }\n              },\n              React.createElement(_next.Table.Column, { title: 'Label', dataIndex: 'label', width: 150 })\n            );\n          }\n        }\n      );\n    }\n  }]);\n\n  return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Transfer<span class=\"token punctuation\">,</span> Table <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token comment\">// 生成 transfer 数据源</span>\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">generateTransferDataSource</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">i<span class=\"token punctuation\">,</span> j</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n  <span class=\"token keyword\">const</span> result <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n  <span class=\"token keyword\">for</span> <span class=\"token punctuation\">(</span><span class=\"token keyword\">let</span> a <span class=\"token operator\">=</span> i<span class=\"token punctuation\">;</span> a <span class=\"token operator\">&lt;</span> j<span class=\"token punctuation\">;</span> a<span class=\"token operator\">++</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    result<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n      label<span class=\"token operator\">:</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token string\">Quotation Nano </span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span><span class=\"token number\">3</span> <span class=\"token operator\">+</span> i<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">,</span>\n      value<span class=\"token operator\">:</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span><span class=\"token number\">100306660940</span> <span class=\"token operator\">+</span> a<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n  <span class=\"token punctuation\">}</span>\n  <span class=\"token keyword\">return</span> result<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> TransferDataSource <span class=\"token operator\">=</span> <span class=\"token function\">generateTransferDataSource</span><span class=\"token punctuation\">(</span><span class=\"token number\">0</span><span class=\"token punctuation\">,</span> <span class=\"token number\">3</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token comment\">// datasource 转换</span>\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">transferToTable</span> <span class=\"token operator\">=</span> <span class=\"token parameter\">dataSource</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n  <span class=\"token keyword\">const</span> newTableDataSource <span class=\"token operator\">=</span> dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">v</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n    label<span class=\"token operator\">:</span> v<span class=\"token punctuation\">.</span>label<span class=\"token punctuation\">,</span>\n    id<span class=\"token operator\">:</span> v<span class=\"token punctuation\">.</span>value<span class=\"token punctuation\">,</span>\n  <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n  <span class=\"token keyword\">return</span> newTableDataSource<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> TableDataSource <span class=\"token operator\">=</span> <span class=\"token function\">transferToTable</span><span class=\"token punctuation\">(</span>TransferDataSource<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> <span class=\"token function-variable function\">render</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value<span class=\"token punctuation\">,</span> index<span class=\"token punctuation\">,</span> record</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n  <span class=\"token keyword\">return</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>a</span> <span class=\"token attr-name\">href</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>javascript:;<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Remove(</span><span class=\"token punctuation\">{</span>record<span class=\"token punctuation\">.</span>id<span class=\"token punctuation\">}</span><span class=\"token plain-text\">)</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>a</span><span class=\"token punctuation\">></span></span><span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n  state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n    selectedValue<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n    leftTableDataSource<span class=\"token operator\">:</span> TableDataSource<span class=\"token punctuation\">,</span>\n    rightTableDataSource<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n    rselectedRowKeys<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n    lselectedRowKeys<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n  <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n  <span class=\"token function-variable function\">handleChange</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value<span class=\"token punctuation\">,</span> data<span class=\"token punctuation\">,</span> extra</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n    console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'handleChange'</span><span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">,</span> data<span class=\"token punctuation\">,</span> extra<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n      leftTableDataSource<span class=\"token operator\">:</span> <span class=\"token function\">transferToTable</span><span class=\"token punctuation\">(</span>extra<span class=\"token punctuation\">.</span>leftData<span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span>\n      rightTableDataSource<span class=\"token operator\">:</span> <span class=\"token function\">transferToTable</span><span class=\"token punctuation\">(</span>data<span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span>\n      rselectedRowKeys<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n      lselectedRowKeys<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n  <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n  <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span>\n      selectedValue<span class=\"token punctuation\">,</span>\n      leftTableDataSource<span class=\"token punctuation\">,</span>\n      rightTableDataSource<span class=\"token punctuation\">,</span>\n      rselectedRowKeys<span class=\"token punctuation\">,</span>\n      lselectedRowKeys<span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n    <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n      <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Transfer</span></span>\n        <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>TransferDataSource<span class=\"token punctuation\">}</span></span>\n        <span class=\"token attr-name\">titles</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token string\">'Source'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'Target'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span>\n        <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleChange<span class=\"token punctuation\">}</span></span>\n        <span class=\"token attr-name\">showCheckAll</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token boolean\">false</span><span class=\"token punctuation\">}</span></span>\n        <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>table-transfer-demo<span class=\"token punctuation\">\"</span></span>\n      <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n        </span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">(</span><span class=\"token parameter\"><span class=\"token punctuation\">{</span> position<span class=\"token punctuation\">,</span> onChange<span class=\"token punctuation\">,</span> value<span class=\"token punctuation\">,</span> dataSource <span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n          <span class=\"token comment\">// console.log(position, onChange, value, dataSource);</span>\n          <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>position <span class=\"token operator\">===</span> <span class=\"token string\">'left'</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n              <span class=\"token operator\">&lt;</span>Table\n                dataSource<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span>leftTableDataSource<span class=\"token punctuation\">}</span>\n                rowSelection<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>\n                  <span class=\"token function-variable function\">onChange</span><span class=\"token operator\">:</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">selectedRowKeys<span class=\"token punctuation\">,</span> records</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                    console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>selectedRowKeys<span class=\"token punctuation\">,</span> records<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                      lselectedRowKeys<span class=\"token operator\">:</span> selectedRowKeys<span class=\"token punctuation\">,</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                      <span class=\"token function\">onChange</span><span class=\"token punctuation\">(</span>position<span class=\"token punctuation\">,</span> selectedRowKeys<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                  <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n                  selectedRowKeys<span class=\"token operator\">:</span> lselectedRowKeys<span class=\"token punctuation\">,</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span>\n              <span class=\"token operator\">></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Label<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>label<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">width</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">150</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Id<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>id<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">width</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">150</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">cell</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>render<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">width</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">200</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span>\n              <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Table</span></span><span class=\"token punctuation\">></span></span>\n            <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n          <span class=\"token punctuation\">}</span> <span class=\"token keyword\">else</span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n              <span class=\"token operator\">&lt;</span>Table\n                dataSource<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span>rightTableDataSource<span class=\"token punctuation\">}</span>\n                rowSelection<span class=\"token operator\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>\n                  <span class=\"token function-variable function\">onChange</span><span class=\"token operator\">:</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">selectedRowKeys<span class=\"token punctuation\">,</span> records</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                    console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>selectedRowKeys<span class=\"token punctuation\">,</span> records<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                      rselectedRowKeys<span class=\"token operator\">:</span> selectedRowKeys<span class=\"token punctuation\">,</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                      <span class=\"token function\">onChange</span><span class=\"token punctuation\">(</span>position<span class=\"token punctuation\">,</span> selectedRowKeys<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n                  <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n                  selectedRowKeys<span class=\"token operator\">:</span> rselectedRowKeys<span class=\"token punctuation\">,</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span>\n              <span class=\"token operator\">></span>\n                <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Table.Column</span></span> <span class=\"token attr-name\">title</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>Label<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">dataIndex</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>label<span class=\"token punctuation\">\"</span></span> <span class=\"token attr-name\">width</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token number\">150</span><span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span>\n              <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Table</span></span><span class=\"token punctuation\">></span></span>\n            <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n          <span class=\"token punctuation\">}</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span><span class=\"token plain-text\">\n      </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Transfer</span></span><span class=\"token punctuation\">></span></span>\n    <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n  <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.table-transfer-demo.next-transfer .next-transfer-panel-list{\n  width: auto;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.table-transfer-demo.next-transfer .next-transfer-panel-list</span><span class=\"token punctuation\">{</span>\n  <span class=\"token property\">width</span><span class=\"token punctuation\">:</span> auto<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}