{"meta":"<h2 id=\"guide\">Guide<a href=\"#guide\" class=\"anchor\">#</a></h2><h3 id=\"when-to-use\">When To Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>Move the items in two panels in an intuitive way to select.</p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"transfer\">Transfer<a href=\"#transfer\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>mode</td>\n<td>move mode<br><br><strong>options</strong>:<br>&apos;normal&apos;, &apos;simple&apos;</td>\n<td>Enum</td>\n<td>&apos;normal&apos;</td>\n</tr>\n<tr>\n<td>dataSource</td>\n<td>data source</td>\n<td>Array&lt;Object&gt;</td>\n<td>[]</td>\n</tr>\n<tr>\n<td>value</td>\n<td>(under controll) current value</td>\n<td>Array&lt;String&gt;</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>(under uncontroll) default value</td>\n<td>Array&lt;String&gt;</td>\n<td>[]</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>callback function triggered when value change<br><br><strong>signatures</strong>:<br>Function(value: Array, data: Array, extra: Object) =&gt; void<br><strong>params</strong>:<br><em>value</em>: {Array} value of right panel<br><em>data</em>: {Array} data of right panel<br><em>extra</em>: {Object} extra parmas<br><em>extra.leftValue</em>: {Array} value of left panel<br><em>extra.leftData</em>: {Array} data of left panel<br><em>extra.movedValue</em>: {Array} moved value<br><em>extra.movedData</em>: {Object} moved data<br><em>extra.direction</em>: {String} move direction, &apos;left&apos; or &apos;right&apos;</td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>itemRender</td>\n<td>item render function<br><br><strong>signatures</strong>:<br>Function(data: Object) =&gt; ReactNode<br><strong>params</strong>:<br><em>data</em>: {Object} data<br><strong>returns</strong>:<br>{ReactNode} content of item<br></td>\n<td>Function</td>\n<td>data =&gt; data.label</td>\n</tr>\n<tr>\n<td>showSearch</td>\n<td>whether to show the search box</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>filter</td>\n<td>custom search function<br><br><strong>signatures</strong>:<br>Function(searchedValue: String, data: Object) =&gt; Boolean<br><strong>params</strong>:<br><em>searchedValue</em>: {String} search keyword<br><em>data</em>: {Object} data<br><strong>returns</strong>:<br>{Boolean} whether is matched<br></td>\n<td>Function</td>\n<td>filter by label</td>\n</tr>\n<tr>\n<td>onSearch</td>\n<td>callback function triggered when search<br><br><strong>signatures</strong>:<br>Function(searchedValue: String, position: String) =&gt; void<br><strong>params</strong>:<br><em>searchedValue</em>: {String} search keyword<br><em>position</em>: {String} position of the search box</td>\n<td>Function</td>\n<td>() =&gt; {}</td>\n</tr>\n<tr>\n<td>searchPlaceholder</td>\n<td>placeholder of the search box</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>notFoundContent</td>\n<td>content when list is empty</td>\n<td>ReactNode</td>\n<td>&apos;Not Found&apos;</td>\n</tr>\n<tr>\n<td>titles</td>\n<td>titles of left and right panel</td>\n<td>Array&lt;ReactNode&gt;</td>\n<td>[]</td>\n</tr>\n<tr>\n<td>operations</td>\n<td>text of move buttons</td>\n<td>Array&lt;ReactNode&gt;</td>\n<td>[&lt;Icon type=&quot;arrow-right&quot; /&gt;, &lt;Icon type=&quot;arrow-left&quot; /&gt;]</td>\n</tr>\n<tr>\n<td>defaultLeftChecked</td>\n<td>default checked value of left panel</td>\n<td>Array&lt;String&gt;</td>\n<td>[]</td>\n</tr>\n<tr>\n<td>defaultRightChecked</td>\n<td>default checked value of right panel</td>\n<td>Array&lt;String&gt;</td>\n<td>[]</td>\n</tr>\n<tr>\n<td>listClassName</td>\n<td>custom list class name</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>listStyle</td>\n<td>custom list style</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>sortable</td>\n<td>whether to allow drag and drop sort</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>onSort</td>\n<td>callback function triggered when dragging sort<br><br><strong>signatures</strong>:<br>Function(value: Array, position: String) =&gt; void<br><strong>params</strong>:<br><em>value</em>: {Array} sorted value<br><em>position</em>: {String} position of the sorted panel, &apos;left&apos; or &apos;right&apos;</td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>disable operations on transfer</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>leftDisabled</td>\n<td>disable left panel</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>rightDisabled</td>\n<td>disable right panel</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>id</td>\n<td>unique id to make component accessible</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>children</td>\n<td>customer panel<br><br><strong>signatures</strong>:<br>Function(props: TransferPanelProps) =&gt; ReactNode</td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>useVirtual</td>\n<td>whether use virtual</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>showCheckAll</td>\n<td>whether show footer&apos;s check-all checkbox</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">KeyBoard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">Up Arrow</td>\n<td style=\"text-align:left\">Get the previous item focus of the current item</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Down Arrow</td>\n<td style=\"text-align:left\">Get the next item focus of the current item</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Enter</td>\n<td style=\"text-align:left\">the item selected in the current list to move to another list</td>\n</tr>\n<tr>\n<td style=\"text-align:left\">Space</td>\n<td style=\"text-align:left\">Select or cancel the current item or the item selected in the current list to move to another list</td>\n</tr>\n</tbody>\n</table>\n"}