{"title":"Search usage","meta":{"title":"Search usage","description":"\n<p>Demo the search pro usage.</p>\n","order":"5"},"codes":{"jsx":"import { TreeSelect } from '@alifd/next';\n\nconst defaultTreeData = [\n  {\n    label: '浙江',\n    value: '浙江',\n    children: [\n      {\n        label: '绍兴',\n        value: '绍兴',\n      },\n    ],\n  },\n];\n\nclass Demo extends React.Component {\n  constructor(props) {\n    super(props);\n\n    this.state = {\n      value: ['浙江'],\n      treeData: defaultTreeData,\n    };\n\n    this.handleSearch = this.handleSearch.bind(this);\n  }\n\n  handleSearch(searchVal, data) {\n    clearTimeout(this.timeId);\n\n    if (searchVal) {\n     this.timeId =  setTimeout(() => {\n        this.setState({\n          treeData: [\n            {\n              label: searchVal,\n              value: searchVal,\n            },\n          ],\n        });\n      }, 500);\n    } else {\n      this.setState({\n        treeData: defaultTreeData,\n      });\n    }\n  }\n\n  render() {\n    return (\n      <TreeSelect\n        treeDefaultExpandAll\n        showSearch\n        onSearch={this.handleSearch}\n        dataSource={this.state.treeData}\n        style={{ width: 200 }}\n      />\n    );\n  }\n}\n\nReactDOM.render(<Demo />, mountNode);\n"},"body":"\n````jsx\nimport { TreeSelect } from '@alifd/next';\n\nconst defaultTreeData = [\n  {\n    label: '浙江',\n    value: '浙江',\n    children: [\n      {\n        label: '绍兴',\n        value: '绍兴',\n      },\n    ],\n  },\n];\n\nclass Demo extends React.Component {\n  constructor(props) {\n    super(props);\n\n    this.state = {\n      value: ['浙江'],\n      treeData: defaultTreeData,\n    };\n\n    this.handleSearch = this.handleSearch.bind(this);\n  }\n\n  handleSearch(searchVal, data) {\n    clearTimeout(this.timeId);\n\n    if (searchVal) {\n     this.timeId =  setTimeout(() => {\n        this.setState({\n          treeData: [\n            {\n              label: searchVal,\n              value: searchVal,\n            },\n          ],\n        });\n      }, 500);\n    } else {\n      this.setState({\n        treeData: defaultTreeData,\n      });\n    }\n  }\n\n  render() {\n    return (\n      <TreeSelect\n        treeDefaultExpandAll\n        showSearch\n        onSearch={this.handleSearch}\n        dataSource={this.state.treeData}\n        style={{ width: 200 }}\n      />\n    );\n  }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar defaultTreeData = [{\n  label: '浙江',\n  value: '浙江',\n  children: [{\n    label: '绍兴',\n    value: '绍兴'\n  }]\n}];\n\nvar Demo = function (_React$Component) {\n  _inherits(Demo, _React$Component);\n\n  function Demo(props) {\n    _classCallCheck(this, Demo);\n\n    var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n    _this.state = {\n      value: ['浙江'],\n      treeData: defaultTreeData\n    };\n\n    _this.handleSearch = _this.handleSearch.bind(_this);\n    return _this;\n  }\n\n  _createClass(Demo, [{\n    key: 'handleSearch',\n    value: function handleSearch(searchVal, data) {\n      var _this2 = this;\n\n      clearTimeout(this.timeId);\n\n      if (searchVal) {\n        this.timeId = setTimeout(function () {\n          _this2.setState({\n            treeData: [{\n              label: searchVal,\n              value: searchVal\n            }]\n          });\n        }, 500);\n      } else {\n        this.setState({\n          treeData: defaultTreeData\n        });\n      }\n    }\n  }, {\n    key: 'render',\n    value: function render() {\n      return React.createElement(_next.TreeSelect, {\n        treeDefaultExpandAll: true,\n        showSearch: true,\n        onSearch: this.handleSearch,\n        dataSource: this.state.treeData,\n        style: { width: 200 }\n      });\n    }\n  }]);\n\n  return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> TreeSelect <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> defaultTreeData <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span>\n  <span class=\"token punctuation\">{</span>\n    label<span class=\"token operator\">:</span> <span class=\"token string\">'浙江'</span><span class=\"token punctuation\">,</span>\n    value<span class=\"token operator\">:</span> <span class=\"token string\">'浙江'</span><span class=\"token punctuation\">,</span>\n    children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span>\n      <span class=\"token punctuation\">{</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'绍兴'</span><span class=\"token punctuation\">,</span>\n        value<span class=\"token operator\">:</span> <span class=\"token string\">'绍兴'</span><span class=\"token punctuation\">,</span>\n      <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n  <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n<span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n  <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n      value<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token string\">'浙江'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n      treeData<span class=\"token operator\">:</span> defaultTreeData<span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSearch <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleSearch</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n  <span class=\"token punctuation\">}</span>\n\n  <span class=\"token function\">handleSearch</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">searchVal<span class=\"token punctuation\">,</span> data</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">clearTimeout</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>timeId<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token keyword\">if</span> <span class=\"token punctuation\">(</span>searchVal<span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n     <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>timeId <span class=\"token operator\">=</span>  <span class=\"token function\">setTimeout</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n          treeData<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span>\n            <span class=\"token punctuation\">{</span>\n              label<span class=\"token operator\">:</span> searchVal<span class=\"token punctuation\">,</span>\n              value<span class=\"token operator\">:</span> searchVal<span class=\"token punctuation\">,</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n          <span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n      <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token number\">500</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span> <span class=\"token keyword\">else</span> <span class=\"token punctuation\">{</span>\n      <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n        treeData<span class=\"token operator\">:</span> defaultTreeData<span class=\"token punctuation\">,</span>\n      <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n  <span class=\"token punctuation\">}</span>\n\n  <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n      <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">TreeSelect</span></span>\n        <span class=\"token attr-name\">treeDefaultExpandAll</span>\n        <span class=\"token attr-name\">showSearch</span>\n        <span class=\"token attr-name\">onSearch</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSearch<span class=\"token punctuation\">}</span></span>\n        <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>treeData<span class=\"token punctuation\">}</span></span>\n        <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> width<span class=\"token operator\">:</span> <span class=\"token number\">200</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span>\n      <span class=\"token punctuation\">/></span></span>\n    <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n  <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}