{"title":"单选与多选","meta":{"title":"单选与多选","description":"\n<p>展示单选与多选的用法。</p>\n","order":"4"},"codes":{"jsx":"import { Checkbox, Tree } from '@alifd/next';\n\nconst data = [{\n    key: '0-0',\n    label: '0-0',\n    children: [{\n        key: '0-0-0',\n        label: '0-0-0',\n        children: [{\n            key: '0-0-0-0',\n            label: '0-0-0-0',\n            children: [{\n                key: '0-0-0-0-0',\n                label: '0-0-0-0-0'\n            }]\n        }, {\n            key: '0-0-0-1',\n            label: '0-0-0-1'\n        }]\n    }, {\n        key: '0-0-1',\n        label: '0-0-1',\n        children: [{\n            key: '0-0-1-0',\n            label: '0-0-1-0'\n        }, {\n            key: '0-0-1-1',\n            label: '0-0-1-1'\n        }]\n    }]\n}];\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            selectedKeys: [],\n            multiple: false\n        };\n        this.handleSelect = this.handleSelect.bind(this);\n        this.handleCheck = this.handleCheck.bind(this);\n    }\n\n    handleSelect(keys, info) {\n        console.log(keys, info);\n\n        this.setState({\n            selectedKeys: keys\n        });\n    }\n\n    handleCheck() {\n        this.setState({\n            multiple: !this.state.multiple,\n            selectedKeys: []\n        });\n    }\n\n    render() {\n        const { multiple, selectedKeys } = this.state;\n\n        return (\n            <div className=\"control-select-demo\">\n                <label className=\"multiple-check\">\n                    <Checkbox checked={multiple} onChange={this.handleCheck} />\n                    <span className=\"multiple-text\">Enable multiple</span>\n                </label>\n                <Tree defaultExpandAll multiple={multiple} selectedKeys={selectedKeys} onSelect={this.handleSelect} dataSource={data} />\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n","css":".control-select-demo .multiple-check {\n    display: block;\n    margin-bottom: 10px;\n}\n\n.control-select-demo .multiple-text {\n    display: inline-block;\n    margin-left: 10px;\n    vertical-align: middle;\n    color: #666;\n    font-size: 14px;\n}\n"},"body":"\n\n````jsx\nimport { Checkbox, Tree } from '@alifd/next';\n\nconst data = [{\n    key: '0-0',\n    label: '0-0',\n    children: [{\n        key: '0-0-0',\n        label: '0-0-0',\n        children: [{\n            key: '0-0-0-0',\n            label: '0-0-0-0',\n            children: [{\n                key: '0-0-0-0-0',\n                label: '0-0-0-0-0'\n            }]\n        }, {\n            key: '0-0-0-1',\n            label: '0-0-0-1'\n        }]\n    }, {\n        key: '0-0-1',\n        label: '0-0-1',\n        children: [{\n            key: '0-0-1-0',\n            label: '0-0-1-0'\n        }, {\n            key: '0-0-1-1',\n            label: '0-0-1-1'\n        }]\n    }]\n}];\n\nclass Demo extends React.Component {\n    constructor(props) {\n        super(props);\n\n        this.state = {\n            selectedKeys: [],\n            multiple: false\n        };\n        this.handleSelect = this.handleSelect.bind(this);\n        this.handleCheck = this.handleCheck.bind(this);\n    }\n\n    handleSelect(keys, info) {\n        console.log(keys, info);\n\n        this.setState({\n            selectedKeys: keys\n        });\n    }\n\n    handleCheck() {\n        this.setState({\n            multiple: !this.state.multiple,\n            selectedKeys: []\n        });\n    }\n\n    render() {\n        const { multiple, selectedKeys } = this.state;\n\n        return (\n            <div className=\"control-select-demo\">\n                <label className=\"multiple-check\">\n                    <Checkbox checked={multiple} onChange={this.handleCheck} />\n                    <span className=\"multiple-text\">Enable multiple</span>\n                </label>\n                <Tree defaultExpandAll multiple={multiple} selectedKeys={selectedKeys} onSelect={this.handleSelect} dataSource={data} />\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````\n\n````css\n.control-select-demo .multiple-check {\n    display: block;\n    margin-bottom: 10px;\n}\n\n.control-select-demo .multiple-text {\n    display: inline-block;\n    margin-left: 10px;\n    vertical-align: middle;\n    color: #666;\n    font-size: 14px;\n}\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nvar data = [{\n    key: '0-0',\n    label: '0-0',\n    children: [{\n        key: '0-0-0',\n        label: '0-0-0',\n        children: [{\n            key: '0-0-0-0',\n            label: '0-0-0-0',\n            children: [{\n                key: '0-0-0-0-0',\n                label: '0-0-0-0-0'\n            }]\n        }, {\n            key: '0-0-0-1',\n            label: '0-0-0-1'\n        }]\n    }, {\n        key: '0-0-1',\n        label: '0-0-1',\n        children: [{\n            key: '0-0-1-0',\n            label: '0-0-1-0'\n        }, {\n            key: '0-0-1-1',\n            label: '0-0-1-1'\n        }]\n    }]\n}];\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo(props) {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this, props));\n\n        _this.state = {\n            selectedKeys: [],\n            multiple: false\n        };\n        _this.handleSelect = _this.handleSelect.bind(_this);\n        _this.handleCheck = _this.handleCheck.bind(_this);\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'handleSelect',\n        value: function handleSelect(keys, info) {\n            console.log(keys, info);\n\n            this.setState({\n                selectedKeys: keys\n            });\n        }\n    }, {\n        key: 'handleCheck',\n        value: function handleCheck() {\n            this.setState({\n                multiple: !this.state.multiple,\n                selectedKeys: []\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var _state = this.state,\n                multiple = _state.multiple,\n                selectedKeys = _state.selectedKeys;\n\n\n            return React.createElement(\n                'div',\n                { className: 'control-select-demo' },\n                React.createElement(\n                    'label',\n                    { className: 'multiple-check' },\n                    React.createElement(_next.Checkbox, { checked: multiple, onChange: this.handleCheck }),\n                    React.createElement(\n                        'span',\n                        { className: 'multiple-text' },\n                        'Enable multiple'\n                    )\n                ),\n                React.createElement(_next.Tree, { defaultExpandAll: true, multiple: multiple, selectedKeys: selectedKeys, onSelect: this.handleSelect, dataSource: data })\n            );\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Checkbox<span class=\"token punctuation\">,</span> Tree <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">const</span> data <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n    key<span class=\"token operator\">:</span> <span class=\"token string\">'0-0'</span><span class=\"token punctuation\">,</span>\n    label<span class=\"token operator\">:</span> <span class=\"token string\">'0-0'</span><span class=\"token punctuation\">,</span>\n    children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n        key<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-0'</span><span class=\"token punctuation\">,</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-0'</span><span class=\"token punctuation\">,</span>\n        children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n            key<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-0-0'</span><span class=\"token punctuation\">,</span>\n            label<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-0-0'</span><span class=\"token punctuation\">,</span>\n            children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n                key<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-0-0-0'</span><span class=\"token punctuation\">,</span>\n                label<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-0-0-0'</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n            key<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-0-1'</span><span class=\"token punctuation\">,</span>\n            label<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-0-1'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n        key<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-1'</span><span class=\"token punctuation\">,</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-1'</span><span class=\"token punctuation\">,</span>\n        children<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">{</span>\n            key<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-1-0'</span><span class=\"token punctuation\">,</span>\n            label<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-1-0'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span>\n            key<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-1-1'</span><span class=\"token punctuation\">,</span>\n            label<span class=\"token operator\">:</span> <span class=\"token string\">'0-0-1-1'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            selectedKeys<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n            multiple<span class=\"token operator\">:</span> <span class=\"token boolean\">false</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSelect <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleSelect</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleCheck <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">handleCheck</span><span class=\"token punctuation\">.</span><span class=\"token function\">bind</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleSelect</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">keys<span class=\"token punctuation\">,</span> info</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>keys<span class=\"token punctuation\">,</span> info<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            selectedKeys<span class=\"token operator\">:</span> keys\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">handleCheck</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            multiple<span class=\"token operator\">:</span> <span class=\"token operator\">!</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>multiple<span class=\"token punctuation\">,</span>\n            selectedKeys<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> <span class=\"token punctuation\">{</span> multiple<span class=\"token punctuation\">,</span> selectedKeys <span class=\"token punctuation\">}</span> <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>control-select-demo<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>label</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>multiple-check<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Checkbox</span></span> <span class=\"token attr-name\">checked</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>multiple<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onChange</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleCheck<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>span</span> <span class=\"token attr-name\">className</span><span class=\"token attr-value\"><span class=\"token punctuation attr-equals\">=</span><span class=\"token punctuation\">\"</span>multiple-text<span class=\"token punctuation\">\"</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Enable multiple</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>span</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>label</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tree</span></span> <span class=\"token attr-name\">defaultExpandAll</span> <span class=\"token attr-name\">multiple</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>multiple<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">selectedKeys</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>selectedKeys<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">onSelect</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>handleSelect<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>data<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div><style type=\"text/css\">.control-select-demo .multiple-check {\n    display: block;\n    margin-bottom: 10px;\n}\n\n.control-select-demo .multiple-text {\n    display: inline-block;\n    margin-left: 10px;\n    vertical-align: middle;\n    color: #666;\n    font-size: 14px;\n}</style><div class=\"highlight\"><pre class=\"language-css\"><code class=\"language-css\"><span class=\"token selector\">.control-select-demo .multiple-check</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">display</span><span class=\"token punctuation\">:</span> block<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin-bottom</span><span class=\"token punctuation\">:</span> 10px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token selector\">.control-select-demo .multiple-text</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">display</span><span class=\"token punctuation\">:</span> inline-block<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">margin-left</span><span class=\"token punctuation\">:</span> 10px<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">vertical-align</span><span class=\"token punctuation\">:</span> middle<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">color</span><span class=\"token punctuation\">:</span> #666<span class=\"token punctuation\">;</span>\n    <span class=\"token property\">font-size</span><span class=\"token punctuation\">:</span> 14px<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span></code></pre></div>"}