{"title":"Virtual Tree","meta":{"title":"Virtual Tree","description":"\n<p>Setting useVirtual property to improve performance when there are many nodes in the tree,pay attention to set height and allow to scroll.</p>\n","order":"10"},"codes":{"jsx":"import { Tree } from '@alifd/next';\n\nfunction createDataSource(level=3, count=5) {\n    const dataSource = [];\n    let num = 0;\n\n    const drill = (children, _level, _count) => {\n        children.forEach((child, i) => {\n            child.children = new Array(_count).fill(null).map((item, k) => {\n                const key = `${child.key}-${k}`;\n                num++;\n                return {\n                    key,\n                    label: key,\n                };\n            });\n            _level > 0 && drill(child.children, _level - 1, count);\n        });\n    };\n\n    dataSource.push({\n        label: '0-0',\n        key: '0-0',\n    });\n    drill(dataSource, level, count);\n    console.log('node num:', num + 1);\n    return dataSource;\n}\n\nclass Demo extends React.Component {\n    constructor() {\n        super();\n\n        this.state = {\n            dataSource: [],\n        };\n    }\n\n    onSelect(keys, info) {\n        console.log('onSelect', keys, info);\n    }\n\n    onCheck(keys, info) {\n        console.log('onCheck', keys, info);\n    }\n\n    onEditFinish(key, label, node) {\n        console.log('onEditFinish', key, label, node);\n    }\n\n    onRightClick(info) {\n        console.log('onRightClick', info);\n    }\n\n    componentDidMount() {\n        this.setState({\n            dataSource: createDataSource(),\n        });\n    }\n\n    render() {\n        const dataSource = this.state.dataSource;\n\n        return (\n            dataSource.length && <Tree checkable editable focusable showLine\n                useVirtual\n                animation\n                style={{ maxHeight: '480px', overflow: 'auto' }}\n                defaultExpandAll\n                defaultCheckedKeys={['0-0-1', '0-0-2']}\n                onSelect={this.onSelect}\n                onCheck={this.onCheck}\n                dataSource={dataSource}\n                onEditFinish={this.onEditFinish}\n                onRightClick={this.onRightClick} />\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n"},"body":"\n````jsx\nimport { Tree } from '@alifd/next';\n\nfunction createDataSource(level=3, count=5) {\n    const dataSource = [];\n    let num = 0;\n\n    const drill = (children, _level, _count) => {\n        children.forEach((child, i) => {\n            child.children = new Array(_count).fill(null).map((item, k) => {\n                const key = `${child.key}-${k}`;\n                num++;\n                return {\n                    key,\n                    label: key,\n                };\n            });\n            _level > 0 && drill(child.children, _level - 1, count);\n        });\n    };\n\n    dataSource.push({\n        label: '0-0',\n        key: '0-0',\n    });\n    drill(dataSource, level, count);\n    console.log('node num:', num + 1);\n    return dataSource;\n}\n\nclass Demo extends React.Component {\n    constructor() {\n        super();\n\n        this.state = {\n            dataSource: [],\n        };\n    }\n\n    onSelect(keys, info) {\n        console.log('onSelect', keys, info);\n    }\n\n    onCheck(keys, info) {\n        console.log('onCheck', keys, info);\n    }\n\n    onEditFinish(key, label, node) {\n        console.log('onEditFinish', key, label, node);\n    }\n\n    onRightClick(info) {\n        console.log('onRightClick', info);\n    }\n\n    componentDidMount() {\n        this.setState({\n            dataSource: createDataSource(),\n        });\n    }\n\n    render() {\n        const dataSource = this.state.dataSource;\n\n        return (\n            dataSource.length && <Tree checkable editable focusable showLine\n                useVirtual\n                animation\n                style={{ maxHeight: '480px', overflow: 'auto' }}\n                defaultExpandAll\n                defaultCheckedKeys={['0-0-1', '0-0-2']}\n                onSelect={this.onSelect}\n                onCheck={this.onCheck}\n                dataSource={dataSource}\n                onEditFinish={this.onEditFinish}\n                onRightClick={this.onRightClick} />\n        );\n    }\n}\n\nReactDOM.render(<Demo />, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\nfunction createDataSource() {\n    var level = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 3;\n    var count = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 5;\n\n    var dataSource = [];\n    var num = 0;\n\n    var drill = function drill(children, _level, _count) {\n        children.forEach(function (child, i) {\n            child.children = new Array(_count).fill(null).map(function (item, k) {\n                var key = child.key + '-' + k;\n                num++;\n                return {\n                    key: key,\n                    label: key\n                };\n            });\n            _level > 0 && drill(child.children, _level - 1, count);\n        });\n    };\n\n    dataSource.push({\n        label: '0-0',\n        key: '0-0'\n    });\n    drill(dataSource, level, count);\n    console.log('node num:', num + 1);\n    return dataSource;\n}\n\nvar Demo = function (_React$Component) {\n    _inherits(Demo, _React$Component);\n\n    function Demo() {\n        _classCallCheck(this, Demo);\n\n        var _this = _possibleConstructorReturn(this, (Demo.__proto__ || Object.getPrototypeOf(Demo)).call(this));\n\n        _this.state = {\n            dataSource: []\n        };\n        return _this;\n    }\n\n    _createClass(Demo, [{\n        key: 'onSelect',\n        value: function onSelect(keys, info) {\n            console.log('onSelect', keys, info);\n        }\n    }, {\n        key: 'onCheck',\n        value: function onCheck(keys, info) {\n            console.log('onCheck', keys, info);\n        }\n    }, {\n        key: 'onEditFinish',\n        value: function onEditFinish(key, label, node) {\n            console.log('onEditFinish', key, label, node);\n        }\n    }, {\n        key: 'onRightClick',\n        value: function onRightClick(info) {\n            console.log('onRightClick', info);\n        }\n    }, {\n        key: 'componentDidMount',\n        value: function componentDidMount() {\n            this.setState({\n                dataSource: createDataSource()\n            });\n        }\n    }, {\n        key: 'render',\n        value: function render() {\n            var dataSource = this.state.dataSource;\n\n            return dataSource.length && React.createElement(_next.Tree, { checkable: true, editable: true, focusable: true, showLine: true,\n                useVirtual: true,\n                animation: true,\n                style: { maxHeight: '480px', overflow: 'auto' },\n                defaultExpandAll: true,\n                defaultCheckedKeys: ['0-0-1', '0-0-2'],\n                onSelect: this.onSelect,\n                onCheck: this.onCheck,\n                dataSource: dataSource,\n                onEditFinish: this.onEditFinish,\n                onRightClick: this.onRightClick });\n        }\n    }]);\n\n    return Demo;\n}(React.Component);\n\nReactDOM.render(React.createElement(Demo, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Tree <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">function</span> <span class=\"token function\">createDataSource</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">level<span class=\"token operator\">=</span><span class=\"token number\">3</span><span class=\"token punctuation\">,</span> count<span class=\"token operator\">=</span><span class=\"token number\">5</span></span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">;</span>\n    <span class=\"token keyword\">let</span> num <span class=\"token operator\">=</span> <span class=\"token number\">0</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token keyword\">const</span> <span class=\"token function-variable function\">drill</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">children<span class=\"token punctuation\">,</span> _level<span class=\"token punctuation\">,</span> _count</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        children<span class=\"token punctuation\">.</span><span class=\"token function\">forEach</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">child<span class=\"token punctuation\">,</span> i</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            child<span class=\"token punctuation\">.</span>children <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Array</span><span class=\"token punctuation\">(</span>_count<span class=\"token punctuation\">)</span><span class=\"token punctuation\">.</span><span class=\"token function\">fill</span><span class=\"token punctuation\">(</span><span class=\"token keyword\">null</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">.</span><span class=\"token function\">map</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">item<span class=\"token punctuation\">,</span> k</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n                <span class=\"token keyword\">const</span> key <span class=\"token operator\">=</span> <span class=\"token template-string\"><span class=\"token template-punctuation string\">`</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>child<span class=\"token punctuation\">.</span>key<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token string\">-</span><span class=\"token interpolation\"><span class=\"token interpolation-punctuation punctuation\">${</span>k<span class=\"token interpolation-punctuation punctuation\">}</span></span><span class=\"token template-punctuation string\">`</span></span><span class=\"token punctuation\">;</span>\n                num<span class=\"token operator\">++</span><span class=\"token punctuation\">;</span>\n                <span class=\"token keyword\">return</span> <span class=\"token punctuation\">{</span>\n                    key<span class=\"token punctuation\">,</span>\n                    label<span class=\"token operator\">:</span> key<span class=\"token punctuation\">,</span>\n                <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n            _level <span class=\"token operator\">></span> <span class=\"token number\">0</span> <span class=\"token operator\">&amp;&amp;</span> <span class=\"token function\">drill</span><span class=\"token punctuation\">(</span>child<span class=\"token punctuation\">.</span>children<span class=\"token punctuation\">,</span> _level <span class=\"token operator\">-</span> <span class=\"token number\">1</span><span class=\"token punctuation\">,</span> count<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    dataSource<span class=\"token punctuation\">.</span><span class=\"token function\">push</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n        label<span class=\"token operator\">:</span> <span class=\"token string\">'0-0'</span><span class=\"token punctuation\">,</span>\n        key<span class=\"token operator\">:</span> <span class=\"token string\">'0-0'</span><span class=\"token punctuation\">,</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token function\">drill</span><span class=\"token punctuation\">(</span>dataSource<span class=\"token punctuation\">,</span> level<span class=\"token punctuation\">,</span> count<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'node num:'</span><span class=\"token punctuation\">,</span> num <span class=\"token operator\">+</span> <span class=\"token number\">1</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token keyword\">return</span> dataSource<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">Demo</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n            dataSource<span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onSelect</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">keys<span class=\"token punctuation\">,</span> info</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'onSelect'</span><span class=\"token punctuation\">,</span> keys<span class=\"token punctuation\">,</span> info<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onCheck</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">keys<span class=\"token punctuation\">,</span> info</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'onCheck'</span><span class=\"token punctuation\">,</span> keys<span class=\"token punctuation\">,</span> info<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onEditFinish</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">key<span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">,</span> node</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'onEditFinish'</span><span class=\"token punctuation\">,</span> key<span class=\"token punctuation\">,</span> label<span class=\"token punctuation\">,</span> node<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">onRightClick</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">info</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span><span class=\"token string\">'onRightClick'</span><span class=\"token punctuation\">,</span> info<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">componentDidMount</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            dataSource<span class=\"token operator\">:</span> <span class=\"token function\">createDataSource</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> dataSource <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>dataSource<span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            dataSource<span class=\"token punctuation\">.</span>length <span class=\"token operator\">&amp;&amp;</span> <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Tree</span></span> <span class=\"token attr-name\">checkable</span> <span class=\"token attr-name\">editable</span> <span class=\"token attr-name\">focusable</span> <span class=\"token attr-name\">showLine</span>\n                <span class=\"token attr-name\">useVirtual</span>\n                <span class=\"token attr-name\">animation</span>\n                <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span> maxHeight<span class=\"token operator\">:</span> <span class=\"token string\">'480px'</span><span class=\"token punctuation\">,</span> overflow<span class=\"token operator\">:</span> <span class=\"token string\">'auto'</span> <span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">defaultExpandAll</span>\n                <span class=\"token attr-name\">defaultCheckedKeys</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">[</span><span class=\"token string\">'0-0-1'</span><span class=\"token punctuation\">,</span> <span class=\"token string\">'0-0-2'</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">onSelect</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onSelect<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">onCheck</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onCheck<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">dataSource</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span>dataSource<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">onEditFinish</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onEditFinish<span class=\"token punctuation\">}</span></span>\n                <span class=\"token attr-name\">onRightClick</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onRightClick<span class=\"token punctuation\">}</span></span> <span class=\"token punctuation\">/></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Demo</span></span> <span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}