{"title":"裁剪上传","meta":{"title":"裁剪上传","description":"\n<p>通过转换 dataURL to Blob to File, 构造文件对象</p>\n","order":"10"},"codes":{"jsx":"import { Upload, Button, Dialog } from '@alifd/next';\nimport Cropper from 'react-cropper';\n\n// plan 1: [not work in IE/Edge] IE don't support File Constructor\n// function dataURL2File(dataURL, filename) { \n//     const arr = dataURL.split(','),\n//         mime = arr[0].match(/:(.*?);/)[1],\n//         bstr = atob(arr[1]),\n//         u8arr = new Uint8Array(bstr.length);\n//     let n = bstr.length;\n//     while (n--) {\n//         u8arr[n] = bstr.charCodeAt(n);\n//     }\n\n//     // base64 -> File (File Constructor not work in IE/Edge)\n//     return new File([u8arr], filename, { type: mime });\n// }\n\n// plan 2: base64 -> Blob -> File, IE9+\nfunction dataURL2Blob2File(dataURL, fileName) {\n    const arr = dataURL.split(','),\n        mime = arr[0].match(/:(.*?);/)[1],\n        bstr = atob(arr[1]),\n        u8arr = new Uint8Array(bstr.length);\n    let n = bstr.length;\n    while (n--) {\n        u8arr[n] = bstr.charCodeAt(n);\n    }\n    const blob = new Blob([u8arr], { type: mime });\n    // Blob to File\n    // set lastModifiedDate and name\n    blob.lastModifiedDate = new Date();\n    blob.name = fileName;\n    return blob;\n};\n\nclass App extends React.Component {\n    constructor(props) {\n        super(props);\n        this.uploader = new Upload.Uploader({\n            action: 'http://127.0.0.1:6001/upload.do',\n            onSuccess: this.onSuccess,\n            name: 'file'\n        });\n    }\n\n    state = {\n        src: null,\n        visible: false,\n        img: null\n    };\n\n    onSuccess = (value) => {\n        console.log(value);\n        this.setState({\n            img: value.url\n        });\n    };\n\n    onSelect = (files) => {\n        const reader = new FileReader();\n        reader.onload = () => {\n            this.setState({\n                src: reader.result,\n                visible: true\n            });\n        };\n        reader.readAsDataURL(files[0]);\n    };\n\n    onCancel = () => {\n        this.setState({\n            visible: false\n        });\n    };\n\n    onOk = () => {\n\n        const data = this.cropperRef.getCroppedCanvas().toDataURL();\n        const file = dataURL2Blob2File(data, 'test.png');\n\n        // start upload\n        this.uploader.startUpload(file);\n\n        this.setState({\n            visible: false\n        });\n    };\n\n    saveCropperrRef = (ref) => {\n        this.cropperRef = ref;\n    };\n\n    render() {\n        return (\n            <div>\n                <Upload.Selecter onSelect={this.onSelect}\n                >\n                    <Button>Select file</Button>\n                </Upload.Selecter>\n                <Dialog\n                    visible={this.state.visible}\n                    onCancel={this.onCancel}\n                    onOk={this.onOk}\n                    onClose={this.onCancel}\n                    isFullScreen>\n                    <Cropper\n                        ref={this.saveCropperrRef}\n                        src={this.state.src}\n                        style={{height: 300, width: 400}}\n                    />\n                </Dialog>\n                <div><img src={this.state.img} style={{width: 100}}/></div>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n"},"body":"\n\n````jsx\nimport { Upload, Button, Dialog } from '@alifd/next';\nimport Cropper from 'react-cropper';\n\n// plan 1: [not work in IE/Edge] IE don't support File Constructor\n// function dataURL2File(dataURL, filename) { \n//     const arr = dataURL.split(','),\n//         mime = arr[0].match(/:(.*?);/)[1],\n//         bstr = atob(arr[1]),\n//         u8arr = new Uint8Array(bstr.length);\n//     let n = bstr.length;\n//     while (n--) {\n//         u8arr[n] = bstr.charCodeAt(n);\n//     }\n\n//     // base64 -> File (File Constructor not work in IE/Edge)\n//     return new File([u8arr], filename, { type: mime });\n// }\n\n// plan 2: base64 -> Blob -> File, IE9+\nfunction dataURL2Blob2File(dataURL, fileName) {\n    const arr = dataURL.split(','),\n        mime = arr[0].match(/:(.*?);/)[1],\n        bstr = atob(arr[1]),\n        u8arr = new Uint8Array(bstr.length);\n    let n = bstr.length;\n    while (n--) {\n        u8arr[n] = bstr.charCodeAt(n);\n    }\n    const blob = new Blob([u8arr], { type: mime });\n    // Blob to File\n    // set lastModifiedDate and name\n    blob.lastModifiedDate = new Date();\n    blob.name = fileName;\n    return blob;\n};\n\nclass App extends React.Component {\n    constructor(props) {\n        super(props);\n        this.uploader = new Upload.Uploader({\n            action: 'http://127.0.0.1:6001/upload.do',\n            onSuccess: this.onSuccess,\n            name: 'file'\n        });\n    }\n\n    state = {\n        src: null,\n        visible: false,\n        img: null\n    };\n\n    onSuccess = (value) => {\n        console.log(value);\n        this.setState({\n            img: value.url\n        });\n    };\n\n    onSelect = (files) => {\n        const reader = new FileReader();\n        reader.onload = () => {\n            this.setState({\n                src: reader.result,\n                visible: true\n            });\n        };\n        reader.readAsDataURL(files[0]);\n    };\n\n    onCancel = () => {\n        this.setState({\n            visible: false\n        });\n    };\n\n    onOk = () => {\n\n        const data = this.cropperRef.getCroppedCanvas().toDataURL();\n        const file = dataURL2Blob2File(data, 'test.png');\n\n        // start upload\n        this.uploader.startUpload(file);\n\n        this.setState({\n            visible: false\n        });\n    };\n\n    saveCropperrRef = (ref) => {\n        this.cropperRef = ref;\n    };\n\n    render() {\n        return (\n            <div>\n                <Upload.Selecter onSelect={this.onSelect}\n                >\n                    <Button>Select file</Button>\n                </Upload.Selecter>\n                <Dialog\n                    visible={this.state.visible}\n                    onCancel={this.onCancel}\n                    onOk={this.onOk}\n                    onClose={this.onCancel}\n                    isFullScreen>\n                    <Cropper\n                        ref={this.saveCropperrRef}\n                        src={this.state.src}\n                        style={{height: 300, width: 400}}\n                    />\n                </Dialog>\n                <div><img src={this.state.img} style={{width: 100}}/></div>\n            </div>\n        );\n    }\n}\n\nReactDOM.render(<App/>, mountNode);\n````","html":"<script>(function(){'use strict';\n\nvar _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if (\"value\" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();\n\nvar _next = require('@alifd/next');\n\nvar _reactCropper = require('react-cropper');\n\nvar _reactCropper2 = _interopRequireDefault(_reactCropper);\n\nfunction _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }\n\nfunction _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError(\"Cannot call a class as a function\"); } }\n\nfunction _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError(\"this hasn't been initialised - super() hasn't been called\"); } return call && (typeof call === \"object\" || typeof call === \"function\") ? call : self; }\n\nfunction _inherits(subClass, superClass) { if (typeof superClass !== \"function\" && superClass !== null) { throw new TypeError(\"Super expression must either be null or a function, not \" + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }\n\n// plan 1: [not work in IE/Edge] IE don't support File Constructor\n// function dataURL2File(dataURL, filename) { \n//     const arr = dataURL.split(','),\n//         mime = arr[0].match(/:(.*?);/)[1],\n//         bstr = atob(arr[1]),\n//         u8arr = new Uint8Array(bstr.length);\n//     let n = bstr.length;\n//     while (n--) {\n//         u8arr[n] = bstr.charCodeAt(n);\n//     }\n\n//     // base64 -> File (File Constructor not work in IE/Edge)\n//     return new File([u8arr], filename, { type: mime });\n// }\n\n// plan 2: base64 -> Blob -> File, IE9+\nfunction dataURL2Blob2File(dataURL, fileName) {\n    var arr = dataURL.split(','),\n        mime = arr[0].match(/:(.*?);/)[1],\n        bstr = atob(arr[1]),\n        u8arr = new Uint8Array(bstr.length);\n    var n = bstr.length;\n    while (n--) {\n        u8arr[n] = bstr.charCodeAt(n);\n    }\n    var blob = new Blob([u8arr], { type: mime });\n    // Blob to File\n    // set lastModifiedDate and name\n    blob.lastModifiedDate = new Date();\n    blob.name = fileName;\n    return blob;\n};\n\nvar App = function (_React$Component) {\n    _inherits(App, _React$Component);\n\n    function App(props) {\n        _classCallCheck(this, App);\n\n        var _this = _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).call(this, props));\n\n        _this.state = {\n            src: null,\n            visible: false,\n            img: null\n        };\n\n        _this.onSuccess = function (value) {\n            console.log(value);\n            _this.setState({\n                img: value.url\n            });\n        };\n\n        _this.onSelect = function (files) {\n            var reader = new FileReader();\n            reader.onload = function () {\n                _this.setState({\n                    src: reader.result,\n                    visible: true\n                });\n            };\n            reader.readAsDataURL(files[0]);\n        };\n\n        _this.onCancel = function () {\n            _this.setState({\n                visible: false\n            });\n        };\n\n        _this.onOk = function () {\n\n            var data = _this.cropperRef.getCroppedCanvas().toDataURL();\n            var file = dataURL2Blob2File(data, 'test.png');\n\n            // start upload\n            _this.uploader.startUpload(file);\n\n            _this.setState({\n                visible: false\n            });\n        };\n\n        _this.saveCropperrRef = function (ref) {\n            _this.cropperRef = ref;\n        };\n\n        _this.uploader = new _next.Upload.Uploader({\n            action: 'http://127.0.0.1:6001/upload.do',\n            onSuccess: _this.onSuccess,\n            name: 'file'\n        });\n        return _this;\n    }\n\n    _createClass(App, [{\n        key: 'render',\n        value: function render() {\n            return React.createElement(\n                'div',\n                null,\n                React.createElement(\n                    _next.Upload.Selecter,\n                    { onSelect: this.onSelect\n                    },\n                    React.createElement(\n                        _next.Button,\n                        null,\n                        'Select file'\n                    )\n                ),\n                React.createElement(\n                    _next.Dialog,\n                    {\n                        visible: this.state.visible,\n                        onCancel: this.onCancel,\n                        onOk: this.onOk,\n                        onClose: this.onCancel,\n                        isFullScreen: true },\n                    React.createElement(_reactCropper2.default, {\n                        ref: this.saveCropperrRef,\n                        src: this.state.src,\n                        style: { height: 300, width: 400 }\n                    })\n                ),\n                React.createElement(\n                    'div',\n                    null,\n                    React.createElement('img', { src: this.state.img, style: { width: 100 } })\n                )\n            );\n        }\n    }]);\n\n    return App;\n}(React.Component);\n\nReactDOM.render(React.createElement(App, null), mountNode);})()</script><div class=\"highlight\"><pre class=\"language-jsx\"><code class=\"language-jsx\"><span class=\"token keyword\">import</span> <span class=\"token punctuation\">{</span> Upload<span class=\"token punctuation\">,</span> Button<span class=\"token punctuation\">,</span> Dialog <span class=\"token punctuation\">}</span> <span class=\"token keyword\">from</span> <span class=\"token string\">'@alifd/next'</span><span class=\"token punctuation\">;</span>\n<span class=\"token keyword\">import</span> Cropper <span class=\"token keyword\">from</span> <span class=\"token string\">'react-cropper'</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token comment\">// plan 1: [not work in IE/Edge] IE don't support File Constructor</span>\n<span class=\"token comment\">// function dataURL2File(dataURL, filename) { </span>\n<span class=\"token comment\">//     const arr = dataURL.split(','),</span>\n<span class=\"token comment\">//         mime = arr[0].match(/:(.*?);/)[1],</span>\n<span class=\"token comment\">//         bstr = atob(arr[1]),</span>\n<span class=\"token comment\">//         u8arr = new Uint8Array(bstr.length);</span>\n<span class=\"token comment\">//     let n = bstr.length;</span>\n<span class=\"token comment\">//     while (n--) {</span>\n<span class=\"token comment\">//         u8arr[n] = bstr.charCodeAt(n);</span>\n<span class=\"token comment\">//     }</span>\n\n<span class=\"token comment\">//     // base64 -> File (File Constructor not work in IE/Edge)</span>\n<span class=\"token comment\">//     return new File([u8arr], filename, { type: mime });</span>\n<span class=\"token comment\">// }</span>\n\n<span class=\"token comment\">// plan 2: base64 -> Blob -> File, IE9+</span>\n<span class=\"token keyword\">function</span> <span class=\"token function\">dataURL2Blob2File</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">dataURL<span class=\"token punctuation\">,</span> fileName</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token keyword\">const</span> arr <span class=\"token operator\">=</span> dataURL<span class=\"token punctuation\">.</span><span class=\"token function\">split</span><span class=\"token punctuation\">(</span><span class=\"token string\">','</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span>\n        mime <span class=\"token operator\">=</span> arr<span class=\"token punctuation\">[</span><span class=\"token number\">0</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">.</span><span class=\"token function\">match</span><span class=\"token punctuation\">(</span><span class=\"token regex\">/:(.*?);/</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">[</span><span class=\"token number\">1</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span>\n        bstr <span class=\"token operator\">=</span> <span class=\"token function\">atob</span><span class=\"token punctuation\">(</span>arr<span class=\"token punctuation\">[</span><span class=\"token number\">1</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">,</span>\n        u8arr <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Uint8Array</span><span class=\"token punctuation\">(</span>bstr<span class=\"token punctuation\">.</span>length<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token keyword\">let</span> n <span class=\"token operator\">=</span> bstr<span class=\"token punctuation\">.</span>length<span class=\"token punctuation\">;</span>\n    <span class=\"token keyword\">while</span> <span class=\"token punctuation\">(</span>n<span class=\"token operator\">--</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        u8arr<span class=\"token punctuation\">[</span>n<span class=\"token punctuation\">]</span> <span class=\"token operator\">=</span> bstr<span class=\"token punctuation\">.</span><span class=\"token function\">charCodeAt</span><span class=\"token punctuation\">(</span>n<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n    <span class=\"token keyword\">const</span> blob <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Blob</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">[</span>u8arr<span class=\"token punctuation\">]</span><span class=\"token punctuation\">,</span> <span class=\"token punctuation\">{</span> type<span class=\"token operator\">:</span> mime <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token comment\">// Blob to File</span>\n    <span class=\"token comment\">// set lastModifiedDate and name</span>\n    blob<span class=\"token punctuation\">.</span>lastModifiedDate <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Date</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    blob<span class=\"token punctuation\">.</span>name <span class=\"token operator\">=</span> fileName<span class=\"token punctuation\">;</span>\n    <span class=\"token keyword\">return</span> blob<span class=\"token punctuation\">;</span>\n<span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n<span class=\"token keyword\">class</span> <span class=\"token class-name\">App</span> <span class=\"token keyword\">extends</span> <span class=\"token class-name\">React<span class=\"token punctuation\">.</span>Component</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token function\">constructor</span><span class=\"token punctuation\">(</span><span class=\"token parameter\">props</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">super</span><span class=\"token punctuation\">(</span>props<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>uploader <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">Upload<span class=\"token punctuation\">.</span>Uploader</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            action<span class=\"token operator\">:</span> <span class=\"token string\">'http://127.0.0.1:6001/upload.do'</span><span class=\"token punctuation\">,</span>\n            onSuccess<span class=\"token operator\">:</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onSuccess<span class=\"token punctuation\">,</span>\n            name<span class=\"token operator\">:</span> <span class=\"token string\">'file'</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n\n    state <span class=\"token operator\">=</span> <span class=\"token punctuation\">{</span>\n        src<span class=\"token operator\">:</span> <span class=\"token keyword\">null</span><span class=\"token punctuation\">,</span>\n        visible<span class=\"token operator\">:</span> <span class=\"token boolean\">false</span><span class=\"token punctuation\">,</span>\n        img<span class=\"token operator\">:</span> <span class=\"token keyword\">null</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function-variable function\">onSuccess</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">value</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        console<span class=\"token punctuation\">.</span><span class=\"token function\">log</span><span class=\"token punctuation\">(</span>value<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            img<span class=\"token operator\">:</span> value<span class=\"token punctuation\">.</span>url\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function-variable function\">onSelect</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">files</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">const</span> reader <span class=\"token operator\">=</span> <span class=\"token keyword\">new</span> <span class=\"token class-name\">FileReader</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        reader<span class=\"token punctuation\">.</span><span class=\"token function-variable function\">onload</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n            <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n                src<span class=\"token operator\">:</span> reader<span class=\"token punctuation\">.</span>result<span class=\"token punctuation\">,</span>\n                visible<span class=\"token operator\">:</span> <span class=\"token boolean\">true</span>\n            <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n        reader<span class=\"token punctuation\">.</span><span class=\"token function\">readAsDataURL</span><span class=\"token punctuation\">(</span>files<span class=\"token punctuation\">[</span><span class=\"token number\">0</span><span class=\"token punctuation\">]</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function-variable function\">onCancel</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            visible<span class=\"token operator\">:</span> <span class=\"token boolean\">false</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function-variable function\">onOk</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n\n        <span class=\"token keyword\">const</span> data <span class=\"token operator\">=</span> <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>cropperRef<span class=\"token punctuation\">.</span><span class=\"token function\">getCroppedCanvas</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">.</span><span class=\"token function\">toDataURL</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n        <span class=\"token keyword\">const</span> file <span class=\"token operator\">=</span> <span class=\"token function\">dataURL2Blob2File</span><span class=\"token punctuation\">(</span>data<span class=\"token punctuation\">,</span> <span class=\"token string\">'test.png'</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token comment\">// start upload</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>uploader<span class=\"token punctuation\">.</span><span class=\"token function\">startUpload</span><span class=\"token punctuation\">(</span>file<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span><span class=\"token function\">setState</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">{</span>\n            visible<span class=\"token operator\">:</span> <span class=\"token boolean\">false</span>\n        <span class=\"token punctuation\">}</span><span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function-variable function\">saveCropperrRef</span> <span class=\"token operator\">=</span> <span class=\"token punctuation\">(</span><span class=\"token parameter\">ref</span><span class=\"token punctuation\">)</span> <span class=\"token operator\">=></span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>cropperRef <span class=\"token operator\">=</span> ref<span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">;</span>\n\n    <span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token punctuation\">)</span> <span class=\"token punctuation\">{</span>\n        <span class=\"token keyword\">return</span> <span class=\"token punctuation\">(</span>\n            <span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Upload.Selecter</span></span> <span class=\"token attr-name\">onSelect</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onSelect<span class=\"token punctuation\">}</span></span>\n                <span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">Select file</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Button</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Upload.Selecter</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Dialog</span></span>\n                    <span class=\"token attr-name\">visible</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>visible<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onCancel</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onCancel<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onOk</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onOk<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">onClose</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>onCancel<span class=\"token punctuation\">}</span></span>\n                    <span class=\"token attr-name\">isFullScreen</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                    </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">Cropper</span></span>\n                        <span class=\"token attr-name\">ref</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>saveCropperrRef<span class=\"token punctuation\">}</span></span>\n                        <span class=\"token attr-name\">src</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>src<span class=\"token punctuation\">}</span></span>\n                        <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>height<span class=\"token operator\">:</span> <span class=\"token number\">300</span><span class=\"token punctuation\">,</span> width<span class=\"token operator\">:</span> <span class=\"token number\">400</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span>\n                    <span class=\"token punctuation\">/></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span><span class=\"token class-name\">Dialog</span></span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n                </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span>img</span> <span class=\"token attr-name\">src</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token keyword\">this</span><span class=\"token punctuation\">.</span>state<span class=\"token punctuation\">.</span>img<span class=\"token punctuation\">}</span></span> <span class=\"token attr-name\">style</span><span class=\"token script language-javascript\"><span class=\"token script-punctuation punctuation\">=</span><span class=\"token punctuation\">{</span><span class=\"token punctuation\">{</span>width<span class=\"token operator\">:</span> <span class=\"token number\">100</span><span class=\"token punctuation\">}</span><span class=\"token punctuation\">}</span></span><span class=\"token punctuation\">/></span></span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span><span class=\"token plain-text\">\n            </span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;/</span>div</span><span class=\"token punctuation\">></span></span>\n        <span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span>\n    <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n\nReactDOM<span class=\"token punctuation\">.</span><span class=\"token function\">render</span><span class=\"token punctuation\">(</span><span class=\"token tag\"><span class=\"token tag\"><span class=\"token punctuation\">&lt;</span><span class=\"token class-name\">App</span></span><span class=\"token punctuation\">/></span></span><span class=\"token punctuation\">,</span> mountNode<span class=\"token punctuation\">)</span><span class=\"token punctuation\">;</span></code></pre></div>"}