{"meta":"<h2 id=\"develop-guide\">Develop Guide<a href=\"#develop-guide\" class=\"anchor\">#</a></h2><h3 id=\"when-to-use\">When to Use<a href=\"#when-to-use\" class=\"anchor\">#</a></h3><p>When user want to upload some file to server side or cloud storage, upload component could help user deal with it.</p>\n<h2 id=\"api\">API<a href=\"#api\" class=\"anchor\">#</a></h2>","api":"<h3 id=\"upload\">Upload<a href=\"#upload\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>action</td>\n<td>upload url</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>shape</td>\n<td>upload button shape<br><br>option:<br>&apos;card&apos;</td>\n<td>Enum</td>\n<td>-</td>\n</tr>\n<tr>\n<td>accept</td>\n<td>file type you want to accept (image/png, image/jpg, .doc, .ppt) See <a href=\"https://developer.mozilla.org/zh-CN/docs/Web/HTML/Element/Input#attr-accept\" target=\"_blank\">input accept attribute</a></td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>data</td>\n<td>extra upload data</td>\n<td>Object/Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>headers</td>\n<td>upload request headers</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>withCredentials</td>\n<td>Allow request with cookie or not</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>beforeUpload</td>\n<td>callback before upload start. returning null/undefined means do nothing, returning object will modify upload options,returning false will stop upload, null/undefined/object/false can be returned directly or wrapped by Promise <br><br><strong>signature</strong>:<br>Function(file: Object, options: Object) =&gt; Bool/Object/Promise<br><strong>params</strong>:<br><em>file</em>: {Object} <br><em>options</em>: {Object} <br><strong>returns</strong>:<br>{Bool/Object/Promise} <br></td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onProgress</td>\n<td>callback when upload progress change <br><br>signaure:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onSuccess</td>\n<td>callback when upload success<br><br><strong>signaure</strong>:<br>Function(file: Object, value: Array) =&gt; void<br><strong>params</strong>:<br><em>file</em>: {Object} file<br><em>value</em>: {Array} value</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onError</td>\n<td>callback when upload failed <br><br><strong>signaure</strong>:<br>Function(file: Object, value: Array) =&gt; void<br><strong>params</strong>:<br><em>file</em>: {Object} file<br><em>value</em>: {Array} fileList</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>children</td>\n<td>children element</td>\n<td>ReactNode</td>\n<td>-</td>\n</tr>\n<tr>\n<td>timeout</td>\n<td>limit request time, unit: ms</td>\n<td>Number</td>\n<td>-</td>\n</tr>\n<tr>\n<td>method</td>\n<td>upload method<br><br>option:<br>&apos;post&apos;, &apos;put&apos;</td>\n<td>Enum</td>\n<td>&apos;post&apos;</td>\n</tr>\n<tr>\n<td>onSelect</td>\n<td>callback when select<br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onDrop</td>\n<td>callback when drop file(s)<br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>value</td>\n<td>file list</td>\n<td>Array</td>\n<td>-</td>\n</tr>\n<tr>\n<td>defaultValue</td>\n<td>default file list</td>\n<td>Array</td>\n<td>-</td>\n</tr>\n<tr>\n<td>listType</td>\n<td>list stye<br><br>option:<br>&apos;text&apos;<br>&apos;image&apos;<br>&apos;card&apos;</td>\n<td>Enum</td>\n<td>-</td>\n</tr>\n<tr>\n<td>formatter</td>\n<td>data format function, for action response is not standard, required params for  response,see <a href=\"#formater\" target=\"_blank\">formatter</a><br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>limit</td>\n<td>limit max number for upload file</td>\n<td>Number</td>\n<td>Infinity</td>\n</tr>\n<tr>\n<td>dragable</td>\n<td>support dragable or not, attention: this feature only works when <code>ie10+</code>&#x3002;</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>disabled</td>\n<td>disable this upload component</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>callback when uploaded file state chagnes<br><br>signature:<br>Function(info: Object) =&gt; void<br>params:<br><em>info</em>: {Object} file info Object</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onRemove</td>\n<td>callback when file removed&#xFF0C;See <a href=\"#onRemove\" target=\"_blank\">onRemove</a><br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>autoUpload</td>\n<td>auto upload after select file</td>\n<td>Boolean</td>\n<td>true</td>\n</tr>\n<tr>\n<td>afterSelect</td>\n<td>callback after select file, afterSelect only works when autoUpload=false; when autoUpload=true, use beforeUpload to replace it<br><br><strong>signaure</strong>:<br>Function(file: Object) =&gt; Boolean<br><strong>params</strong>:<br><em>file</em>: {Object} null<br><strong>return</strong>:<br>{Boolean} return false will prevent upload file<br>   return false will prevent upload<br></td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>request</td>\n<td>custom reuqest method <br><br><strong>signaure</strong>:<br>Function(option: Object) =&gt; Object<br><strong>params</strong>:<br><em>option</em>: {Object} null<br><strong>returns</strong>:<br>{Object} object with abort method<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>progressProps</td>\n<td>Progress props</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>isPreview</td>\n<td>is preview state</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>fileKeyName</td>\n<td>file&apos;s key name</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>fileNameRender</td>\n<td>custom list&apos;s fileName render<br><br><strong>signaure</strong>:<br>Function(file: Object) =&gt; Node<br><strong>params</strong>:<br><em>file</em>: {Object} file<br><strong>return</strong>:<br>{Node} react node<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>actionRender</td>\n<td>custom action area render<br><br><strong>signaure</strong>:<br>Function(file: Object) =&gt; Node<br><strong>params</strong>:<br><em>file</em>: {Object} &#x6587;&#x4EF6;<br><strong>return</strong>:<br>{Node} react node<br></td>\n<td>Function</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"upload-card\">Upload.Card<a href=\"#upload-card\" class=\"anchor\">#</a></h3><blockquote>\n<p>Inherit from Upload API</p>\n</blockquote>\n<table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>onPreview</td>\n<td>callback when click image<br><br><strong>signature</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onChange</td>\n<td>callback when value changes<br><br><strong>signature</strong>:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"upload-drager\">Upload.Drager<a href=\"#upload-drager\" class=\"anchor\">#</a></h3><blockquote>\n<p>Only Supprt IE10+, Inherit from Upload API</p>\n</blockquote>\n<h3 id=\"upload-selector\">Upload.Selector<a href=\"#upload-selector\" class=\"anchor\">#</a></h3><blockquote>\n<p>[Basic Ability] Custom Style for File Selector</p>\n</blockquote>\n<table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>disabled</td>\n<td>disable this upload component</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>multiple</td>\n<td>select more than one file at once, only works on <code>ie10+</code>. Press <code>Ctrl</code> to Select files</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>webkitdirectory</td>\n<td>upload a folder or not, only works in chrome</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>dragable</td>\n<td>support dragable or not, attention: this feature only works when <code>ie10+</code>&#x3002;</td>\n<td>Boolean</td>\n<td>-</td>\n</tr>\n<tr>\n<td>accept</td>\n<td>file type you want to accept (image/png, image/jpg, .doc, .ppt) See <a href=\"https://developer.mozilla.org/zh-CN/docs/Web/HTML/Element/Input#attr-accept\" target=\"_blank\">input accept attribute</a></td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>onSelect</td>\n<td>callback when files are selected<br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onDragOver</td>\n<td>callback when files are dragged over<br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onDragLeave</td>\n<td>callback when files are dragged leave<br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n<tr>\n<td>onDrop</td>\n<td>callback when files are dropped<br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>func.noop</td>\n</tr>\n</tbody>\n</table>\n<h2 id=\"method\">Method<a href=\"#method\" class=\"anchor\">#</a></h2><h3 id=\"upload-uploader\">Upload.Uploader<a href=\"#upload-uploader\" class=\"anchor\">#</a></h3><blockquote>\n<p>[Basic Ability] File Upload Core Ability\nlet uploader = new Upload.Uploader([options]);</p>\n</blockquote>\n<h4 id=\"options\">options<a href=\"#options\" class=\"anchor\">#</a></h4><table>\n<thead>\n<tr>\n<th>Param</th>\n<th>Descripiton</th>\n<th>Type</th>\n<th>Default Value</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>action</td>\n<td>upload url</td>\n<td>String</td>\n<td>-</td>\n</tr>\n<tr>\n<td>data</td>\n<td>extra upload data</td>\n<td>Object/Function</td>\n<td>-</td>\n</tr>\n<tr>\n<td>headers</td>\n<td>upload request headers</td>\n<td>Object</td>\n<td>-</td>\n</tr>\n<tr>\n<td>withCredentials</td>\n<td>Allow request with cookie or not</td>\n<td>Boolean</td>\n<td>false</td>\n</tr>\n<tr>\n<td>onProgress</td>\n<td>callback when upload progress change<br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>noop</td>\n</tr>\n<tr>\n<td>onSuccess</td>\n<td>callback when upload success<br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>noop</td>\n</tr>\n<tr>\n<td>onError</td>\n<td>callback when upload failed<br><br>signature:<br>Function() =&gt; void</td>\n<td>Function</td>\n<td>noop</td>\n</tr>\n</tbody>\n</table>\n<h3 id=\"custom-request\">Custom Request<a href=\"#custom-request\" class=\"anchor\">#</a></h3><p>&#x67D0;&#x4E9B;&#x573A;&#x666F;&#x4E0B;&#x9700;&#x8981;&#x81EA;&#x5B9A;&#x4E49;Request,&#x4F8B;&#x5982;&#x5BF9;&#x63A5;AWS S3 jd-sdk or aliyun oss sdk. Upload &#x652F;&#x6301; &#x4F20;&#x5165;&#x81EA;&#x5B9A;&#x4E49;&#x7684; request&#x65B9;&#x6CD5;.\nUnder some circumstances, a developer may want to overriding default request call method&#xFF0C; just like using AWS S3 jd-sdk or aliyun oss sdk. Upload has a prop named request.</p>\n<pre>function customRequest(option) {\n    /* coding here */\n    return {abort() {/* coding here */}};\n}\n\n&lt;Upload request={customRequest}/&gt;</pre><p>a object named &apos;option&apos; will be pass into customRequest method and it&apos;s schema:</p>\n<pre>    onProgress: (event: { percent: number }): void\n    onError: (event: Error, body?: Object): void\n    onSuccess: (body: Object): void\n    data: Object // &#x989D;&#x5916;&#x7684;&#x6570;&#x636E;\n    filename: String // &#x6587;&#x4EF6;&#x540D;\n    file: File // &#x539F;&#x751F;File&#x5BF9;&#x8C61;\n    withCredentials: Boolean // &#x662F;&#x5426;&#x643A;&#x5E26;cookie\n    action: String // &#x8BF7;&#x6C42;&#x5730;&#x5740;\n    method: String // &#x8BF7;&#x6C42;&#x7C7B;&#x578B; post/put\n    timeout: Number // &#x8D85;&#x65F6;\n    headers: Object // &#x8BF7;&#x6C42;&#x5934;</pre><p>customRequest should return a object with a abort method which can abort a request</p>\n<pre>abort(file?: File) =&gt; void: abort the uploading file</pre><p>customRequest implements reference: <a href=\"https://github.com/alibaba-fusion/next/blob/master/src/upload/runtime/request.jsx\" target=\"_blank\">https://github.com/alibaba-fusion/next/blob/master/src/upload/runtime/request.jsx</a></p>\n<h3 id=\"errorcode\">ErrorCode<a href=\"#errorcode\" class=\"anchor\">#</a></h3><table>\n<thead>\n<tr>\n<th>ErrorCode</th>\n<th>description</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>EXCEED_LIMIT</td>\n<td>when limit is set , selected files number + uploaded files number &gt; limit</td>\n</tr>\n<tr>\n<td>BEFOREUPLOAD_REJECT</td>\n<td>BeforeUpload method returns false/Promise.resolve(false)/Promise.reject()</td>\n</tr>\n<tr>\n<td>RESPONSE_FAIL</td>\n<td>Response Error</td>\n</tr>\n</tbody>\n</table>\n<p>All the ErrorCode in <code>Upload.ErrorCode</code>.</p>\n<h3 id=\"onchange-return-data-schema\">onChange Return Data Schema<a href=\"#onchange-return-data-schema\" class=\"anchor\">#</a></h3><pre>    {\n      uid: &apos;uid&apos;,       // file unique ID\n      name: &apos;xx.png&apos;    // filename\n      state: &apos;done&apos;,    // selected uploading done error\n      response: {&quot;success&quot;:true}  // server response\n      url: &apos;https://img.alicdn.com/tps/TB19O79MVXXXXcZXVXXXXXXXXXX-1024-1024.jpg&apos;,\n      imgURL: &apos;https://img.alicdn.com/tps/TB19O79MVXXXXcZXVXXXXXXXXXX-1024-1024.jpg&apos;, //optional\n      downloadURL: &apos;https://img.alicdn.com/tps/TB19O79MVXXXXcZXVXXXXXXXXXX-1024-1024.jpg&apos; // optional\n    }\n\n</pre><h3 id=\"api-response-data-schema\">API Response Data Schema<a href=\"#api-response-data-schema\" class=\"anchor\">#</a></h3><pre>    {\n      &quot;success&quot;: true,\n      &quot;message&quot;: &quot;upload success&quot;,                           // display when success=false\n      &quot;url&quot;: &quot;https://img.alicdn.com/tps/TB19O79MVXXXXcZXVXXXXXXXXXX-1024-1024.jpg&quot;             // file url\n      &quot;imgURL&quot;: &quot;https://img.alicdn.com/tps/TB19O79MVXXXXcZXVXXXXXXXXXX-1024-1024.jpg&quot;,         // file preview url(optional)\n      &quot;downloadURL&quot;: &quot;https://img.alicdn.com/tps/TB19O79MVXXXXcZXVXXXXXXXXXX-1024-1024.jpg&quot;,    // file download url(optional)\n    }\n\n</pre><h3 id=\"server-side-response-format\">Server Side Response Format<a href=\"#server-side-response-format\" class=\"anchor\">#</a></h3><p>Use <code>formatter</code> to transfer nonstandard data to standard data</p>\n<ul>\n<li><code>Assume</code>  Server returns such data</li>\n</ul>\n<pre>    {\n      &quot;status&quot;: &quot;success&quot;,\n      &quot;img_src&quot;: &quot;https://img.alicdn.com/tps/TB19O79MVXXXXcZXVXXXXXXXXXX-1024-1024.jpg&quot;,\n    }\n\n</pre><ul>\n<li>transfer it</li>\n</ul>\n<pre>    &lt;Upload\n      action=&quot;http://127.0.0.1:3001/upload&quot;\n      formatter={(res) =&gt; {\n        // check the res &amp; return standard data\n        return {\n          success: res.status === &apos;success&apos;,\n          url: res.img_src,\n        }\n      }}\n    /&gt;\n\n</pre><h2 id=\"server-side-code-example\">Server side code example<a href=\"#server-side-code-example\" class=\"anchor\">#</a></h2><p>Next Upload components upload files by sending <code>multipart/form-data</code> type request.</p>\n<p>It is no doubt that every kind of server side framework can deal with <code>multipart/form-data</code> type request and extract files from request body. Now we give out 2 examples</p>\n<ul>\n<li><a href=\"https://github.com/alibaba-fusion/next-upload-java-server\" target=\"_blank\">Java Springboot</a></li>\n<li><a href=\"https://github.com/alibaba-fusion/next-upload-node-server\" target=\"_blank\">Node Eggjs</a></li>\n</ul>\n<h2 id=\"ie9-compatibility\">IE9 Compatibility<a href=\"#ie9-compatibility\" class=\"anchor\">#</a></h2><ul>\n<li>when enviroment &lt; ie9,  we use iframe as a no-refresh page upload solution, So  You must keep the upload url domain and your page url domain the same.</li>\n<li>when enviroment &lt; ie9, Server side response header, <code>context-type</code> must be <code>text/html</code>, and never be <code>application/json</code></li>\n<li>if only top-level domains the same&#xFF08;<code>taobao.com</code>: top-level domain  <code>shop.taobao.com</code>: second-level domain), you can use methods below to upload file&#x3002;</li>\n</ul>\n<p>Assume that your form page url domain&#xFF1A;shop.taobao.com, while the file server url is upload.taobao.com. Server side should return data with a extra script tag</p>\n<pre>    &lt;script&gt;document.domain=&quot;taobao.com&quot;;&lt;/script&gt;\n    {&quot;status&quot;:1,&quot;type&quot;:&quot;ajax&quot;,&quot;name&quot;:&quot;54.png&quot;,&quot;url&quot;:&quot;.\\/files\\/54.png&quot;}\n\n</pre><p>iframe upload will request with a param <code>_documentDomain</code>. You can set your domain</p>\n<h2 id=\"aria-and-keyboard\">ARIA and KeyBoard<a href=\"#aria-and-keyboard\" class=\"anchor\">#</a></h2><table>\n<thead>\n<tr>\n<th style=\"text-align:left\">KeyBoard</th>\n<th style=\"text-align:left\">Descripiton</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td style=\"text-align:left\">Enter</td>\n<td style=\"text-align:left\">1. When the component gets the focus, press <code>Enter</code> to select the file upload  2. Delete uploaded image</td>\n</tr>\n</tbody>\n</table>\n"}